<?php
/*********************************************************************/
/* 								| PHP-Fusion Fuball Manager |										 */
/* 																																	 */
/*         		Cronjob fr die automatische Durchfhrung  						 */
/* 						der Transfers.																				 */
/* 																																	 */
/* 																					2007 by Chschuetz				 */
/* 																					http://www.chschuetz.de  */
/*																																   */
/*********************************************************************/
require_once "../../maincore.php";

// Sicherheits-ID hier angeben
$sid = "abcdefg1234567890hijkl";

/* Textpassagen fr die Transfermeldungen */
$locale['man121'] = "Tor";
$locale['man122'] = "Abwehr";
$locale['man123'] = "Mittelfeld";
$locale['man124'] = "Sturm";
$locale['man125'] = "Der Spieler";
$locale['man126'] = "wechselt fr";
$locale['man127'] = "von";
$locale['man128'] = "zu";
$locale['man129'] = "wechselt";

$id = stripinput($_GET['id']);

/*********************************************************************/
/* 	      Durchfhrung der Transfers												    		 */
/*********************************************************************/
if (isset($id) && $id == $sid)
{
	$data_config = dbarray(dbquery("Select * from ".$db_prefix."man_config"));
	// Transfers durchfhren
	$new_date = time();
	$trans_date = $data_config['transfer_date'];
	
	$query_com = dbquery("select * from ".$db_prefix."man_communities");
	while ($array_com = dbarray($query_com))
	{
		$com = $array_com['com_id'];	
	
	
	// Spieler auf TL ermitteln
	$query = dbquery("select * from ".$db_prefix."man_plcom where com=$com and pl_owner=0 and pl_listed=1");
	while ($array = dbarray($query))
	{
		$pp = $array['pl_id'];
		// Maximales Angebot ermitteln (Computer Spieler)
		$result_max = dbquery("select * from ".$db_prefix."man_offers where com=$com and pl_id=$pp order by offer desc limit 1");
		$data_max = dbarray($result_max);
	
		// Spieler von Computer an Manager mit max. Angebot transferieren
		if (isset($data_max['user_id'])) 
		{
			$o_user = $data_max['user_id'];
			$max = $data_max['offer'];
			
			
			$data_usr = dbarray(dbquery("select * from ".$db_prefix."man_users where user_id=$o_user"));
			$count_owner = dbarray(dbquery("select count(*) as count from ".$db_prefix."man_plcom where pl_owner=$o_user"));		
			
			if ($count_owner['count'] < $data_config['max_players'])
			{
				if ($data_config['allow_debts'] == 0)
				{
					// Schulden?
					if ($data_usr['user_value'] >= $max)
					{
					
						// Spieler transferieren
						$query_upd1 = dbquery("update ".$db_prefix."man_plcom set pl_listed=0, pl_isset=0, pl_owner=$o_user where com=$com and pl_id=$pp");
						
						// Angebote lschen
						$query_upd2 = dbquery("delete from ".$db_prefix."man_offers where com=$com and pl_id=$pp");
						
						// Geld von Manager abziehen
						$query_upd3 = dbquery("update ".$db_prefix."man_users set user_value=(user_value-$max) where user_id=$o_user");
						
						$query_upd4 = dbquery("insert into ".$db_prefix."man_transfers(com, pl_id, trans_from, trans_to, trans_val, trans_date)
						values($com, $pp, 0, $o_user, $max, '$new_date')");
						
						// Newsbeitrag schreiben				
						$result1 = dbquery("select * from ".$db_prefix."man_players where pl_id=$pp");
						$data = dbarray($result1);
						$pllnk = '<a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'">'.$data['pl_name'].'</a>';
			
						// Position ermitteln				
						if ($data['pl_pos'] == "A") $pos=$locale['man121'];
						if ($data['pl_pos'] == "B") $pos=$locale['man122'];
						if ($data['pl_pos'] == "C") $pos=$locale['man123'];
						if ($data['pl_pos'] == "D") $pos=$locale['man124'];
							
						$result_u1 = dbquery("select * from ".$db_prefix."man_users where user_id=$o_user");
						$data_u1 = dbarray($result_u1);
						$name_u1 = $data_u1['user_teamname'];
						
						if (isset($data_u1['user_id']))
							$t1lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u1['user_id'].'">'.$name_u1.'</a>';
						else
							$t1lnk = "<b>Computer</b>";
					
						$result_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=0");
						$data_u2 = dbarray($result_u2);
						$name_u2 = $data_u2['user_teamname'];
						
						if (isset($data_u2['user_id']))
							$t2lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u2['user_id'].'">'.$name_u2.'</a>';
						else
							$t2lnk = "<b>Computer</b>";
								
						$title = $data['pl_name'].' '.$locale['man129'];
						$text = $locale['man125'].' '.$pllnk.' ('.$pos.') '.$locale['man126'].' '.number_format($max, 2, ',', '.').'  '.$locale['man127'].' '.$t2lnk.' '.$locale['man128'].' '.$t1lnk.'.';
						$stamp = time();
						$result_ins = dbquery("insert into ".$db_prefix."man_news(com, news_title, news_text, news_datestamp) values($com, '$title', '$text', $stamp)");				
						// Ende Newsbeitrag schreiben
					}
				}
				else
				{
					// Spieler transferieren
					$query_upd1 = dbquery("update ".$db_prefix."man_plcom set pl_listed=0, pl_isset=0, pl_owner=$o_user where com=$com and pl_id=$pp");
						
					// Angebote lschen
					$query_upd2 = dbquery("delete from ".$db_prefix."man_offers where com=$com and pl_id=$pp");
						
					// Geld von Manager abziehen
					$query_upd3 = dbquery("update ".$db_prefix."man_users set user_value=(user_value-$max) where user_id=$o_user");
						
					$query_upd4 = dbquery("insert into ".$db_prefix."man_transfers(com, pl_id, trans_from, trans_to, trans_val, trans_date)
					values($com, $pp, 0, $o_user, $max, '$new_date')");
						
					// Newsbeitrag schreiben				
					$result1 = dbquery("select * from ".$db_prefix."man_players where pl_id=$pp");
					$data = dbarray($result1);
					$pllnk = '<a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'">'.$data['pl_name'].'</a>';
			
					// Position ermitteln				
					if ($data['pl_pos'] == "A") $pos=$locale['man121'];
					if ($data['pl_pos'] == "B") $pos=$locale['man122'];
					if ($data['pl_pos'] == "C") $pos=$locale['man123'];
					if ($data['pl_pos'] == "D") $pos=$locale['man124'];
							
					$result_u1 = dbquery("select * from ".$db_prefix."man_users where user_id=$o_user");
					$data_u1 = dbarray($result_u1);
					$name_u1 = $data_u1['user_teamname'];
						
					if (isset($data_u1['user_id']))
						$t1lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u1['user_id'].'">'.$name_u1.'</a>';
					else
						$t1lnk = "<b>Computer</b>";
					
					$result_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=0");
					$data_u2 = dbarray($result_u2);
					$name_u2 = $data_u2['user_teamname'];
						
					if (isset($data_u2['user_id']))
						$t2lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u2['user_id'].'">'.$name_u2.'</a>';
					else
						$t2lnk = "<b>Computer</b>";
								
					$title = $data['pl_name'].' '.$locale['man129'];
					$text = $locale['man125'].' '.$pllnk.' ('.$pos.') '.$locale['man126'].' '.number_format($max, 2, ',', '.').'  '.$locale['man127'].' '.$t2lnk.' '.$locale['man128'].' '.$t1lnk.'.';
					$stamp = time();
					$result_ins = dbquery("insert into ".$db_prefix."man_news(com, news_title, news_text, news_datestamp) values($com, '$title', '$text', $stamp)");				
					// Ende Newsbeitrag schreiben					
				}
			}			
		}
		else
			// Spieler von Transferliste nehmen
			$query_upd4 = dbquery("update ".$db_prefix."man_plcom set pl_listed=0 where com=$com and pl_id=$pp");
	}
			
	// Alle Spieler von Computer von TL nehmen
	$query_unlist = dbquery("update ".$db_prefix."man_plcom set pl_listed=0 where com=$com and pl_owner=0");
	
	// 10 Neue Spieler von Computer auf TL setzen
	
	
	//$query_relist = dbquery("select * from ".$db_prefix."man_plcom where com=$com and pl_owner=0 and pl_listed=0");
	
	
	$query_relist = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b on a.pl_id=b.pl_id
	left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$com and a.pl_owner=0 and a.pl_listed=0
	and c.team_act=1");	
	//and c.team_name not in('2.Liga', '3.Liga', 'Ausland', 'Karriereende', 'Alemannia Aachen', 'FSV Mainz 05', 'Borussia Mnchengladbach')");	
	
	
	//echo "t1 - ";
	while ($array = dbarray($query_relist))
		$playerk[] = $array['pl_id'];

	if (sizeof($playerk)>0)
	{	
		srand((double)microtime() * 1000000);
  	$zufall = array_rand($playerk, $data_config['pl2trans']);
  	for($x=0;$x<count($zufall);$x++)
  	{    
  		$pl = $playerk[$zufall[$x]];     
			$query_list = dbquery("update ".$db_prefix."man_plcom set pl_listed=1 where com=$com and pl_id=$pl");
     }
   }
   
	}
 	// 10 Neue Spieler von Computer auf TL setzen
	$query_trans2 = dbquery("update ".$db_prefix."man_config set transfer_date='$new_date'");

// Transfers durchfhren
/*********************************************************************/
/* 	      ENDE - Durchfhrung der Transfers												   */
/*********************************************************************/
}
/*********************************************************************/
/* 	      ENDE - Cronjob																					   */
/*********************************************************************/
?>