<?php 
 /*---------------------------------------------------+
 | PHP-Fusion 6 Content Management System 
 +----------------------------------------------------+ 
 | Copyright  2002 - 2005 Nick Jones 
 | http://www.php-fusion.co.uk/ 
 +----------------------------------------------------+ 
 | Released under the terms & conditions of v2 of the 
 | GNU General Public License. For details refer to 
 | the included gpl.txt file or visit http://gnu.org 
 +----------------------------------------------------*/ 
 require_once "../../maincore.php"; 
 require_once BASEDIR."subheader.php"; 
 require_once ADMIN."navigation.php"; 
 include_once("admin_menu.php");

if (!checkrights("IP")) fallback("../../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fussball_manager/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fussball_manager/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fussball_manager/locale/German.php";
}

$action = stripinput($_GET['act']);

// Kopfzeile FUSSBALL MANAGER ADMIN
echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
			<tr><td align='center' valign='center' class='tbl2'><img src='left.gif' height='30'></td><td width='75%' class='tbl2' align='center'><span class='small'>
			<font size='3'><b>| ".$locale['man201']." |</b></font></span></td><td align='center' valign='center' class='tbl2'><img src='right.gif' height='30'></td></tr></table>";
// Ende Kopfzeile FUSSBALL MANAGER ADMIN

// Konfiguration einlesen
$data_config = dbarray(dbquery("Select * from ".$db_prefix."man_config"));
// Ende Konfiguration


// Datum (Sperre) fr Aufstellung setzen
if ($action == "setdate")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man260']."</b></font></span></td></tr></table>";
	tablebreak();
	
	if ($save)
	{
		$day = isNum($_POST['day']) ? $_POST['day'] : "0";
		$mon = isNum($_POST['mon']) ? $_POST['mon'] : "0";
		$year = isNum($_POST['year']) ? $_POST['year'] : "0";
		$hour = isNum($_POST['hour']) ? $_POST['hour'] : "0";
		$min = isNum($_POST['min']) ? $_POST['min'] : "0";
		$date = mktime($hour,$min,0,$mon,$day,$year);
		
		if (checkdate($mon, $day, $year))
		$result = dbquery("update ".$db_prefix."man_config set date='$date'");
		fallback("fussball_manager_admin.php");
	}
	
	$datum = getdate($data_config['date']);
	echo "<form method='post'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td class='tbl'>Tag</td><td class='tbl'></td>
				<td class='tbl'>Mon</td><td class='tbl'></td>
				<td class='tbl'>Jahr</td>
				<td class='tbl'>Std.</td><td class='tbl'></td>
				<td class='tbl'>Min.</td>
				</tr>
				<tr>
				<td class='tbl'><input type='text' name='day' size='2' maxlength='2' value='".$datum[mday]."' class='textbox'></td><td class='tbl'>.</td>
				<td class='tbl'><input type='text' name='mon' size='2' maxlength='2' value='".$datum[mon]."' class='textbox'></td><td class='tbl'>.</td>
				<td class='tbl'><input type='text' name='year' size='4' maxlength='4' value='".$datum[year]."' class='textbox'></td>
				<td class='tbl'><input type='text' name='hour' size='2' maxlength='2' value='".$datum[hours]."' class='textbox'></td><td class='tbl'>:</td>
				<td class='tbl'><input type='text' name='min' size='2' maxlength='2' value='".$datum[minutes]."' class='textbox'></td>
				</tr>
				<tr>
				<td class='tbl' align='center' colspan='8'>
				<input type='submit' name='save' value='".$locale['man213']."' class='button'>
				</td></tr></table>
				</center>
				</form>\n";
}
// Ende Datum (Sperre) fr Aufstellung setzen


// Startscreen
if ($action == "")
{
	tablebreak();
	tablebreak();
	tablebreak();
	tablebreak();
	echo '<center><img src="fussballmanagersf3.jpg"></center>';
	
}
// Ende Startscreen


// Managerkonfiguration
if ($action == "config_man")
{
	if ($save)
	{
		
		$min_players = isNum($_POST['min_players']) ? $_POST['min_players'] : "0";
		$max_players = isNum($_POST['max_players']) ? $_POST['max_players'] : "0";
		$missed_pos = isNum($_POST['missed_pos']) ? $_POST['missed_pos'] : "0";
		$money_per_point = isNum($_POST['money_per_point']) ? $_POST['money_per_point'] : "0";
		
		$up_conf = dbquery("update ".$db_prefix."man_config set min_players=$min_players, max_players=$max_players, 
		show_offers=$sh_offers, allow_debts=$al_debts, money_per_point=$money_per_point, missed_pos=$missed_pos, sndpn=$pn");
	}
	
	// Konfiguration einlesen
	$data_config = dbarray(dbquery("Select * from ".$db_prefix."man_config"));
	// Ende Konfiguration

	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man412']."</b></font></span></td></tr></table>";
	tablebreak();
	
	echo "<form method='post'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td class='tbl'>".$locale['man701']."</td>
				<td align='left' class='tbl'>
				<input type='text' name='min_players' size='2' maxlength='2' value='".$data_config['min_players']."' class='textbox'>
				</td></tr>
				
				<tr>
				<td class='tbl'>".$locale['man702']."</td>
				<td class='tbl'>
				<input type='text' name='max_players' size='2' maxlength='2' value='".$data_config['max_players']."' class='textbox'>
				</td></tr>
				
				<tr>
				<td class='tbl'>".$locale['man704']."</td>
				<td align='left' class='tbl'>
				<input type='text' name='money_per_point' size='9' maxlength='9' value='".$data_config['money_per_point']."' class='textbox'>
				</td></tr>

				<tr>
				<td class='tbl'>".$locale['man713']."</td>
				<td align='left' class='tbl'>
				<input type='text' name='missed_pos' size='2' maxlength='2' value='".$data_config['missed_pos']."' class='textbox'>
				</td></tr>
			
				<tr>
				<td class='tbl'>".$locale['man705']."</td>
				<td class='tbl'>
				<select name='sh_offers'>";
				if ($data_config['show_offers']==1) 
					echo "<option value=1 selected>".$locale['man416']."</option>"; else echo "<option value=1>".$locale['man416']."</option>";
				if ($data_config['show_offers']==0) 
					echo "<option value=0 selected>".$locale['man417']."</option>"; else echo "<option value=0>".$locale['man417']."</option>";
					
				echo "</select></td>
				</td></tr>
	
				<tr>
				<td class='tbl'>".$locale['man706']."</td>
				<td class='tbl'>
				<select name='al_debts'>";
				if ($data_config['allow_debts']==1) 
					echo "<option value=1 selected>".$locale['man416']."</option>"; else echo "<option value=1>".$locale['man416']."</option>";
				if ($data_config['allow_debts']==0) 
					echo "<option value=0 selected>".$locale['man417']."</option>"; else echo "<option value=0>".$locale['man417']."</option>";
					
				echo "</select></td>";
				
				echo "</tr><tr>
				<td class='tbl'>Send PN?</td>
				<td class='tbl'>
				<select name='pn'>";
				if ($data_config['sndpn']==1) 
					echo "<option value=1 selected>".$locale['man416']."</option>"; else echo "<option value=1>".$locale['man416']."</option>";
				if ($data_config['sndpn']==0) 
					echo "<option value=0 selected>".$locale['man417']."</option>"; else echo "<option value=0>".$locale['man417']."</option>";
					
				echo "</select></td>";
				
				
							echo "</td></tr>
							<tr>
							<td colspan='2' align='center' class='tbl'>
							<input type='submit' name='save' value='".$locale['man213']."' class='button'>
							</td></tr></table>
							</center>
							</form>\n";
}
// Ende Managerkonfiguration


// Spielerkonfiguration
if ($action == "config_pl")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man412']."</b></font></span></td></tr></table>";
	tablebreak();
	
	if ($save)
	{
		$note_1 = isNum($_POST['note_1']) ? $_POST['note_1'] : "0";
		$note_15 = isNum($_POST['note_15']) ? $_POST['note_15'] : "0";
		$note_2 = isNum($_POST['note_2']) ? $_POST['note_2'] : "0";
		$note_25 = isNum($_POST['note_25']) ? $_POST['note_25'] : "0";
		$note_3 = isNum($_POST['note_3']) ? $_POST['note_3'] : "0";
		$note_35 = isNum($_POST['note_35']) ? $_POST['note_35'] : "0";
		$note_4 = isNum($_POST['note_4']) ? $_POST['note_4'] : "0";
		$note_45 = isNum($_POST['note_45']) ? $_POST['note_45'] : "0";
		$note_5 = isNum($_POST['note_5']) ? $_POST['note_5'] : "0";
		$note_55 = isNum($_POST['note_55']) ? $_POST['note_55'] : "0";
		$note_6 = isNum($_POST['note_6']) ? $_POST['note_6'] : "0";
		$yellow2 = isNum($_POST['yellow2']) ? $_POST['yellow2'] : "0";
		$red = isNum($_POST['red']) ? $_POST['red'] : "0";
		$goal = isNum($_POST['red']) ? $_POST['goal'] : "0";
		$pen = isNum($_POST['red']) ? $_POST['pen'] : "0";
		$val_players = isNum($_POST['val_players']) ? $_POST['val_players'] : "0";
		$pl2trans = isNum($_POST['pl2trans']) ? $_POST['pl2trans'] : "0";
		
		$up_conf = dbquery("update ".$db_prefix."man_config set val_players=$val_players, note_1=$note_1, 
		note_15=$note_15, note_2=$note_2, note_25=$note_25, note_3=$note_3, note_35=$note_35, note_4=$note_4, 
		note_45=$note_45, note_5=$note_5, note_55=$note_55, note_6=$note_6, yellow2=$yellow2, red=$red,
		goal=$goal, pen=$pen, pl2trans=$pl2trans");
	}
	
	// Konfiguration einlesen
	$data_config = dbarray(dbquery("Select * from ".$db_prefix."man_config"));
	// Ende Konfiguration
	
	echo "<form method='post'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				
					<tr>
				<td class='tbl'>".$locale['man703']."</td>
				<td align='left' class='tbl'>
				<input type='text' name='val_players' size='9' maxlength='9' value='".$data_config['val_players']."' class='textbox'>
				</td></tr>
	
				<tr>
				<td class='tbl'>".$locale['man708']."</td>
				<td align='right' class='tbl'>-
				<input type='text' name='yellow2' size='2' maxlength='2' value='".$data_config['yellow2']."' class='textbox'>
				</td></tr>
			
				<tr>
				<td class='tbl'>".$locale['man709']."</td>
				<td align='right' class='tbl'>-
				<input type='text' name='red' size='2' maxlength='2' value='".$data_config['red']."' class='textbox'>
				</td></tr>

				<tr>
				<td class='tbl'>".$locale['man710']."</td>
				<td align='right' class='tbl'>
				<input type='text' name='goal' size='2' maxlength='2' value='".$data_config['goal']."' class='textbox'>
				</td></tr>
	
				<tr>
				<td class='tbl'>".$locale['man711']."</td>
				<td align='right' class='tbl'>
				<input type='text' name='pen' size='2' maxlength='2' value='".$data_config['pen']."' class='textbox'>
				</td></tr>
				
				<tr>
				<td class='tbl'>Spieler auf Transferliste</td>
				<td align='right' class='tbl'>
				<input type='text' name='pl2trans' size='2' maxlength='2' value='".$data_config['pl2trans']."' class='textbox'>
				</td></tr>
				
				</table>";
				
				tablebreak();
				tablebreak();
				tablebreak();
				opentable("<center>".$locale['man712']."</center>");
				echo "<table align='center' cellpadding='0' cellspacing='0'>
							<tr>
							<td align='center' class='tbl2'>1</td><td align='center' class='tbl1'>1,5</td><td align='center' class='tbl2'>2</td> 
							<td align='center' class='tbl1'>2,5</td><td align='center' class='tbl2'>3</td><td align='center' class='tbl1'>3,5</td>
							<td align='center' class='tbl2'>4</td><td align='center' class='tbl1'>4,5 (-)</td><td align='center' class='tbl2'>5 (-)</td>
							<td align='center' class='tbl1'> 5,5 (-)</td><td align='center' class='tbl2'>6 (-)</td></tr>
							<tr>
							<td align='center' class='tbl1'> 
							<input type='text' name='note_1' size='2' maxlength='2' value='".$data_config['note_1']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_15' size='2' maxlength='2' value='".$data_config['note_15']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_2' size='2' maxlength='2' value='".$data_config['note_2']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_25' size='2' maxlength='2' value='".$data_config['note_25']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_3' size='2' maxlength='2' value='".$data_config['note_3']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_35' size='2' maxlength='2' value='".$data_config['note_35']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_4' size='2' maxlength='2' value='".$data_config['note_4']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_45' size='2' maxlength='2' value='".$data_config['note_45']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_5' size='2' maxlength='2' value='".$data_config['note_5']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_55' size='2' maxlength='2' value='".$data_config['note_55']."' class='textbox'>
							</td>
							<td align='center' class='tbl'> 
							<input type='text' name='note_6' size='2' maxlength='2' value='".$data_config['note_6']."' class='textbox'>
							</td></tr>";

		echo "<tr>
					<td colspan='11' align='center' class='tbl'>
					<input type='submit' name='save' value='".$locale['man213']."' class='button'>
					</td></tr></table>
					</center>
					</form>\n";
			closetable();
}
// Ende Spielerkonfiguration





// Konfiguration Trophies
if ($action == "edttrophy")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man846']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Bilder Upload
	opentable($locale['man847']);
	echo '<center>';
	echo '<form enctype="multipart/form-data" action="" method="post">
				<input type="hidden" name="MAX_FILE_SIZE" value="3000000">
				'.$locale['man714'].' <input name="userfile" type="file"  class="textbox" accept="image/*"><br>
				<input type="submit" value="'.$locale['man204'].'" class="button" name="upload">
				</form><br>';
	$uploaddir = INFUSIONS . "fussball_manager/img/trophy/"; 
	if ($upload)
		if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploaddir . $_FILES['userfile']['name'])) 
		{
			echo $_FILES['userfile']['name']." ok.";
		} 
		else
			echo $_FILES['userfile']['name']." error.";
	echo '<br>';
	closetable();
	// Ende Bilder Upload
	
	// Speichern
	if (isset($_POST['save'])) 
	{
		$tr_name = stripinput($_POST['tr_name']);
		$tr_id = isNum($_POST['tr_id']) ? $_POST['tr_id'] : "0";
		$tr_image = stripinput($_POST['tr_image']);
	
	
		if (isset($tr_id) && $tr_id != 0) 
		{
			$result = dbquery("UPDATE ".$db_prefix."man_trophy SET trophy_name='$tr_name', trophy_image='$tr_image'	WHERE trophy_id='$tr_id'");
			redirect(FUSION_SELF."?act=edttrophy");
		} 
		else 
		{
			$result = dbquery("INSERT INTO ".$db_prefix."man_trophy(trophy_name, trophy_image) 
			VALUES ('$tr_name', '$tr_image')");
			redirect(FUSION_SELF."?act=edttrophy");
		}
	}
	// Ende Speichern

	// Lschen
	if (isset($_POST['delete'])) 
	{
		$result = dbquery("DELETE FROM ".$db_prefix."man_trophy WHERE trophy_id='$tr_id'");
		redirect(FUSION_SELF."?act=edttrophy");
	} 
	// Ende Lschen
	
	// Trophy einlesen
	$trlist = ""; $sel_tr = "";
	$result_tr = dbquery("SELECT * FROM ".$db_prefix."man_trophy order by trophy_id");
	if (dbrows($result_tr) != 0) 
	{
		while ($data_tr = dbarray($result_tr)) 
		{
			if (isset($tr_id)) $sel_tr = ($tr_id == $data_tr['trophy_id'] ? " selected" : "");
			$trlist .= "<option value='".$data_tr['trophy_id']."'$sel_tr>".$data_tr['trophy_name']."</option>\n";
		}
	}
	// Ende Trophy einlesen

	// Trophyauswahl
	opentable($locale['man846']);
	echo "<form name='selectform' method='post' action='".FUSION_SELF."?act=edttrophy'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man848']."</td>
				<td width='80%' class='tbl'>
				<select name='tr_id' class='textbox' style='width:250px'>
				$trlist</select><br>
				<input type='submit' name='edit' value='".$locale['man206']."' class='button'>
				<input type='submit' name='delete' value='".$locale['man207']."' onclick='return DeleteNews();' class='button'>
				</td></tr></table>
				</center>
				</form>\n";
	
	tablebreak();
	
	// Trophy editieren
	if (isset($_POST['edit'])) 
	{
		$result = dbquery("SELECT * FROM ".$db_prefix."man_trophy WHERE trophy_id='$tr_id'");
		if (dbrows($result) != 0) 
		{
			$data = dbarray($result);
			$tr_id = $data['trophy_id'];
			$tr_name = $data['trophy_name'];
			$tr_image = $data['trophy_image'];
		}		
	}
	
	// Formular
	echo "<form name='inputform' method='post' action='".FUSION_SELF."?act=edttrophy' onSubmit='return ValidateForm(this);'>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man849']."</td>
				<td width='80%' class='tbl'>
				<input type='hidden' name='tr_id' value='$tr_id' class='textbox' style='width: 25'>";
	echo "<input type='text' name='tr_name' value='$tr_name' class='textbox' style='width: 250px'></td>
				</tr>
				
				
				<tr>";
	
	echo '<td width="100" class="tbl">'.$locale['man850'].'</td>
				<td width="80%" class="tbl"><select name="tr_image" class="textbox">
  			<option value="'.$tr_image.'">'.$tr_image.'</option>
  			<option value="">'.$locale['man211'].'</option>';
	
	$verz=opendir(INFUSIONS . "fussball_manager/img/trophy/");
	while($file = readdir($verz))
	{
  	if($file != '.' && $file != '..')
		{
			echo '<option>'.$file .'</option>';
		}
	}
	closedir($verz);
	echo '</select></td></tr>';	
				
	echo "<tr>
				<td align='center' colspan='2' class='tbl'><br>
				<input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
				</tr>
				</table>
				</form>\n";
	closetable();
}
// Ende Konfiguration Trophies




// Konfiguration Sponsoren
if ($action == "edtsponsors")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man801']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Bilder Upload
	opentable($locale['man802']);
	echo '<center>';
	echo '<form enctype="multipart/form-data" action="" method="post">
				<input type="hidden" name="MAX_FILE_SIZE" value="3000000">
				'.$locale['man714'].' <input name="userfile" type="file"  class="textbox" accept="image/*"><br>
				<input type="submit" value="'.$locale['man204'].'" class="button" name="upload">
				</form><br>';
	$uploaddir = INFUSIONS . "fussball_manager/img/sponsors/"; 
	if ($upload)
		if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploaddir . $_FILES['userfile']['name'])) 
		{
			echo $_FILES['userfile']['name']." ok.";
		} 
		else
			echo $_FILES['userfile']['name']." error.";
	echo '<br>';
	closetable();
	// Ende Bilder Upload
	
	// Speichern
	if (isset($_POST['save'])) 
	{
		$sp_name = stripinput($_POST['sp_name']);
		$sp_descr = phpentities(stripslash($_POST['body']));
		$sp_id = isNum($_POST['sp_id']) ? $_POST['sp_id'] : "0";
		$sp_banner = stripinput($_POST['sp_banner']);
		$sp_min_value = isNum($_POST['sp_min_value']) ? $_POST['sp_min_value'] : "0";
		$sp_min_points = isNum($_POST['sp_min_points']) ? $_POST['sp_min_points'] : "0";
		$sp_bmoney = isNum($_POST['sp_bmoney']) ? $_POST['sp_bmoney'] : "0";
		$sp_website = stripinput($_POST['sp_website']);
	
		if (isset($sp_id) && $sp_id != 0) 
		{
			$result = dbquery("UPDATE ".$db_prefix."man_sponsors SET sp_name='$sp_name', sp_descr='$body', 
			sp_banner='$sp_banner', sp_min_value=$sp_min_value, sp_min_points=$sp_min_points, sp_bmoney=$sp_bmoney, sp_website='$sp_website'  
			WHERE sp_id='$sp_id'");
			redirect(FUSION_SELF."?act=edtsponsors");
		} 
		else 
		{
			$result = dbquery("INSERT INTO ".$db_prefix."man_sponsors(sp_name, sp_descr, sp_banner, 
			sp_min_value, sp_min_points, sp_bmoney, sp_website) VALUES ('$sp_name', '$body', '$sp_banner', $sp_min_value, $sp_min_points, sp_bmoney, '$sp_website')");
			redirect(FUSION_SELF."?act=edtsponsors");
		}
	}
	// Ende Speichern

	// Lschen
	if (isset($_POST['delete'])) 
	{
		$result = dbquery("DELETE FROM ".$db_prefix."man_sponsors WHERE sp_id='$sp_id'");
		redirect(FUSION_SELF."?act=edtsponsors");
	} 
	// Ende Lschen
	
	// Sponsorliste einlesen
	$splist = ""; $sel_sp = "";
	$result_sp = dbquery("SELECT * FROM ".$db_prefix."man_sponsors order by sp_id");
	if (dbrows($result_sp) != 0) 
	{
		while ($data_sp = dbarray($result_sp)) 
		{
			if (isset($sp_id)) $sel_sp = ($sp_id == $data_sp['sp_id'] ? " selected" : "");
			$splist .= "<option value='".$data_sp['sp_id']."'$sel_sp>".$data_sp['sp_name']."</option>\n";
		}
	}
	// Ende Sponsorliste einlesen

	// Sponsorauswahl
	opentable($locale['man803']);
	echo "<form name='selectform' method='post' action='".FUSION_SELF."?act=edtsponsors'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man804']."</td>
				<td width='80%' class='tbl'>
				<select name='sp_id' class='textbox' style='width:250px'>
				$splist</select><br>
				<input type='submit' name='edit' value='".$locale['man206']."' class='button'>
				<input type='submit' name='delete' value='".$locale['man207']."' onclick='return DeleteNews();' class='button'>
				</td></tr></table>
				</center>
				</form>\n";
	
	tablebreak();
	
	// Sponsor editieren
	if (isset($_POST['edit'])) 
	{
		$result = dbquery("SELECT * FROM ".$db_prefix."man_sponsors WHERE sp_id='$sp_id'");
		if (dbrows($result) != 0) 
		{
			$data = dbarray($result);
			$sp_id = $data['sp_id'];
			$sp_name = $data['sp_name'];
			$sp_descr = $data['sp_descr'];
			$sp_banner = $data['sp_banner'];
			$sp_min_value = $data['sp_min_value'];
			$sp_min_points = $data['sp_min_points'];
			$sp_bmoney = $data['sp_bmoney'];
			$sp_website = $data['sp_website'];
		}		
	}
	
	// Formular
	echo "<form name='inputform' method='post' action='".FUSION_SELF."?act=edtsponsors' onSubmit='return ValidateForm(this);'>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man805']."</td>
				<td width='80%' class='tbl'>
				<input type='hidden' name='sp_id' value='$sp_id' class='textbox' style='width: 25'>";
	echo "<input type='text' name='sp_name' value='$sp_name' class='textbox' style='width: 250px'></td>
				</tr>
				
				
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man225']."</td>
				<td width='80%' class='tbl'><textarea name='body' cols='50' rows='5' class='textbox'>$sp_descr</textarea></td>
				</tr>\n";
	
	echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>
				<input type='button' value='<br>' class='button' onClick=\"addText('body', '<br>', '');\">
				<input type='button' value='b' class='button' style='font-weight:bold;width:25px' onClick=\"addText('body', '<b>', '</b>');\">
				<input type='button' value='i' class='button' style='font-style:italic;width:25px' onClick=\"addText('body', '<i>', '</i>');\">
				<input type='button' value='u' class='button' style='text-decoration:underline;width:25px' onClick=\"addText('body', '<u>', '</u>');\">
				<br>
				</td>
				</tr>\n";
				
	echo "<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man806']."</td>
				<td width='80%' class='tbl'><input type='text' maxlength='12' name='sp_min_value' value='$sp_min_value' class='textbox' style='width: 90px'></td>
				</tr>\n";
	
	echo "<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man807']."</td>
				<td width='80%' class='tbl'><input type='text' maxlength='4' name='sp_min_points' value='$sp_min_points' class='textbox' style='width: 90px'></td>
				</tr>\n";			
	
	echo "<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man808']."</td>
				<td width='80%' class='tbl'><input type='text' maxlength='9' name='sp_bmoney' value='$sp_bmoney' class='textbox' style='width: 90px'> </td>
				</tr>\n";
				
	echo "<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man813']."</td>
				<td width='80%' class='tbl'><input type='text' maxlength='50' name='sp_website' value='$sp_website' class='textbox' style='width: 250px'></td>
				</tr>\n";

	echo "<tr><td valign='top' width='100' class='tbl'>".$locale['man809']."</td>";

	echo '<td width="80%" class="tbl"><select name="sp_banner" class="textbox">
  			<option value="'.$sp_banner.'">'.$sp_banner.'</option>
  			<option value="">'.$locale['man211'].'</option>';
	
	$verz=opendir(INFUSIONS . "fussball_manager/img/sponsors/");
	while($file = readdir($verz))
	{
  	if($file != '.' && $file != '..')
		{
			echo '<option>'.$file .'</option>';
		}
	}
	closedir($verz);
	echo '</select></td></tr>';	
				
	echo "<tr>
				<td align='center' colspan='2' class='tbl'><br>
				<input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
				</tr>
				</table>
				</form>\n";
	closetable();
}
// Ende Konfiguration Sponsoren



// Konfiguration Teams
if ($action == "teams")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man202']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Bilder Upload
	opentable($locale['man203']);
	echo '<center>';
	echo '<form enctype="multipart/form-data" action="" method="post">
				<input type="hidden" name="MAX_FILE_SIZE" value="3000000">
				'.$locale['man714'].' <input name="userfile" type="file"  class="textbox" accept="image/*"><br>
				<input type="submit" value="'.$locale['man204'].'" class="button" name="upload">
				</form><br>';
	$uploaddir = INFUSIONS . "fussball_manager/img/teams/"; 
	if ($upload)
		if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploaddir . $_FILES['userfile']['name'])) 
		{
			echo $_FILES['userfile']['name']." ok.";
		} 
		else
			echo $_FILES['userfile']['name']." error.";
	echo '<br>';
	closetable();
	// Ende Bilder Upload
	
	// Speichern
	if (isset($_POST['save'])) 
	{
		$team_name = stripinput($_POST['team_name']);
		$team_short = stripinput($_POST['team_short']);
		$team_id = isNum($_POST['team_id']) ? $_POST['team_id'] : "0";
		$team_logo = stripinput($_POST['team_logo']);
		$team_website = stripinput($_POST['team_website']);
		if ($team_act) $team_act = 1; else $team_act=0;
	
		if (isset($team_id) && $team_id != 0) 
		{
			$result = dbquery("UPDATE ".$db_prefix."man_teams SET team_name='$team_name', team_short='$team_short', team_logo='$team_logo', 
			team_website='$team_website', team_act=$team_act WHERE team_id='$team_id'");
			redirect(FUSION_SELF."?act=teams");
		} 
		else 
		{
			$result = dbquery("INSERT INTO ".$db_prefix."man_teams(team_name, team_short, team_logo, 
			team_website, team_act) VALUES ('$team_name', '$team_short', '$team_logo', '$team_website', $team_act)");
			redirect(FUSION_SELF."?act=teams");
		}
	}
	// Ende Speichern

	// Lschen
	if (isset($_POST['delete'])) 
	{
		$result = dbquery("DELETE FROM ".$db_prefix."man_teams WHERE team_id='$team_id'");
		redirect(FUSION_SELF."?act=teams");
	} 
	// Ende Lschen
	
	// Teamliste einlesen
	$teamlist = ""; $sel_t = "";
	$result_t = dbquery("SELECT * FROM ".$db_prefix."man_teams order by team_name");
	if (dbrows($result_t) != 0) 
	{
		while ($data_t = dbarray($result_t)) 
		{
			if (isset($team_id)) $sel_t = ($team_id == $data_t['team_id'] ? " selected" : "");
			$teamlist .= "<option value='".$data_t['team_id']."'$sel_t>".$data_t['team_name']."</option>\n";
		}
	}
	// Ende Teamliste einlesen

	// Teamauswahl
	opentable($locale['man202']);
	echo "<form name='selectform' method='post' action='".FUSION_SELF."?act=teams'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man205']."</td>
				<td width='80%' class='tbl'>
				<select name='team_id' class='textbox' style='width:250px'>
				$teamlist</select><br>
				<input type='submit' name='edit' value='".$locale['man206']."' class='button'>
				<input type='submit' name='delete' value='".$locale['man207']."' onclick='return DeleteNews();' class='button'>
				</td></tr></table>
				</center>
				</form>\n";
	
	tablebreak();
	
	// Team editieren
	if (isset($_POST['edit'])) 
	{
		$result = dbquery("SELECT * FROM ".$db_prefix."man_teams WHERE team_id='$team_id'");
		if (dbrows($result) != 0) 
		{
			$data = dbarray($result);
			$team_id = $data['team_id'];
			$team_name = $data['team_name'];
			$team_short = $data['team_short'];
			$team_logo = $data['team_logo'];
			$team_website = $data['team_website'];
			$team_act = $data['team_act'];
		}		
	}
	
	// Formular
	echo "<form name='inputform' method='post' action='".FUSION_SELF."?act=teams' onSubmit='return ValidateForm(this);'>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man208']."</td>
				<td width='80%' class='tbl'>
				<input type='hidden' name='team_id' value='$team_id' class='textbox' style='width: 25'>";
	echo "<input type='text' name='team_name' value='$team_name' class='textbox' style='width: 250px'></td>
				</tr>
				<tr>
				<td width='100' class='tbl'>".$locale['man209']."</td>
				<td width='80%' class='tbl'>";

	echo "<input type='text' name='team_short' value='$team_short' class='textbox' style='width: 250px'></td>";
	echo "</td></tr><tr>
				<td valign='top' width='100' class='tbl'>".$locale['man210']."</td>";


	echo '<td width="80%" class="tbl"><select name="team_logo" class="textbox">
  			<option value="'.$team_logo.'">'.$team_logo.'</option>
  			<option value="">'.$locale['man211'].'</option>';
	
	$verz=opendir(INFUSIONS . "fussball_manager/img/teams/");
	while($file = readdir($verz))
	{
  	if($file != '.' && $file != '..')
		{
			echo '<option>'.$file .'</option>';
		}
	}
	closedir($verz);
	echo '</select></td></tr>';

	echo "<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man212']."</td>
				<td width='80%' class='tbl'><input type='text' name='team_website' value='$team_website' class='textbox' style='width: 250px'></td>
				</tr>\n";
				
	echo "<tr>
				<td valign='top' width='100' class='tbl'>aktives Team?</td>";
				if ($team_act == 1)
					echo "<td width='80%' class='tbl'><input type='checkbox' checked name='team_act' class='textbox'></td>";
				else
					echo "<td width='80%' class='tbl'><input type='checkbox' name='team_act' class='textbox'></td>";
				
				echo "</tr>\n";
	
				
	echo "<tr>
				<td align='center' colspan='2' class='tbl'><br>
				<input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
				</tr>
				</table>
				</form>\n";
	closetable();
}
// Ende Konfiguration Teams


// Konfiguration Spieler
if ($action == "players")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='0' border='0' >
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man214']."</b></font></span></td></tr></table>";
	tablebreak();
	
	
	// Bilder Upload
	opentable($locale['man203']);
	echo '<center>';
	echo '<form enctype="multipart/form-data" action="" method="post">
				<input type="hidden" name="MAX_FILE_SIZE" value="3000000">
				'.$locale['man714'].' <input name="userfile" type="file"  class="textbox" accept="image/*"><br>
				<input type="submit" value="'.$locale['man204'].'" class="button" name="upload">
				</form><br>';
	$uploaddir = INFUSIONS . "fussball_manager/img/players/big/"; 
	if ($upload)
		if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploaddir . $_FILES['userfile']['name'])) 
		{
			echo $_FILES['userfile']['name']." ok.";
		} 
		else
			echo $_FILES['userfile']['name']." error.";
	echo '<br>';
	closetable();
	// Ende Bilder Upload
	
	
	// Speichern
	if (isset($_POST['save'])) 
	{
		$pl_name = stripinput($_POST['pl_name']);
		$pl_pic = stripinput($_POST['pl_pic']);
		$pl_pos = stripinput($_POST['pl_pos']);
		$pl_id = isNum($_POST['pl_id']) ? $_POST['pl_id'] : "0";
		$pl_team = isNum($_POST['pl_team']) ? $_POST['pl_team'] : "0";
		if ($_POST['pl_value'] > 0)
			$pl_value = isNum($_POST['pl_value']) ? $_POST['pl_value'] : "0";
		else 
			$pl_value = $_POST['pl_value'];
		
		if ($_POST['pl_points'] > 0)
			$pl_points = isNum($_POST['pl_points']) ? $_POST['pl_points'] : "0";
		else	
			$pl_points = $_POST['pl_points'];
		
		
		if (isset($pl_id) && $pl_id != 0) 
		{
			$result = dbquery("UPDATE ".$db_prefix."man_players SET pl_pos='$pl_pos', pl_name='$pl_name', pl_team='$pl_team', 
			pl_value=$pl_value, pl_points=$pl_points, pl_pic='$pl_pic' WHERE pl_id='$pl_id'");
			redirect(FUSION_SELF."?act=players");
		} 
		else 
		{
			$result = dbquery("INSERT INTO ".$db_prefix."man_players(pl_pos, pl_name, pl_team, 
			pl_value, pl_points, pl_pic) VALUES ('$pl_pos', '$pl_name', $pl_team, $pl_value, $pl_points, '$pl_pic')");
			
			$data1 = dbarray(dbquery("select max(pl_id) as max from ".$db_prefix."man_players")); 
			$id = $data1['max'];
			
			$result_com = dbquery("select * from ".$db_prefix."man_communities");
			while ($data_com = dbarray($result_com))
			{
				$cid = $data_com['com_id'];
				$insert = dbquery("INSERT INTO ".$db_prefix."man_plcom(pl_id, pl_owner, com, pl_isset, pl_listed) 
				values ($id, 0, $cid, 0, 0)");
			}
			redirect(FUSION_SELF."?act=players");
		}
	}
	// Ende Speichern

	// Lschen
	if (isset($_POST['delete'])) 
	{
		$result = dbquery("DELETE FROM ".$db_prefix."man_players WHERE pl_id='$pl_id'");
		$result = dbquery("DELETE FROM ".$db_prefix."man_plcom WHERE pl_id='$pl_id'");
		redirect(FUSION_SELF."?act=players");
	} 
	
	// Spielerliste einlesen
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".$db_prefix."man_players order by pl_name");
	if (dbrows($result) != 0) 
	{
		while ($data = dbarray($result)) 
		{
			if (isset($pl_id)) $sel = ($pl_id == $data['pl_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['pl_id']."'$sel>".$data['pl_name']."</option>\n";
		}
	}

	// Teamliste einlesen
	$teamlist = ""; $sel_t = "";
	$result_t = dbquery("SELECT * FROM ".$db_prefix."man_teams order by team_name");
	if (dbrows($result_t) != 0) 
	{
		while ($data_t = dbarray($result_t)) 
		{
			if (isset($team_id)) $sel_t = ($pl_team == $data_t['team_id'] ? " selected" : "");
			$teamlist .= "<option value='".$data_t['team_id']."'$sel_t>".$data_t['team_name']."</option>\n";
		}
	}

	// Spielerauswahl
	opentable($locale['man215']);
	echo "<form name='selectform' method='post' action='".FUSION_SELF."?act=players'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man216']."</td>
				<td width='80%' class='tbl'>
				<select name='pl_id' class='textbox' style='width:250px'>
				$editlist</select><br>
				<input type='submit' name='edit' value='".$locale['man206']."' class='button'>
				<input type='submit' name='delete' value='".$locale['man207']."' onclick='return DeleteNews();' class='button'>
				</td></tr></table>
				</center>
				</form>\n";
	
	tablebreak();
	
	// Editieren
	if (isset($_POST['edit'])) 
	{
		$result = dbquery("SELECT * FROM ".$db_prefix."man_players WHERE pl_id='$pl_id'");
		if (dbrows($result) != 0) 
		{
			$data = dbarray($result);
			$pl_id = $data['pl_id'];
			$pl_name = $data['pl_name'];
			$pl_pic = $data['pl_pic'];
			$pl_pos = $data['pl_pos'];
			$pl_team = $data['pl_team'];
			$pl_value = $data['pl_value'];
			$pl_points = $data['pl_points'];
		}
		
		$teamlist = ""; $sel_t = "";
		$result_t = dbquery("SELECT * FROM ".$db_prefix."man_teams order by team_name");
		if (dbrows($result_t) != 0) 
		{
			while ($data_t = dbarray($result_t)) 
			{
				if (isset($pl_team)) $sel_t = ($pl_team == $data_t['team_id'] ? " selected" : "");
				$teamlist .= "<option value='".$data_t['team_id']."'$sel_t>".$data_t['team_name']."</option>\n";
			}
		}
	}
	// Ende Editieren
	
	// Formular
	echo "<form name='inputform' method='post' action='".FUSION_SELF."?act=players' onSubmit='return ValidateForm(this);'>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man217']."</td>
				<td width='80%' class='tbl'>
				<input type='hidden' name='pl_id' value='$pl_id' class='textbox' style='width: 25'>";
	echo "<input type='text' name='pl_name' value='$pl_name' class='textbox' style='width: 250px'></td>
				</tr>
				<tr>
				<td width='100' class='tbl'>".$locale['man137']."</td>
				<td width='80%' class='tbl'>";

	echo "<select name='pl_team' class='textbox' style='width:250px'>$teamlist</select>";
	echo "</td>
				</tr>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man159']."</td>
				<td width='80%' class='tbl'><input type='text' name='pl_points' value='$pl_points' class='textbox' style='width: 250px'></td>
				</tr>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man139']."</td>
				<td width='80%' class='tbl'><input type='text' name='pl_value' value='$pl_value' class='textbox' style='width: 250px'></td>
				</tr>\n";
	echo "<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man218']."</td>
				<td width='80%' class='tbl'><select name='pl_pos' class='textbox' style='width:250px'>";
	if ($pl_pos == 'A')
		echo "<option value='A' selected>".$locale['man121']."</option>\n";
	else
		echo "<option value='A'>".$locale['man121']."</option>\n";
	if ($pl_pos == 'B')
		echo "<option value='B' selected>".$locale['man122']."</option>\n";
	else
		echo "<option value='B'>".$locale['man122']."</option>\n";
	if ($pl_pos == 'C')
		echo "<option value='C' selected>".$locale['man123']."</option>\n";
	else
		echo "<option value='C'>".$locale['man123']."</option>\n";
	if ($pl_pos == 'D')
		echo "<option value='D' selected>".$locale['man124']."</option>\n";
	else
		echo "<option value='D'>".$locale['man124']."</option>\n";
	echo "</select></td></tr>\n";
	echo "<tr>";

	echo '<td width="100" class="tbl">'.$locale['man715'].'</td>
				<td width="80%" class="tbl"><select name="pl_pic" class="textbox">
  			<option value="'.$pl_pic.'">'.$pl_pic.'</option>';
				$verz=opendir(INFUSIONS . "fussball_manager/img/players/big/");
	while($file = readdir($verz))
	{
  	if($file != '.' && $file != '..')
		{
			echo '<option>'.$file .'</option>';
		}
	}
	closedir($verz);
	echo '</select></td></tr>';

	echo "<tr><td align='center' colspan='2' class='tbl'><br>
				<input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
				</tr>
				</table>
				</form>\n";
	closetable();
}
// Ende Konfiguration Spieler


// Konfiguration Umfeld
if ($action == "env")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man219']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Bild Upload
	opentable($locale['man220']);
	echo '<center>';
	echo '<form enctype="multipart/form-data" action="" method="post">
				<input type="hidden" name="MAX_FILE_SIZE" value="3000000">'.$locale['man221'].' <input name="userfile" type="file"  class="textbox" accept="image/*"><br>
				<input type="submit" value="'.$locale['man204'].'" class="button" name="upload">
				</form><br>';
	$uploaddir = INFUSIONS . "fussball_manager/img/env/"; 
	if ($upload)
	if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploaddir . $_FILES['userfile']['name'])) 
	{
		echo $_FILES['userfile']['name']." ok.";
	} 
	else
		echo $_FILES['userfile']['name']." error.";
	echo '<br>';
	closetable();
	// Ende Bild Upload
	
	// Speichern
	if (isset($_POST['save'])) 
	{
		//echo "id".$_POST['envi_id'];
		$env_name = stripinput($_POST['env_name']);
		$env_image = stripinput($_POST['env_image']);
		$envcat_id = isNum($_POST['envcat_id']) ? $_POST['envcat_id'] : "0";
		$env_id = isNum($_POST['envi_id']) ? $_POST['envi_id'] : "0";
		$env_descr = phpentities(stripslash($_POST['body']));
		$env_price = isNum($_POST['env_price']) ? $_POST['env_price'] : "0";
		$env_cost = isNum($_POST['env_cost']) ? $_POST['env_cost'] : "0";
		$env_points = isNum($_POST['env_points']) ? $_POST['env_points'] : "0";
		$env_bmoney = isNum($_POST['env_bmoney']) ? $_POST['env_bmoney'] : "0";
		$env_bpoints = isNum($_POST['env_bpoints']) ? $_POST['env_bpoints'] : "0";
	
		if (isset($env_id) && $env_id != 0) 
		{
			$result = dbquery("UPDATE ".$db_prefix."man_env SET env_name='$env_name', envcat_id='$envcat_id', env_image='$env_image',
			env_descr='$body', env_price=$env_price, env_cost=$env_cost, env_points=$env_points, env_bmoney=$env_bmoney, env_bpoints=$env_bpoints
			WHERE env_id='$env_id'");
			redirect(FUSION_SELF."?act=env");
		} 
		else 
		{
			$result = dbquery("INSERT INTO ".$db_prefix."man_env(env_name, envcat_id, env_descr, 
			env_price, env_cost, env_points, env_bmoney, env_bpoints, env_image) VALUES ('$env_name', $envcat_id, '$env_descr',
			$env_price, $env_cost, $env_points, $env_bmoney, $env_bpoints, '$env_image')");
			redirect(FUSION_SELF."?act=env");
		}
	}
	// Ende Speichern

	// Lschen
	if (isset($_POST['delete'])) 
	{
		$result = dbquery("DELETE FROM ".$db_prefix."man_env WHERE env_id='$env_id'");
		redirect(FUSION_SELF."?act=env");
	} 
	// Ende Lschen
	
	// Umfeldelementliste einlesen
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".$db_prefix."man_env ORDER BY envcat_id, env_id");
	if (dbrows($result) != 0) 
	{
		while ($data = dbarray($result)) 
		{
			if (isset($env_id)) $sel = ($env_id == $data['env_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['env_id']."'$sel>".$data['env_name']."</option>\n";
		}
	}
	
	// Element editieren
	opentable($locale['man222']);
	echo "<form name='selectform' method='post' action='".FUSION_SELF."?act=env'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man223']."</td>
				<td width='80%' class='tbl'><select name='env_id' class='textbox' style='width:250px'>
				$editlist</select><br>
				<input type='submit' name='edit' value='".$locale['man206']."' class='button'>
				<input type='submit' name='delete' value='".$locale['man207']."' onclick='return DeleteNews();' class='button'></td>
				</tr></table>
				</center>
				</form>\n";
	tablebreak();
	
	// Editieren
	if (isset($_POST['edit'])) 
	{
		$result = dbquery("SELECT * FROM ".$db_prefix."man_env WHERE env_id='$env_id'");
		if (dbrows($result) != 0) 
		{
			$data = dbarray($result);
			$env_id = $data['env_id'];
			$env_name = $data['env_name'];
			$env_image = $data['env_image'];
			$envcat_id = $data['envcat_id'];
			$env_price = $data['env_price'];
			$env_cost = $data['env_cost'];
			$env_points = $data['env_points'];
			$env_bmoney = $data['env_bmoney'];
			$env_bpoints = $data['env_bpoints'];
			$body = phpentities(stripslashes($data['env_descr']));
		}
	}	
	// Ende Editieren
	
	// Kategorien einlesen
	$editlist_cat = ""; $sel_cat = "";
	$result = dbquery("Select * from ".$db_prefix."man_envcat order by envcat_id");
	if (dbrows($result) != 0) 
	{
		while ($data = dbarray($result)) 
		{
			if (isset($envcat_id)) $sel_cat = ($envcat_id == $data['envcat_id'] ? " selected" : "");
			$editlist_cat .= "<option value='".$data['envcat_id']."'$sel_cat>".$data['envcat_name']."</option>\n";
		}
	}

	
	// Formular
	echo "<form name='inputform' method='post' action='".FUSION_SELF."?act=env' onSubmit='return ValidateForm(this);'>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td width='100' class='tbl'>".$locale['man223']."</td>
				<td width='80%' class='tbl'>
				<input type='hidden' name='envi_id' value='$env_id' class='textbox' style='width: 25'>";
	echo "<input type='text' name='env_name' value='$env_name' class='textbox' style='width: 250px'></td>
				</tr>
				<tr>
				<td width='100' class='tbl'>".$locale['man224']."</td>
				<td width='80%' class='tbl'><select name='envcat_id' class='textbox'>
				$editlist_cat</select>
				</td>
				</tr>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man225']."</td>
				<td width='80%' class='tbl'><textarea name='body' cols='50' rows='5' class='textbox'>$body</textarea></td>
				</tr>\n";
	
	echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>
				<input type='button' value='<br>' class='button' onClick=\"addText('body', '<br>', '');\">
				<input type='button' value='b' class='button' style='font-weight:bold;width:25px' onClick=\"addText('body', '<b>', '</b>');\">
				<input type='button' value='i' class='button' style='font-style:italic;width:25px' onClick=\"addText('body', '<i>', '</i>');\">
				<input type='button' value='u' class='button' style='text-decoration:underline;width:25px' onClick=\"addText('body', '<u>', '</u>');\">
				<br>
				</td>
				</tr>\n";
	
	echo "<tr><tr>
				<td width='100' class='tbl'>".$locale['man226']."</td>
				<td width='80%' class='tbl'><input type='text' name='env_price' value='$env_price' class='textbox' style='width: 50px'> </td>
				</tr>
				<tr>
				<td width='100' class='tbl'>".$locale['man227']."</td>
				<td width='80%' class='tbl'><input type='text' name='env_points' value='$env_points' class='textbox' style='width: 50px'></td>
				</tr>
				<tr>
				<td width='100' class='tbl'>".$locale['man228']."</td>
				<td width='80%' class='tbl'><input type='text' name='env_cost' value='$env_cost' class='textbox' style='width: 50px'> </td>
				</tr>
				<tr>
				<td width='100' class='tbl'>".$locale['man229']."</td>
				<td width='80%' class='tbl'><input type='text' name='env_bmoney' value='$env_bmoney' class='textbox' style='width: 50px'> </td>
				</tr>
				<tr>
				<td width='100' class='tbl'>".$locale['man230']."</td>
				<td width='80%' class='tbl'><input type='text' name='env_bpoints' value='$env_bpoints' class='textbox' style='width: 50px'></td>
				</tr>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man231']."</td>";

	echo '<td width="80%" class="tbl"><select name="env_image" class="textbox">
  			<option value="'.$env_image.'">'.$env_image.'</option>';
	$verz=opendir(INFUSIONS . "fussball_manager/img/env/");
	while($file = readdir($verz))
	{
  	if($file != '.' && $file != '..')
		{
			echo '<option>'.$file .'</option>';
		}
	}
	closedir($verz);
	echo '</select></td></tr>';

	echo "<td align='center' colspan='2' class='tbl'><br>
				<input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
				</tr></table></form>\n";
	closetable();	
}
// Ende Konfiguration Umfeld


// Konfiguration Umfeld Kategorien
if ($action == "envcat")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man232']."</b></font></span></td></tr></table>";
	tablebreak();
		
	// Kategorien einlesen
	$editlist = ""; $sel = "";
	$result = dbquery("Select * from ".$db_prefix."man_envcat order by envcat_id");
	if (dbrows($result) != 0) 
	{
		while ($data = dbarray($result)) 
		{
			if (isset($envcat_id)) $sel = ($envcat_id == $data['envcat_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['envcat_id']."'$sel>".$data['envcat_name']."</option>\n";
		}
	}

	// Kategorie Auswahl
	echo "<form name='selectform' method='post' action='fussball_manager_admin.php?act=envcat'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man232']."</td>
				<td width='80%' class='tbl'>
				<select name='envcat_id' class='textbox' style='width:230px'>
				$editlist</select><br>";

	echo "<input type='submit' name='edit' value='".$locale['man206']."' class='button'> <input 
				type='submit' name='delete' value='".$locale['man207']."' onclick='return DeleteNews();' 
				class='button'> </td></tr></table></center> </form>\n";
	tablebreak();

	// Speichern
	if (isset($_POST['save'])) 
	{
		$envcat_name = stripinput($_POST['envcat_name']);
		$envcat_id = isNum($_POST['envcat_id']) ? $_POST['envcat_id'] : "0";

		if (isset($envcat_id) && $envcat_id != 0) 
		{
			$result = dbquery("UPDATE ".$db_prefix."man_envcat SET envcat_name='$envcat_name' where envcat_id=$envcat_id");
			redirect(FUSION_SELF."?act=envcat");
		} 
		else 
		{
			$result = dbquery("INSERT INTO ".$db_prefix."man_envcat(envcat_name) VALUES('$envcat_name')");
			redirect(FUSION_SELF."?act=envcat");
		}
	}
	// Ende Speichern


	// Editieren
	if (isset($_POST['edit'])) 
	{
		$result = dbquery("Select * from ".$db_prefix."man_envcat where envcat_id=$envcat_id");
		if (dbrows($result) != 0) 
		{
			$data = dbarray($result);
			$envcat_name = $data['envcat_name'];
			$envcat_id = $data['envcat_id'];
		}
	}
	// Ende Editieren
	
	// Lschen
	if (isset($_POST['delete'])) 
	{
		$result = dbquery("DELETE FROM ".$db_prefix."man_envcat WHERE envcat_id='$envcat_id'");
		redirect(FUSION_SELF."?act=envcat");
	}
	// Ende Lschen

	// Formular
	echo "<form name='inputform' method='post' action='fussball_manager_admin.php?act=envcat' onSubmit='return ValidateForm(this);'>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man232']."</td>
				<td width='80%' class='tbl'><input type='text' name='envcat_name' value='$envcat_name' class='textbox' style='width: 250px'></td>
				</tr>
				<input type='hidden' name='envcat_id' value='$envcat_id' class='textbox' style='width: 250px'>";
	echo "<tr>
				<td align='center' colspan='2' class='tbl'><br>
				<input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
				</tr></table></form>\n";
}
// Ende Konfiguration Umfeld Kategorien

// News Administration
if ($action == "edtnews")
{
	if (isset($_POST['news_id']) || isset($_GET['news']))
	{
		if (isset($_POST['news_id'])) $news = isNum($_POST['news_id']) ? $_POST['news_id'] : 0;
		if (isset($_GET['news'])) $news = isNum($_GET['news']) ? $_GET['news'] : 0;
		$data = dbarray(dbquery("Select * from ".$db_prefix."man_news where news_id=$news"));
		$news_text = stripslashes($data['news_text']);
		$news_title = $data['news_title'];
		$news_id = $data['news_id'];
		$com_id = $data['com'];
	}
	
	/*if (isset($_GET['news']))
	{
		$news = $_GET['news'];
		$data = dbarray(dbquery("Select * from ".$db_prefix."man_news where news_id=$news"));
		$news_text = stripslashes($data['news_text']);
		$news_title = $data['news_title'];
		$news_id = $data['news_id'];
		$com_id = $data['com'];
	}*/

	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man233']."</b></font></span></td></tr></table>";
	tablebreak();


	// Speichern
	if (isset($_POST['save'])) 
	{
		$datestamp = time();
		$news_title = stripinput($_POST['news_subject']);
		$news_text = addslash($_POST['body']);
		$com_id = isNum($_POST['com']) ? $_POST['com'] : 0;
		$news_id = isNum($_POST['news_id']) ? $_POST['news_id'] : "0";
		if ($_POST['body2']) $body2 = addslash(preg_replace("(^<p>\s</p>$)", "", $_POST['body2']));

		if (isset($news_id) && $news_id != 0) 
		{
			$result = dbquery("UPDATE ".$db_prefix."man_news SET com=$com_id, news_datestamp=$datestamp, news_title='$news_title', news_text='$news_text' where news_id=$news_id");
			redirect(FUSION_SELF."?act=edtnews");
		} 
		else 
		{
			$result = dbquery("INSERT INTO ".$db_prefix."man_news(com, news_datestamp, news_title, news_text) VALUES($com_id, $datestamp, '$news_title', '$news_text')");
			redirect(FUSION_SELF."?act=edtnews");
		}
	}
	// Ende Speichern


	// Vorschau
	if (isset($_POST['preview'])) 
	{
		$news_title = stripinput($_POST['news_subject']);
		$news_text = phpentities(stripslash($_POST['body']));
		$bodypreview = str_replace("src='".str_replace("../", "", IMAGES_N), "src='".IMAGES_N, stripslash($_POST['body']));
		if ($_POST['body2']) 
		{
			$body2 = phpentities(stripslash($_POST['body2']));
			$body2preview = str_replace("src='".str_replace("../", "", IMAGES_N), "src='".IMAGES_N, stripslash($_POST['body2']));
		}
		if (isset($_POST['line_breaks'])) 
		{
			$news_breaks = " checked";
			$bodypreview = nl2br($bodypreview);
			if ($body2) $body2preview = nl2br($body2preview);
		} 
		else 
		{
			$news_breaks = "";
		}
		$news_comments = isset($_POST['news_comments']) ? " checked" : "";
		$news_ratings = isset($_POST['news_ratings']) ? " checked" : "";
		opentable($news_subject);
		echo "$bodypreview\n";
		closetable();
		if (isset($body2preview)) 
		{
			tablebreak();
			opentable($news_subject);
			echo "$body2preview\n";
			closetable();
		}
		tablebreak();
	}
	// Ende Vorschau

	// News einlesen
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT * FROM ".$db_prefix."man_news ORDER BY news_datestamp DESC");
	if (dbrows($result) != 0) 
	{
		while ($data = dbarray($result)) 
		{
			if (isset($news_id)) $sel = ($news_id == $data['news_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['news_id']."'$sel>".$data['news_title']."</option>\n";
		}
	}
	
	
	$comlist = ""; $selc = "";
	$resultc = dbquery("SELECT * FROM ".$db_prefix."man_communities ORDER BY com_name");
	if (dbrows($resultc) != 0) 
	{
		while ($datac = dbarray($resultc)) 
		{
			if (isset($com_id)) $selc = ($com_id == $datac['com_id'] ? " selected" : "");
			$comlist .= "<option value='".$datac['com_id']."'$selc>".$datac['com_name']."</option>\n";
		}
	}
	
	
	// Newsauswahl
	echo "<form name='selectform' method='post' action='fussball_manager_admin.php?act=edtnews'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man233']."</td>
				<td width='80%' class='tbl'>
				<select name='news_id' class='textbox' style='width:250px'>
				$editlist</select></td></tr>
				<tr><td valign='top' width='100' class='tbl'></td>
				<td width='80%' class='tbl'>
				<input type='submit' name='edit' value='".$locale['man206']."' class='button'>
				<input type='submit' name='delete' value='".$locale['man207']."' onclick='return DeleteNews();' class='button'>
				</td></tr></table>
				</center>
				</form>\n";
tablebreak();

	// Editieren
	if (isset($_POST['edit'])) 
	{
		$result = dbquery("SELECT * FROM ".$db_prefix."man_news WHERE news_id='$news_id'");
		if (dbrows($result) != 0) 
		{
			$data = dbarray($result);
			$news_subject = $data['news_title'];
			$com_id = $data['com'];
			$body = phpentities(stripslashes($data['news_text']));
		}
	}
	// Ende editieren
	
	// Lschen
	if (isset($_POST['delete'])) 
	{
		$result = dbquery("DELETE FROM ".$db_prefix."man_news WHERE news_id='$news_id'");
		redirect(FUSION_SELF."?act=edtnews");
	}
	// Ende Lschen

	// Formular
	echo "<form name='inputform' method='post' action='fussball_manager_admin.php?act=edtnews&preview' onSubmit='return ValidateForm(this);'>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man235']."</td>
				<td width='80%' class='tbl'><input type='hidden' name='news_id' value='$news_id' class='textbox' style='width: 250px'>
				<input type='text' name='news_subject' value='$news_title' class='textbox' style='width: 250px'></td>
				</tr>
				<tr>
				
				</tr>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man236']."</td>
				<td width='80%' class='tbl'><textarea name='body' cols='95' rows='10' class='textbox'>$news_text</textarea></td>
				</tr>\n";

	echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>
				<input type='button' value='b' class='button' style='font-weight:bold;width:25px' onClick=\"addText('body', '<b>', '</b>');\">
				<input type='button' value='i' class='button' style='font-style:italic;width:25px' onClick=\"addText('body', '<i>', '</i>');\">
				<input type='button' value='u' class='button' style='text-decoration:underline;width:25px' onClick=\"addText('body', '<u>', '</u>');\">
				<input type='button' value='link' class='button' style='width:35px' onClick=\"addText('body', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
				<input type='button' value='img' class='button' style='width:35px' onClick=\"addText('body', '<img src=\'".str_replace("../","",IMAGES_N)."', '\' style=\'margin:5px\' align=\'left\'>');\">
				<input type='button' value='center' class='button' style='width:45px' onClick=\"addText('body', '<center>', '</center>');\">
				<input type='button' value='small' class='button' style='width:40px' onClick=\"addText('body', '<span class=\'small\'>', '</span>');\">
				<input type='button' value='small2' class='button' style='width:45px' onClick=\"addText('body', '<span class=\'small2\'>', '</span>');\">
				<input type='button' value='alt' class='button' style='width:25px' onClick=\"addText('body', '<span class=\'alt\'>', '</span>');\"><br>
				<select name='setcolor' class='textbox' style='margin-top:5px' onChange=\"addText('body', '<span style=\'color:' + this.options[this.selectedIndex].value + '\'>', '</span>');this.selectedIndex=0;\">
				<option value=''>Schriftfarbe</option>
				<option value='maroon' style='color:maroon'>Maroon</option>
				<option value='red' style='color:red'>Red</option>
				<option value='orange' style='color:orange'>Orange</option>
				<option value='brown' style='color:brown'>Brown</option>
				<option value='yellow' style='color:yellow'>Yellow</option>
				<option value='green' style='color:green'>Green</option>
				<option value='lime' style='color:lime'>Lime</option>
				<option value='olive' style='color:olive'>Olive</option>
				<option value='cyan' style='color:cyan'>Cyan</option>
				<option value='blue' style='color:blue'>Blue</option>
				<option value='navy' style='color:navy'>Navy Blue</option>
				<option value='purple' style='color:purple'>Purple</option>
				<option value='violet' style='color:violet'>Violet</option>
				<option value='black' style='color:black'>Black</option>
				<option value='gray' style='color:gray'>Gray</option>
				<option value='silver' style='color:silver'>Silver</option>
				<option value='white' style='color:white'>White</option>
				</select>
				</td>
				</tr>\n";
				
				
				echo "<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man836']."</td>
				<td width='80%' class='tbl'>
				<select name='com' class='textbox'>
				<option value='0'>".$locale['man837']."</option>
				$comlist</select></td></tr>";
				
	
echo "<tr>
			<td align='center' colspan='2' class='tbl'><br>
			<input type='submit' name='preview' value='".$locale['man237']."' class='button'>
			<input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
			</tr>
			</table>
			</form>\n";
}
// Ende News Administration


// Bewertung auflisten / Berechnung durchfhren
if ($action == "calc")
{
	// Kopfzeile
	tablebreak();
	echo "<form name='inputform' method='post' action='fussball_manager_admin.php?act=final'>
				<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man238']."</b></font></span></td></tr></table>";
	tablebreak();

	$result = dbquery("select * from ".$db_prefix."man_plscore as a left join ".$db_prefix."man_players as b 
	on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id order by c.team_name, b.pl_name");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	// Tabellenberschrift	
	echo "<table align='center' cellpadding='0' cellspacing='0'>";
	echo "<tr>";
	echo '<td align="center" class="tbl1">'.$locale['man111'].'</td>';
	echo '<td align="center" class="tbl1">'.$locale['man137'].'</td>';
	echo '<td align="center" class="tbl1"><img src="img/note.gif"></td>';
	echo '<td align="center" class="tbl1"><img src="img/goal.gif"></td>';
	echo '<td align="center" class="tbl1"><img src="img/penalty.gif"></td>';
	echo '<td align="center" class="tbl1"><img src="img/2yellow.gif"></td>';
	echo '<td align="center" class="tbl1"><img src="img/red_card.gif"></td>';
	echo '<td align="center" class="tbl1">'.$locale['man115'].'</td>';
	echo '</tr>';
	
	$i=0;
	$result = dbquery("select * from ".$db_prefix."man_plscore as a left join ".$db_prefix."man_players as b 
	on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id order by c.team_name, b.pl_name limit $rowstart, 20");
	
	// Ausgabe Bewertungen
	while ($data = dbarray($result))
	{
		echo "<tr>";
		echo '<td align="center" class="tbl1">'.$data['pl_name'].'</td>';
		echo '<td align="center" class="tbl1">'.$data['team_name'].'</td>';
		echo '<td align="center" class="tbl1">'.$data['pl_note'].'</td>';
		echo '<td align="center" class="tbl1">'.$data['pl_goals'].'</td>';
		echo '<td align="center" class="tbl1">'.$data['pl_pen'].'</td>';
		echo '<td align="center" class="tbl1">'.$data['pl_2y'].'</td>';
		echo '<td align="center" class="tbl1">'.$data['pl_r'].'</td>';
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=edtcalc&pl_id='.$data['pl_id'].'">'.$locale['man239'].'</a></td>';
		echo '</tr>';	
		$i++;
	}
	echo '<tr><td align="center" colspan="8" class="tbl1"><input type="submit" name="final" value="'.$locale['man240'].'" class="button"></td></tr>';
	echo '</table></form>';
	tablebreak();
	if ($i < 20) $i=20;
	if ($i >= 20) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,20,$rows,3,FUSION_SELF."?act=calc&")."\n</div>\n";
	// Ende Ausgabe Bewertungen
	
	tablebreak();
	tablebreak();
	include_once("legend.php");
}
// Ende Bewertung auflisten / Berechnung durchfhren


// Bewertung ndern
if ($action == "edtcalc")
{
	$player = isNum($_GET['pl_id']) ? $_GET['pl_id'] : 0;
	if ($save)
	{
		if (($yellow2 == 1 || $yellow2 == 0) && ($red == 1 || $red == 0))
		{
			$result = dbquery("update ".$db_prefix."man_plscore set pl_note=$note, pl_goals=$goal, pl_pen=$penalty, pl_2y=$yellow2, pl_r=$red 
			where pl_id=$id");
			fallback("fussball_manager_admin.php?act=calc");
		}
		else 
			fallback("fussball_manager_admin.php?act=showerror&site=calc");
	}
	
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
		<tr><td class='tbl2' align='center' colspan='2'>
		<span class='small'><font size='3'><b>".$locale['man241']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Spielerbewertung einlesen
	$result = dbquery("select * from ".$db_prefix."man_plscore as a left join ".$db_prefix."man_players as b 
	on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.pl_id=$player");
	$data_p = dbarray($result);

	opentable("<center>".$data_p['pl_name']."</center>");
	echo "<form name='inputform' method='post'>
				<table align='center' cellpadding='0' cellspacing='0'>";
	
	echo "<tr>";
	echo '<td align="center" class="tbl1"><img src="img/note.gif"></td>';
	echo '<td align="center" class="tbl1"><img src="img/goal.gif"></td>';
	echo '<td align="center" class="tbl1"><img src="img/penalty.gif"></td>';
	echo '<td align="center" class="tbl1"><img src="img/2yellow.gif"></td>';
	echo '<td align="center" class="tbl1"><img src="img/red_card.gif"></td>';
	echo '</tr>';
	
	// Position ermitteln	
	if ($data_p['pl_pos'] == "A") $pos=$locale['man121'];
	if ($data_p['pl_pos'] == "B") $pos=$locale['man122'];
	if ($data_p['pl_pos'] == "C") $pos=$locale['man123'];
	if ($data_p['pl_pos'] == "D") $pos=$locale['man124'];
	echo '<tr>';
	echo '<form method="post"><td align="center" class="'.$cell.'"><select name="note" width="3">
				<option value='.$data_p['pl_note'].'>'.$data_p['pl_note'].'</option>
				<option value=0>-</option>
				<option value=1>1</option>
				<option value=1.5>1,5</option>
				<option value=2>2</option>
				<option value=2.5>2,5</option>
				<option value=3>3</option>
				<option value=3.5>3,5</option>
				<option value=4>4</option>
				<option value=4.5>4,5</option>
				<option value=5>5</option>
				<option value=5.5>5,5</option>
				<option value=6>6</option>
				</select></td>';
		echo '<td align="center" class="'.$cell.'"><input type="text" name="goal" value="'.$data_p['pl_goals'].'" size="1" maxlength="1" class="textbox"></td>';
		echo '<td align="center" class="'.$cell.'"><input type="text" name="penalty" value="'.$data_p['pl_pen'].'" size="1" maxlength="1" class="textbox"></td>';
		echo '<td align="center" class="'.$cell.'"><input type="text" name="yellow2" value="'.$data_p['pl_2y'].'" size="1" maxlength="1" class="textbox"></td>';
		echo '<td align="center" class="'.$cell.'"><input type="text" name="red" value="'.$data_p['pl_r'].'" size="1" maxlength="1" class="textbox">';
		echo '<input type="hidden" name="id" value="'.$data_p['pl_id'].'" class="textbox"></td>';
		echo '</tr>';
		echo "<tr><td align='center' colspan='8'><input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
					</tr>
					</table>
					</form>\n";
	tablebreak();
	tablebreak();
	include_once("legend.php");
	closetable();	
}
// Ende Bewertung ndern

// Fehleranzeige
if ($action == "showerror")
{	
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3 '><b>FEHLER</b></font></span></td></tr></table>";	
	tablebreak();	
	$site = stripinput($_GET['site']);
	if ($site == "all" || $site == "calc")
	{
		echo $locale['man716'];
	}
	echo '<a href="fussball_manager_admin.php?act='.$site.'">[zurck]</a></center>';
}
// Ende Fehleranzeige

// Berechnung durchfhren
if ($action == "final")
{
		$config = $data_config;
		$val_players = $config['val_players'];			
		$mpp = $config['money_per_point'];	
		
		$result_a = dbquery("select * from ".$db_prefix."man_plscore");
		
		// Spielerberechnung

			while ($data_a = dbarray($result_a))
			{		
				$plid = $data_a['pl_id'];
				$result = dbquery("select * from ".$db_prefix."man_players where pl_id=$plid");
				$data = dbarray($result);
				$pl_value = $data['pl_value'];
				$pl_points = $data['pl_points'];
				$pkt = 0;
				if ($data_a['pl_note'] == 0) $pkt+=0;
				if ($data_a['pl_note'] == 1) $pkt+=$config['note_1'];
				if ($data_a['pl_note'] == 1.5) $pkt+=$config['note_15'];
				if ($data_a['pl_note'] == 2) $pkt+=$config['note_2'];
				if ($data_a['pl_note'] == 2.5) $pkt+=$config['note_25'];
				if ($data_a['pl_note'] == 3) $pkt+=$config['note_3'];
				if ($data_a['pl_note'] == 3.5) $pkt+=$config['note_35'];
				if ($data_a['pl_note'] == 4) $pkt+=$config['note_4'];
				if ($data_a['pl_note'] == 4.5) $pkt-=$config['note_45'];
				if ($data_a['pl_note'] == 5) $pkt-=$config['note_5'];
				if ($data_a['pl_note'] == 5.5) $pkt-=$config['note_55'];
				if ($data_a['pl_note'] == 6) $pkt-=$config['note_6'];	
				$pkt = $pkt + ($data_a['pl_goals']*$config['goal']);
				$pkt = $pkt + ($data_a['pl_pen']*$config['pen']);
				if ($data_a['pl_2y'] == 1) $pkt=$pkt-3;
				if ($data_a['pl_r'] == 1) $pkt=$pkt-6;
				
				$pl_value+=($pkt*$val_players);
				if ($pl_value < 100000) $pl_value=100000;
				
				$pl_points+=$pkt;
				
				$date = time();
				// Spieler updaten
				$upd = dbquery("update ".$db_prefix."man_players set pl_points=$pl_points, pl_value=$pl_value where pl_id=$plid");
				//$upd = dbquery("update ".$db_prefix."man_plscore set pl_points=$pkt where pl_id=$plid");
				$upd = dbquery("insert into ".$db_prefix."man_plhist(pl_id, pl_pkt, date) values ($plid, $pkt, '$date')");
				
				$resultb = dbquery("select * from ".$db_prefix."man_plcom where pl_id=$plid");
				while ($datab = dbarray($resultb))
				{
					$pl_owner = $datab['pl_owner'];
					$pl_isset = $datab['pl_isset'];
					
					$result_user = dbquery("select * from ".$db_prefix."man_users where user_id=$pl_owner");	
					$data_user = dbarray($result_user);
					$userid = $data_user['user_id'];
					$user_value = $data_user['user_value'];
					$user_points = $data_user['user_points'];
					
					// Schulden?
					if ($user_value >= 0)
						// Spieler aufgestellt? Wenn nein, keine Managerpunkte
						if ($pl_isset == 1)
						{	
							$dat = time();
							$upd = dbquery("update ".$db_prefix."man_users set user_points=user_points+$pkt	where user_id=$userid");	
							$result_user = dbquery("select * from ".$db_prefix."man_userhist where user_id=$userid and date between ($dat-180) and ($dat+180)");
							$data_user = dbarray($result_user);
							$datea = $data_user['date'];
							if (isset($data_user['user_id']))
								$upd = dbquery("update ".$db_prefix."man_userhist set user_points=user_points+$pkt where user_id=$userid and date='$datea'");	
							else							
								$upd = dbquery("insert into ".$db_prefix."man_userhist(user_id, user_points, date) values($userid, $pkt, '$dat')");	
							
							if ($pkt > 0)
							$upd = dbquery("update ".$db_prefix."man_users set user_value=(user_value+($pkt*$mpp)) where user_id=$userid");	
						}
				}
		}
		
		// Managerberechnung
		$result_user = dbquery("select * from ".$db_prefix."man_users order by user_id");
		while ($data_user = dbarray($result_user))
		{
			$u_value=0;
			$user_value=$data_user['user_value'];
			$u_points=0;
			$user_id = $data_user['user_id'];
			$sp_id = $data_user['user_sponsor'];
			
			// Pro nicht besetzte Position gibts Punktabzug
			$res = dbquery("select count(*) as count from ".$db_prefix."man_plcom where pl_owner=$user_id and pl_isset=1");
			$pl_counter = dbarray($res);
			$u_points -= (11 - $pl_counter['count'])*$config['missed_pos'];

			// Geld / Punkte fr Umfeldelemente			
			$result1 = dbquery("select * from ".$db_prefix."man_userenv as a left join ".$db_prefix."man_env as b
			on a.env_id=b.env_id where a.user_id=$user_id");
			while ($data1 = dbarray($result1))
			{
				if ($data1['env_bmoney'] > 0)
					$u_value+=$data1['env_bmoney'];
				
				if ($data1['env_cost'] > 0)
					$u_value-=$data1['env_cost'];
				
				if ($data1['env_bpoints'] > 0 )
				{
					if ($data_config['allow_debts'] == 0)
					{
						if ($user_value > 0)
							$u_points+=$data1['env_bpoints'];
					}
					else
					{
						$u_points+=$data1['env_bpoints'];
					}
				}
			}
			// Ende Geld / Punkte fr Umfeldelemente			
			
			$upd = dbquery("update ".$db_prefix."man_users set user_points=user_points+$u_points, user_value=(user_value+$u_value) 
			where user_id=$user_id");
				
			// Sponsorzahlung 
			if ($sp_id != 0)
			{
				//echo "Sponsor: ".$sp_id."<br>";
				
				$data_value = dbarray(dbquery("Select sum(a.pl_value) as teamvalue
				from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id
				where b.pl_owner=$user_id"));
				//echo "Teamvalue: ".$data_value['teamvalue']."<br>";
				
				$data_points = dbarray(dbquery("Select sum(a.pl_points) as points 
				from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id
				where b.pl_owner=$user_id and b.pl_isset=1"));
				//echo "Points: ".$data_points['points']."<br>";
				
				$data_spon = dbarray(dbquery("select * from ".$db_prefix."man_sponsors where sp_id=$sp_id"));
				$sp_bmoney = $data_spon['sp_bmoney'];
				if (($data_value['teamvalue'] >= $data_spon['sp_min_value']) && ($data_points['points'] >= $data_spon['sp_min_points']))
				{
					$upd = dbquery("update ".$db_prefix."man_users set user_value=(user_value+$sp_bmoney) where user_id=$user_id");
				}
			}
			// Ende Sponsorzahlung 
		}
		$clr = dbquery("delete from ".$db_prefix."man_plscore");
		fallback("fussball_manager_admin.php?act=setdate");	
}
// Berechnung durchfhren

// Spieler bewerten V2.0
if ($action == "all")
{
// SPeichern
if (isset($_POST['sss']))
{
$team_id = $_POST['team_id'];
for ($l=0; $l < sizeof($id); $l++)
{
$plid = $id[$l];

$note1 = ($note[$l]) == "" ? 0 : $note[$l];
$goal1 = ($goal[$l]) == "" ? 0 : $goal[$l];
$penalty1 = ($penalty[$l]) == "" ? 0 : $penalty[$l];
$yellow21 = ($yellow2[$l]) == "" ? 0 : $yellow2[$l];
$red1 = ($red[$l]) == "" ? 0: $red[$l];

if ($plid != 0 && $note1 != 0)
{
if (($yellow21 == 1 || $yellow21 == 0) && ($red1 == 1 || $red1 == 0))
{
$res = dbarray(dbquery("select * from ".$db_prefix."man_plscore where pl_id=$plid"));
if (isset($res['pl_id']))
{
$result = dbquery("update ".$db_prefix."man_plscore set pl_note=$note1, pl_goals=$goal1, pl_pen=$penalty1, pl_2y=$yellow21, pl_r=$red1
where pl_id=$plid");
}
else
{
$result = dbquery("insert into ".$db_prefix."man_plscore(pl_id, pl_note, pl_goals, pl_pen, pl_2y, pl_r)
values($plid, $note1, $goal1, $penalty1, $yellow21, $red1)");
}
}
else
fallback("fussball_manager_admin.php?act=showerror&site=all");
$sele = true;
}
}
$sele = true;
}
// Speichern

// Kopfzeile
tablebreak();
echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr><td class='tbl2' align='center' colspan='2'>
<span class='small'><font size='3'><b>".$locale['man242']."</b></font></span></td></tr></table>";
tablebreak();


// Teamliste einlesen
$editlist_t = ""; $sel_t = "";
$result_t = dbquery("SELECT * FROM ".$db_prefix."man_teams where team_act=1 ORDER BY team_name");
if (dbrows($result_t) != 0)
{
while ($data_t = dbarray($result_t))
{
if (isset($team_id)) $sel_t = ($team_id == $data_t['team_id'] ? " selected" : "");
if (isset($tete)) $sel_t = ($tete == $data_t['team_id'] ? " selected" : "");
$editlist_t .= "<option value='".$data_t['team_id']."'$sel_t>".$data_t['team_name']."</option>\n";
}
}

// Spielerauswahl
echo "<form name='selectform' method='post' action='fussball_manager_admin.php?act=all'>
<center>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td class='tbl'>".$locale['man243']."</td>
<td class='tbl'>
<select name='team_id' class='textbox' style='width:250px'>
$editlist_t</select> <input type='submit' name='sele' value='".$locale['man244']."' class='button'>

</td></tr></table>
</center>
</form>\n";
tablebreak();
tablebreak();

// Formular
if ($sele)
{
$team = isNum($_POST['team_id']) ? $_POST['team_id'] : 0;
$result_pl = dbquery("SELECT * FROM ".$db_prefix."man_players WHERE pl_team=$team order by pl_name");

opentable("Rating");
echo "<form name='inputform' method='post' action='fussball_manager_admin.php?act=all' onSubmit='return ValidateForm(this);'>
<table width='35%' align='center' cellpadding='0' cellspacing='0'>";
echo '<tr><td align="left" class="tbl1"><b>Name</b></td>';
echo '<td align="center" class="tbl1"><img src="img/note.gif"></td>';
echo '<td align="center" class="tbl1"><img src="img/goal.gif"></td>';
echo '<td align="center" class="tbl1"><img src="img/penalty.gif"></td>';
echo '<td align="center" class="tbl1"><img src="img/2yellow.gif"></td>';
echo '<td align="center" class="tbl1"><img src="img/red_card.gif"></td>';
echo '</tr>';

// Position ermitteln
if ($data_p['pl_pos'] == "A") $pos=$locale['man121'];
if ($data_p['pl_pos'] == "B") $pos=$locale['man122'];
if ($data_p['pl_pos'] == "C") $pos=$locale['man123'];
if ($data_p['pl_pos'] == "D") $pos=$locale['man124'];


//$result_p1 = dbquery("SELECT * FROM ".$db_prefix."man_players WHERE pl_id='$pl_id'");
echo '<form method="post">';

while ($data_pl = dbarray($result_pl))
{

$data_p = dbarray(dbquery("SELECT * FROM ".$db_prefix."man_plscore WHERE pl_id=".$data_pl['pl_id']));
echo '<tr>';

if (!isset($data_p['pl_note'])) $data_p['pl_note']=0;
if (!isset($data_p['pl_goals'])) $data_p['pl_goals']=0;
if (!isset($data_p['pl_pen'])) $data_p['pl_pen']=0;
if (!isset($data_p['pl_2y'])) $data_p['pl_2y']=0;
if (!isset($data_p['pl_r'])) $data_p['pl_r']=0;

echo '<td align="left" class="'.$cell.'">'.$data_pl['pl_name'].'</td>
<td align="center" class="'.$cell.'"><select name="note[]" width="3">
<option value='.$data_p['pl_note'].'>'.$data_p['pl_note'].'</option>
<option value=0>-</option>
<option value=1>1</option>
<option value=1.5>1,5</option>
<option value=2>2</option>
<option value=2.5>2,5</option>
<option value=3>3</option>
<option value=3.5>3,5</option>
<option value=4>4</option>
<option value=4.5>4,5</option>
<option value=5>5</option>
<option value=5.5>5,5</option>
<option value=6>6</option>
</select></td>';
echo '<td align="center" class="'.$cell.'"><input type="text" name="goal[]" value="'.$data_p['pl_goals'].'" size="1" maxlength="1" class="textbox"></td>';
echo '<td align="center" class="'.$cell.'"><input type="text" name="penalty[]" value="'.$data_p['pl_pen'].'" size="1" maxlength="1" class="textbox"></td>';
echo '<td align="center" class="'.$cell.'"><input type="text" name="yellow2[]" value="'.$data_p['pl_2y'].'" size="1" maxlength="1" class="textbox"></td>';
echo '<td align="center" class="'.$cell.'"><input type="text" name="red[]" value="'.$data_p['pl_r'].'" size="1" maxlength="1" class="textbox">';
echo '<input type="hidden" name="id[]" value="'.$data_pl['pl_id'].'" class="textbox">

</td>';
echo '</tr>';
}

echo "<tr><input type='hidden' name='team_id' value='".$team."' class='textbox'>
<td align='center' colspan='7'><input type='submit' name='sss' value='".$locale['man213']."' class='button'> </td>
</tr></table></form>\n";
closetable();

tablebreak();
tablebreak();
include_once("legend.php");
tablebreak();
}
}
// Ende Spieler bewerten V2.0

// Transfers durchfhren
if ($action == "settransfer")
{
	$new_date = time();
	$trans_date = $data_config['transfer_date'];
	
	$query_com = dbquery("select * from ".$db_prefix."man_communities");
	while ($array_com = dbarray($query_com))
	{
		$com = $array_com['com_id'];	
	
	
	// Spieler auf TL ermitteln
	$query = dbquery("select * from ".$db_prefix."man_plcom where com=$com and pl_owner=0 and pl_listed=1");
	while ($array = dbarray($query))
	{
		$pp = $array['pl_id'];
		// Maximales Angebot ermitteln (Computer Spieler)
		$result_max = dbquery("select * from ".$db_prefix."man_offers where com=$com and pl_id=$pp order by offer desc limit 1");
		$data_max = dbarray($result_max);
	
		// Spieler von Computer an Manager mit max. Angebot transferieren
		if (isset($data_max['user_id'])) 
		{
			$o_user = $data_max['user_id'];
			$max = $data_max['offer'];
			
			
			$data_usr = dbarray(dbquery("select * from ".$db_prefix."man_users where user_id=$o_user"));
			$count_owner = dbarray(dbquery("select count(*) as count from ".$db_prefix."man_plcom where pl_owner=$o_user"));		
			
			if ($count_owner['count'] < $data_config['max_players'])
			{
				if ($data_config['allow_debts'] == 0)
				{
					// Schulden?
					if ($data_usr['user_value'] >= $max)
					{
					
						// Spieler transferieren
						$query_upd1 = dbquery("update ".$db_prefix."man_plcom set pl_listed=0, pl_isset=0, pl_owner=$o_user where com=$com and pl_id=$pp");
						
						// Angebote lschen
						$query_upd2 = dbquery("delete from ".$db_prefix."man_offers where com=$com and pl_id=$pp");
						
						// Geld von Manager abziehen
						$query_upd3 = dbquery("update ".$db_prefix."man_users set user_value=(user_value-$max) where user_id=$o_user");
						
						$query_upd4 = dbquery("insert into ".$db_prefix."man_transfers(com, pl_id, trans_from, trans_to, trans_val, trans_date)
						values($com, $pp, 0, $o_user, $max, '$new_date')");
						
						// Newsbeitrag schreiben				
						$result1 = dbquery("select * from ".$db_prefix."man_players where pl_id=$pp");
						$data = dbarray($result1);
						$pllnk = '<a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'">'.$data['pl_name'].'</a>';
			
						// Position ermitteln				
						if ($data['pl_pos'] == "A") $pos=$locale['man121'];
						if ($data['pl_pos'] == "B") $pos=$locale['man122'];
						if ($data['pl_pos'] == "C") $pos=$locale['man123'];
						if ($data['pl_pos'] == "D") $pos=$locale['man124'];
							
						$result_u1 = dbquery("select * from ".$db_prefix."man_users where user_id=$o_user");
						$data_u1 = dbarray($result_u1);
						$name_u1 = $data_u1['user_teamname'];
						
						if (isset($data_u1['user_id']))
							$t1lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u1['user_id'].'">'.$name_u1.'</a>';
						else
							$t1lnk = "<b>Computer</b>";
					
						$result_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=0");
						$data_u2 = dbarray($result_u2);
						$name_u2 = $data_u2['user_teamname'];
						
						if (isset($data_u2['user_id']))
							$t2lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u2['user_id'].'">'.$name_u2.'</a>';
						else
							$t2lnk = "<b>Computer</b>";
								
						$title = $data['pl_name'].' '.$locale['man129'];
						$text = $locale['man125'].' '.$pllnk.' ('.$pos.') '.$locale['man126'].' '.number_format($max, 2, ',', '.').'  '.$locale['man127'].' '.$t2lnk.' '.$locale['man128'].' '.$t1lnk.'.';
						$stamp = time();
						$result_ins = dbquery("insert into ".$db_prefix."man_news(com, news_title, news_text, news_datestamp) values($com, '$title', '$text', $stamp)");				
						// Ende Newsbeitrag schreiben
					}
				}
				else
				{
					// Spieler transferieren
					$query_upd1 = dbquery("update ".$db_prefix."man_plcom set pl_listed=0, pl_isset=0, pl_owner=$o_user where com=$com and pl_id=$pp");
						
					// Angebote lschen
					$query_upd2 = dbquery("delete from ".$db_prefix."man_offers where com=$com and pl_id=$pp");
						
					// Geld von Manager abziehen
					$query_upd3 = dbquery("update ".$db_prefix."man_users set user_value=(user_value-$max) where user_id=$o_user");
						
					$query_upd4 = dbquery("insert into ".$db_prefix."man_transfers(com, pl_id, trans_from, trans_to, trans_val, trans_date)
					values($com, $pp, 0, $o_user, $max, '$new_date')");
						
					// Newsbeitrag schreiben				
					$result1 = dbquery("select * from ".$db_prefix."man_players where pl_id=$pp");
					$data = dbarray($result1);
					$pllnk = '<a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'">'.$data['pl_name'].'</a>';
			
					// Position ermitteln				
					if ($data['pl_pos'] == "A") $pos=$locale['man121'];
					if ($data['pl_pos'] == "B") $pos=$locale['man122'];
					if ($data['pl_pos'] == "C") $pos=$locale['man123'];
					if ($data['pl_pos'] == "D") $pos=$locale['man124'];
							
					$result_u1 = dbquery("select * from ".$db_prefix."man_users where user_id=$o_user");
					$data_u1 = dbarray($result_u1);
					$name_u1 = $data_u1['user_teamname'];
						
					if (isset($data_u1['user_id']))
						$t1lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u1['user_id'].'">'.$name_u1.'</a>';
					else
						$t1lnk = "<b>Computer</b>";
					
					$result_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=0");
					$data_u2 = dbarray($result_u2);
					$name_u2 = $data_u2['user_teamname'];
						
					if (isset($data_u2['user_id']))
						$t2lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u2['user_id'].'">'.$name_u2.'</a>';
					else
						$t2lnk = "<b>Computer</b>";
								
					$title = $data['pl_name'].' '.$locale['man129'];
					$text = $locale['man125'].' '.$pllnk.' ('.$pos.') '.$locale['man126'].' '.number_format($max, 2, ',', '.').'  '.$locale['man127'].' '.$t2lnk.' '.$locale['man128'].' '.$t1lnk.'.';
					$stamp = time();
					$result_ins = dbquery("insert into ".$db_prefix."man_news(com, news_title, news_text, news_datestamp) values($com, '$title', '$text', $stamp)");				
					// Ende Newsbeitrag schreiben					
				}
			}			
		}
		else
			// Spieler von Transferliste nehmen
			$query_upd4 = dbquery("update ".$db_prefix."man_plcom set pl_listed=0 where com=$com and pl_id=$pp");
	}
			
	// Alle Spieler von Computer von TL nehmen
	$query_unlist = dbquery("update ".$db_prefix."man_plcom set pl_listed=0 where com=$com and pl_owner=0");
	
	// 10 Neue Spieler von Computer auf TL setzen
	
	
	//$query_relist = dbquery("select * from ".$db_prefix."man_plcom where com=$com and pl_owner=0 and pl_listed=0");
	
	$query_relist = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b on a.pl_id=b.pl_id
	left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$com and a.pl_owner=0 and a.pl_listed=0
	and c.team_act=1");	
	//and c.team_name not in('2.Liga', '3.Liga', 'Ausland', 'Karriereende', 'Alemannia Aachen', 'FSV Mainz 05', 'Borussia Mnchengladbach')");	
	
	
	//echo "t1 - ";
	while ($array = dbarray($query_relist))
		$playerk[] = $array['pl_id'];

	if (sizeof($playerk)>0)
	{	
		srand((double)microtime() * 1000000);
  	$zufall = array_rand($playerk, $data_config['pl2trans']);
  	for($x=0;$x<count($zufall);$x++)
  	{    
  		$pl = $playerk[$zufall[$x]];     
			$query_list = dbquery("update ".$db_prefix."man_plcom set pl_listed=1 where com=$com and pl_id=$pl");
     }
   }
   
	}
 	// 10 Neue Spieler von Computer auf TL setzen
	$query_trans2 = dbquery("update ".$db_prefix."man_config set transfer_date='$new_date'");
 	fallback("fussball_manager_admin.php?act=transfer");
}
// Transfers durchfhren


// Transferdurchfhrung
if ($action == "transfer")
{
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man246']."</b></font></span></td></tr></table>";
	tablebreak();
	$trans_date = $data_config['transfer_date'];
	tablebreak();
	
	echo '<form method="post" action="fussball_manager_admin.php?act=settransfer">';
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man247'].'</b></td>
				<td align="center" class="tbl1">'.showdate("longdate", $trans_date).'</td></tr>';
	
	echo '<tr>';
	echo '<td align="center" class="tbl1" colspan="2">';
	echo '<input type="submit" name="settrans" value="'.$locale['man246'].'" class="button"></td></tr></table>';
	echo '</form>';
	tablebreak();	
	tablebreak();	
}
// Ende Transferdurchfhrung


// Transfers rckgngig machen
if ($action == "undotransfer")
{
	$tr_id = isNum($_GET['tr_id']) ? $_GET['tr_id'] : 0;
	$result = dbquery("select * from ".$db_prefix."man_transfers where trans_id=$tr_id");
	$count = dbrows($result);
	
	if ($count > 0)
	{
		$data = dbarray($result);
		$pl_id = $data['pl_id'];
		$com = $data['com'];
		$oldown = $data['trans_from'];
		$newown = $data['trans_to'];
		$value = $data['trans_val'];
	
		$query = dbquery("update ".$db_prefix."man_plcom set pl_isset=0, pl_listed=0, pl_owner=$oldown where com=$com and pl_id=$pl_id");
	
		//$data_pl = dbarray(dbquery("select * from ".$db_prefix."man_players where pl_id=$pl_id"));
		//$pl_value = $data_pl['pl_value'];
	
		// Gelder abziehen/berweisen
		if ($oldown != 0)
			$query = dbquery("update ".$db_prefix."man_users set user_value=user_value-$value where user_id=$oldown");
		if ($newown != 0)
			$query = dbquery("update ".$db_prefix."man_users set user_value=user_value+$value where user_id=$newown");
	
		$query = dbquery("delete from ".$db_prefix."man_transfers where trans_id=$tr_id");
	}
	fallback("fussball_manager_admin.php?act=listtransfers");
}
// Ende Transfers rckgngig machen


// Angebote
if ($action == "edtoffers")
{
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man851']."</b></font></span></td></tr></table>";
	tablebreak();
	
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>
				<td align="center" class="tbl1"><b>'.$locale['man852'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man172'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man184'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man215'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man146'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man115'].'</b></td>
				</tr>';
				
	$query = dbquery("select * from ".$db_prefix."man_offers order by offer_id desc");
	$rows = dbrows($query);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 

	$query = dbquery("select * from ".$db_prefix."man_offers order by com, pl_id, offer desc, offer_id desc limit $rowstart, 10");
	
	// Ausgabe Angebote
	while ($data = dbarray($query))
	{
		$pl = $data['pl_id'];
		$com = $data['com'];
		$query_com = dbarray(dbquery("select * from ".$db_prefix."man_communities where com_id=$com"));
		
		echo '<tr>';
		echo '<td align="center" class="tbl1">'.$query_com['com_name'].'</td>';
		$from = $data['user_id'];
		$query_u1 = dbquery("select * from ".$db_prefix."man_users where user_id=$from");
		$data_u1 = dbarray($query_u1);
		if (isset($data_u1['user_id'])) 
			$u1 = $data_u1['user_teamname'];
		else 
			$u1 = "Computer";
			
		echo '<td align="center" class="tbl1">'.$u1.'</td>';
		
		
		$query_p = dbquery("select * from ".$db_prefix."man_plcom where com=$com and pl_id=$pl");
		$data_p = dbarray($query_p);
		$owner = $data_p['pl_owner'];
		
		$query_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=$owner");
		$data_u2 = dbarray($query_u2);
		
		if (isset($data_u2['user_id'])) 
			$u2 = $data_u2['user_teamname'];
		else 
			$u2 = "Computer";
		echo '<td align="center" class="tbl1">'.$u2.'</td>';
		
		
		$query_p = dbquery("select * from ".$db_prefix."man_players where pl_id=$pl");
		$data_p = dbarray($query_p);		
		echo '<td align="center" class="tbl1">'.$data_p['pl_name'].'</td>';
		echo '<td align="right" class="tbl1">'.number_format($data['offer'], 2, ',', '.').' </td>';
		
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=deleteoffer&o_id='.$data['offer_id'].'" onclick="return Sicherheitsabfrage_dltoffer(this);">'.$locale['man316'].'</a></td>';
		echo '</tr>';
		$i++;
	}
	echo '</table>';
	if ($i < 10) $i=10;
	if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,2,FUSION_SELF."?act=edtoffers&")."\n</div>\n";
	// Ende Ausgabe Angebote
}
// Ende Angebote

// Letzte Transfers
if ($action == "listtransfers")
{
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man249']."</b></font></span></td></tr></table>";
	tablebreak();
	
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>
				<td align="center" class="tbl1"><b>'.$locale['man250'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man127'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man128'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man215'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man115'].'</b></td>
				</tr>';
				
	$query = dbquery("select * from ".$db_prefix."man_transfers");
	$rows = dbrows($query);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 

	$query = dbquery("select * from ".$db_prefix."man_transfers order by trans_date desc limit $rowstart, 10");
	
	// Ausgabe letzte Transfers
	while ($data = dbarray($query))
	{
		echo '<tr>';
		echo '<td align="center" class="tbl1">'.showdate("longdate", $data['trans_date']).'</td>';
		$from = $data['trans_from'];
		$query_u1 = dbquery("select * from ".$db_prefix."man_users where user_id=$from");
		$data_u1 = dbarray($query_u1);
		if (isset($data_u1['user_id'])) 
			$u1 = $data_u1['user_teamname'];
		else 
			$u1 = "Computer";
		echo '<td align="center" class="tbl1">'.$u1.'</td>';
		$to = $data['trans_to'];
		$query_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=$to");
		$data_u2 = dbarray($query_u2);
		if (isset($data_u2['user_id'])) 
			$u2 = $data_u2['user_teamname'];
		else 
			$u2 = "Computer";
		echo '<td align="center" class="tbl1">'.$u2.'</td>';
		$pl = $data['pl_id'];
		$query_p = dbquery("select * from ".$db_prefix."man_players where pl_id=$pl");
		$data_p = dbarray($query_p);		
		echo '<td align="center" class="tbl1">'.$data_p['pl_name'].'</td>';
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=undotransfer&tr_id='.$data['trans_id'].'">'.$locale['man251'].'</a></td>';
		echo '</tr>';
		$i++;
	}
	echo '</table>';
	if ($i < 10) $i=10;
	if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,2,FUSION_SELF."?act=listtransfers&")."\n</div>\n";
	// Ende Ausgabe letzte Transfers
}

// Administration Manager
if ($action == "edtmanager")
{
	if (isset($_GET['man']))
	{
		$user_id = isNum($_GET['man']) ? $_GET['man'] : 0;
		$data = dbarray(dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."users as b 
		on a.user_id=b.user_id where a.user_id=$user_id"));
		$user_teamname = $data['user_teamname'];
		$user_name = $data['user_name'];
		$user_value = $data['user_value'];
		$user_points = $data['user_points'];
		$user_trophy = $data['user_trophy'];
	}
	
	
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man252']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Managerliste einlesen
	$editlist = ""; $sel = "";
	$result = dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."users as b 
	on a.user_id=b.user_id order by a.user_teamname, b.user_name");
	if (dbrows($result) != 0) 
	{
		while ($data = dbarray($result)) 
		{
			if (isset($user_id)) $sel = ($user_id == $data['user_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['user_id']."'$sel>".$data['user_teamname']."</option>\n";
		}
	}
	
	// Trophy einlesen
	$trlist = ""; $sel_tr = "";	
	$result_tr = dbquery("select * from ".$db_prefix."man_trophy order by trophy_id");
	if (dbrows($result_tr) != 0) 
	{
		while ($data_tr = dbarray($result_tr)) 
		{
			if (isset($tr_id)) $sel_tr = ($user_trophy == $data_tr['trophy_id'] ? " selected" : "");
			$trlist .= "<option value='".$data_tr['trophy_id']."'$sel_tr>".$data_tr['trophy_name']."</option>\n";
		}
	}
	
	
	// Managerauswahl
	echo "<form name='selectform' method='post' action='fussball_manager_admin.php?act=edtmanager'>
				<center>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man253']."</td>
				<td width='80%' class='tbl'>
				<select name='user_id' class='textbox' style='width:250px'>
				$editlist</select></td></tr>
				<tr><td valign='top' width='100' class='tbl'></td>
				<td width='80%' class='tbl'>
				<input type='submit' name='edit' value='".$locale['man206']."' class='button'>
				</td></tr></table>
				</center>
				</form>\n";
				
	// Speichern
	if (isset($_POST['save'])) 
	{
		$user_teamname = stripinput($_POST['user_teamname']);
		$uid = isNum($_POST['user_id']) ? $_POST['user_id'] : "0";
		if ($_POST['user_points'] > 0)
			$user_points = isNum($_POST['user_points']) ? $_POST['user_points'] : 0;
		else
			$user_points = $_POST['user_points'];
			
		if ($_POST['user_value'] > 0)
			$user_value = isNum($_POST['user_value']) ? $_POST['user_value'] : 0;
		else
			$user_value = $_POST['user_value'];	
			
		$user_trophy = isNum($_POST['trophy']) ? $_POST['trophy'] : "0";
		
		if (isset($uid)) 
		{
			$result = dbquery("UPDATE ".$db_prefix."man_users SET user_teamname='$user_teamname', user_points=$user_points,
			user_value=$user_value, user_trophy=$trophy where user_id=$uid");
			redirect(FUSION_SELF."?act=edtmanager");
		} 
	}
	// Ende Speichern


	// Editieren
	if (isset($_POST['edit'])) 
	{
		$result = dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."users as b 
		on a.user_id=b.user_id where a.user_id=$user_id");
		if (dbrows($result) != 0) 
		{
			$data = dbarray($result);
			$user_id = $data['user_id'];
			$user_teamname = $data['user_teamname'];
			$user_name = $data['user_name'];
			$user_value = $data['user_value'];
			$user_points = $data['user_points'];
			$user_trophy = $data['user_trophy'];
		}

			// Trophy einlesen
			$trlist = ""; $sel_tr = "";	
			$result_tr = dbquery("select * from ".$db_prefix."man_trophy order by trophy_id");
			if (dbrows($result_tr) != 0) 
			{
				while ($data_tr = dbarray($result_tr)) 
				{
					if (isset($user_trophy)) $sel_tr = ($user_trophy == $data_tr['trophy_id'] ? " selected" : "");
					$trlist .= "<option value='".$data_tr['trophy_id']."'$sel_tr>".$data_tr['trophy_name']."</option>\n";
				}
			}		
	
	// Ende Editieren
	
	// Formular
	echo "<form name='inputform' method='post' action='fussball_manager_admin.php?act=edtmanager' onSubmit='return ValidateForm(this);'>
				<table align='center' cellpadding='0' cellspacing='0'>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man254']."</td>
				<td width='80%' class='tbl'>$user_name</td>
				</tr>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man255']."</td>
				<td width='80%' class='tbl'><input type='text' name='user_teamname' value='$user_teamname' class='textbox' style='width: 250px'>
				<input type='hidden' name='user_id' value='$user_id' class='textbox' style='width: 250px'>
				</td>
				</tr>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man106']."</td>
				<td width='80%' class='tbl'><input type='text' name='user_points' value='$user_points' class='textbox' style='width: 250px'></td>
				</tr>
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man103']."</td>
				<td width='80%' class='tbl'><input type='text' name='user_value' value='".number_format($user_value, 0, ',', '')."' class='textbox' style='width: 250px'> </td>
				</tr>
				\n
				
				<tr>
				<td valign='top' width='100' class='tbl'>".$locale['man853']."</td>
				<td width='80%' class='tbl'>
				<select name='trophy' class='textbox' style='width:250px'>
				<option value='0'>-----</option>
				$trlist</select></td></tr>";
	
	echo "<tr>
				<td align='center' colspan='2' class='tbl'><br>
				<input type='submit' name='save' value='".$locale['man213']."' class='button'></td>
				</tr></table></form>\n";
			}	
}
// Ende Administration Manager


// Community erstellen
if ($action == "crtcom")
{
	
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man611']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Speichern
	if ($save)
	{
		$comname = stripinput($_POST['comname']);
		$pass = stripinput($_POST['pass']);
		
		if ($comname != "")
		{
			if ($prv) 
			{
				$prv=1; 
				if ($pass != "")
				{
					$result = dbquery("insert into ".$db_prefix."man_communities(com_name, com_prv, com_pw) values('$comname', $prv, md5('$pass'))");
					$result1 = dbarray(dbquery("select com_id from ".$db_prefix."man_communities where com_name='$comname'"));
					$cid = $result1['com_id'];

					$result = dbquery("select * from ".$db_prefix."man_players");
					while ($data = dbarray($result))
					{
						$pid = $data['pl_id'];	
						$result_ins = dbquery("insert into ".$db_prefix."man_plcom(pl_id, pl_owner, com, pl_isset, pl_listed) 
						values($pid, 0, $cid, 0, 0)");	
					}
				}
			}
			else
			{
				$result = dbquery("insert into ".$db_prefix."man_communities(com_name) values('$comname')");
				$result2 = dbarray(dbquery("select com_id from ".$db_prefix."man_communities where com_name='$comname'"));
				$cid = $result2['com_id'];

				$result = dbquery("select * from ".$db_prefix."man_players");
				while ($data = dbarray($result))
				{
					$pid = $data['pl_id'];	
					$result_ins = dbquery("insert into ".$db_prefix."man_plcom(pl_id, pl_owner, com, pl_isset, pl_listed) 
					values($pid, 0, $cid, 0, 0)");	
				}				
			}
			// 10 Neue Spieler von Computer auf TL setzen
			//$query_relist = dbquery("select * from ".$db_prefix."man_plcom where com=$cid and pl_owner=0 and pl_listed=0");
			
			$query_relist = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b on a.pl_id=b.pl_id
			left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$cid and a.pl_owner=0 and a.pl_listed=0
			and c.team_act=1");	
			
			while ($array = dbarray($query_relist))
			$playerk[] = $array['pl_id'];

			if (sizeof($playerk)>0)
			{	
				srand((double)microtime() * 1000000);
  		$zufall = array_rand($playerk, $data_config['pl2trans']);
  			for($x=0;$x<count($zufall);$x++)
  			{    
  				$pl = $playerk[$zufall[$x]];  
					$query_list = dbquery("update ".$db_prefix."man_plcom set pl_listed=1 where com=$cid and pl_id=$pl");
     		}
   		}
		}
		// Ende Speichern
	}	
	
		echo '<center>';
		echo '<br>'.$locale['man823'].'<br>';
		echo '<form method="post"><input type="text" name="comname" class="textbox" maxlength="20"><br>';
		echo $locale['man824'].'<br><input type="checkbox" name="prv" class="textbox"><br>
					'.$locale['man825'].'<br><input type="password" name="pass" class="textbox" maxlength="20"><br>
					<input type="submit" name="save" value="'.$locale['man109'].'" class="button"></form>';
		echo '</center>';	
}
// Ende Community erstellen


// Administration Communities
if ($action == "edtcomm")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man256']."</b></font></span></td></tr></table>";
	tablebreak();
	
	
	// Communities ermitteln
	$result_tbl = dbquery("Select * from ".$db_prefix."man_communities order by com_name");	
	$rows = dbrows($result_tbl);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	// Tabellenberschrift	
	echo "<table align='center' cellpadding='0' cellspacing='1'  class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl2"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl2"><b>'.$locale['man259'].'</b></td>';
	echo '<td align="center" class="tbl2"><b>'.$locale['man257'].'</b></td>';
	echo '<td align="center" class="tbl2" colspan="4"><b>'.$locale['man151'].'</b></td>
				</tr>';
	
	$result_tbl = dbquery("Select * from ".$db_prefix."man_communities order by com_name limit $rowstart, 10");	
	while ($data = dbarray($result_tbl))
	{
		$cid = $data['com_id'];
		$data_count = dbarray(dbquery("Select count(*) as count from ".$db_prefix."man_users where user_com=$cid"));
		echo '<tr>';
		echo '<td align="center" class="tbl1">'.$data['com_name'].'</td>';
		echo '<td align="center" class="tbl1">'.$data_count['count'].'</b></td>';
		
		if ($data['com_prv'] == 1)
		echo '<td align="center" class="tbl1">'.$locale['man416'].'</td>';
		else
		echo '<td align="center" class="tbl1">'.$locale['man417'].'</td>';
		
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=lstman&com='.$data['com_id'].'"><img src="img/users.gif" border="0"></a></td>';
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=showtransfer&com='.$data['com_id'].'"><img src="img/liste.gif" border="0"></a></td>';
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=dltcomm&com='.$data['com_id'].'" onclick="return Sicherheitsabfrage_dltcom(this);"><img src="img/delete.png" border="0"></a></td></tr>';
		$i++;
	}
	echo '</table>';
	tablebreak();
	if ($i < 10) $i=10;
	if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,2,FUSION_SELF."?act=edtcomm&")."\n</div>\n";
	
	tablebreak();
	include ("legend.php"); 
}


// Administration Manager in Communities
if ($action == "lstman")
{
	$com = isNum($_GET['com']) ? $_GET['com'] : 0;
	$dat = dbarray(dbquery("select * from ".$db_prefix."man_communities where com_id=$com"));
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man258']."</b>
				<br>".$dat['com_name']."
				</font></span></td></tr></table>";
	tablebreak();
	
	
	// Communities ermitteln
	$result_tbl = dbquery("Select * from ".$db_prefix."man_users where user_com=$com order by user_teamname");	
	$rows = dbrows($result_tbl);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	// Tabellenberschrift	
	echo "<table align='center' cellpadding='0' cellspacing='1'  class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl2"><b>'.$locale['man119'].'</b></td>';
	echo '<td align="center" class="tbl2"><b>'.$locale['man105'].'</b></td>';
	echo '<td align="center" class="tbl2"><b>'.$locale['man180'].'</b></td>';
	echo '<td align="center" class="tbl2"><b>'.$locale['man120'].'</b></td>';
	echo '<td align="center" class="tbl2" colspan="3"><b>'.$locale['man151'].'</b></td>
				</tr>';
	
	$result_tbl = dbquery("Select * from ".$db_prefix."man_users where user_com=$com order by user_teamname");	
	while ($data = dbarray($result_tbl))
	{
		$usr = $data['user_id'];
		$res_usr = dbarray(dbquery("Select * from ".$db_prefix."users where user_id=$usr"));		
		$all = dbarray(dbquery("Select count(*) as count from ".$db_prefix."man_plcom where pl_owner=$usr"));
		$set = dbarray(dbquery("Select count(*) as count from ".$db_prefix."man_plcom where pl_owner=$usr and pl_isset=1"));
		
		
		echo '<tr>';
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=showteam&team='.$data['user_id'].'">'.$data['user_teamname'].'</a></td>';
		echo '<td align="center" class="tbl1">'.$all['count'].'</td>';
		echo '<td align="center" class="tbl1">'.$set['count'].'</td>';
		
		$prflnk = BASEDIR."profile.php?lookup=".$usr;
		echo '<td align="center" class="tbl1"><a href="'.$prflnk.'">'.$res_usr['user_name'].'</a></b></td>';
		
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=edtmanager&man='.$usr.'"><img src="img/edit.png" border="0"></a></td>';
		echo '<td align="center" class="tbl1"><a href="fussball_manager_admin.php?act=dltman&com='.$com.'&man='.$usr.'" onclick="return Sicherheitsabfrage_dltman(this);"><img src="img/delete.png" border="0"></a></td>';
	}
	tablebreak();
	include ("legend.php"); 
}

if ($action == "deleteoffer")
{
	$id = $_GET['o_id'];
	$dlt_query1 = dbquery("delete from ".$db_prefix."man_offers where offer_id=$id");
	fallback("fussball_manager_admin.php?act=edtoffers");
}




if ($action == "dltcomm")
{
	$com = isNum($_GET['com']) ? $_GET['com'] : 0;
	$dlt_query1 = dbquery("delete from ".$db_prefix."man_plcom where com=$com");
	$dlt_query2 = dbquery("delete from ".$db_prefix."man_communities where com_id=$com");
	
	
	$query = dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."man_userenv as b on 
	a.user_id=b.user_id where a.user_com=$com");
	
	while ($data = dbarray($query))
	{
		$user_com = $data['user_com'];
		$user_id = $data['user_id'];
		$dlt_query3 = dbquery("delete from ".$db_prefix."man_users where user_com=$user_com");
		$dlt_query3 = dbquery("delete from ".$db_prefix."man_offers where com=$user_com");
		$dlt_query4 = dbquery("delete from ".$db_prefix."man_userenv where user_id=$user_id");
	}
	fallback("fussball_manager_admin.php?act=edtcomm");
}

if ($action == "dltman")
{
	$man = isNum($_GET['man']) ? $_GET['man'] : 0;
	$com = isNum($_GET['com']) ? $_GET['com'] : 0;
	$dlt_query1 = dbquery("delete from ".$db_prefix."man_users where user_id=$man");
	$dlt_query1 = dbquery("delete from ".$db_prefix."man_userhist where user_id=$man");
	$dlt_query1 = dbquery("delete from ".$db_prefix."man_userenv where user_id=$man");
	
	$query = dbquery("select * from ".$db_prefix."man_offers as a left join ".$db_prefix."man_plcom as b
	on a.pl_id=b.pl_id where b.pl_owner=$man");
	echo "11";
	while ($data = dbarray($query))
	{
		$offer_id = $data['offer_id'];
		$res = dbquery("delete from ".$db_prefix."man_offers where offer_id=$offer_id");
	}	
	
	$upd_query1 = dbquery("update ".$db_prefix."man_plcom set pl_isset=0, pl_listed=0, pl_owner=0 where pl_owner=$man");
	$dlt_query1 = dbquery("delete from ".$db_prefix."man_offers where user_id=$man");
	fallback("fussball_manager_admin.php?act=lstman&com=".$com);
}

if ($action == "closeseason")
{
	$dlt_query1 = dbquery("update ".$db_prefix."man_users set user_points=0");
	if ($umfeld) $dlt_query1 = dbquery("delete from ".$db_prefix."man_userenv");
	$dlt_query1 = dbquery("delete from ".$db_prefix."man_plhist");
	$dlt_query1 = dbquery("delete from ".$db_prefix."man_userhist");
	$upd_query1 = dbquery("update ".$db_prefix."man_players set pl_points=0");
	fallback("fussball_manager_admin.php");
}

if ($action == "season")
{
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man833']."</b></font></span></td></tr></table>";
	tablebreak();
	echo '<center>'.$locale['man835'].'</center>';
	tablebreak();
	
	echo '<form method="post" action="fussball_manager_admin.php?act=closeseason">';
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1" colspan="2" valign="center">';
	echo '<input type="checkbox" name="umfeld" class="checkbox">Umfeld lschen';
	echo '</td>';
	echo '<td align="center" class="tbl1" colspan="2">';
	echo '<input type="submit" name="season" value="'.$locale['man834'].'" class="button"></td></tr></table>';
	echo '</form>';
	tablebreak();	
}


// Communtity lschen (Sicherheitsabfrage)
?>
<script language="JavaScript">
<!--
function Sicherheitsabfrage_dltcom(Formular)
{
   if(confirm("Community wirklich lschen?"))
    {
       return true;
    }
    else
    {
       return false;
    }
}
//-->
</script>
<?

// Angebot lschen (Sicherheitsabfrage)
?>
<script language="JavaScript">
<!--
function Sicherheitsabfrage_dltoffer(Formular)
{
   if(confirm("Angebot wirklich lschen?"))
    {
       return true;
    }
    else
    {
       return false;
    }
}
//-->
</script>
<?



// Manager lschen (Sicherheitsabfrage)
?>
<script language="JavaScript">
<!--
function Sicherheitsabfrage_dltman(Formular)
{
   if(confirm("Manager wirklich lschen?"))
    {
       return true;
    }
    else
    {
       return false;
    }
}
//-->
</script>
<?


// Anzeige Team anderer Manager
if ($action == "showteam")
{
	$team = isNum($_GET['team']) ? $_GET['team'] : 0;
	$result_team = dbquery("Select * from ".$db_prefix."man_users where user_id=$team");	
	$data_team = dbarray($result_team);
	$sp_id = $data_team['user_sponsor'];
	
	if ($data_team['user_icon'] != "")
		$icon = INFUSIONS."fussball_manager/img/users/".$data_team['user_icon'];
	else
		$icon = INFUSIONS."fussball_manager/left.gif";
	
	
	if ($sp_id != 0)
	{
		$result_spon = dbquery("Select * from ".$db_prefix."man_sponsors where sp_id=$sp_id");	
		$data_spon = dbarray($result_spon);
		
		// Kopfzeile
		tablebreak();
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
		<tr>
		<td class='tbl2' align='center' colspan='2'>
		<img width='35' height='35' src='".$icon."'>
		</td>
		<td class='tbl2' align='center' colspan='2'>
		<span class='small'><font size='3'><b>".$data_team['user_teamname']."</b></font><br>sponsored by<br>
		<a href='".$data_spon['sp_website']."' target='_blank'>
		<img border='0' src='img/sponsors/".$data_spon['sp_banner']."'></a>
		</span></td>
		<td class='tbl2' align='center' colspan='2'>
		<img width='35' height='35' src='".$icon."'>
		</td>
		</tr></table>";
		tablebreak();
	}
	else
	{
		// Kopfzeile
		tablebreak();
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
		<tr>
		<td class='tbl2' align='center' colspan='2'>
		<img width='35' height='35' src='".$icon."'>
		</td>
		<td class='tbl2' align='center' colspan='2'>
		<span class='small'><font size='3'><b>".$data_team['user_teamname']."</b></font>
		</span></td>
		<td class='tbl2' align='center' colspan='2'>
		<img width='35' height='35' src='".$icon."'>
		</td>
		</tr></table>";
		tablebreak();
	}
	
	$result_tbl = dbquery("Select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as c
	on a.pl_id=c.pl_id left join ".$db_prefix."man_teams as b on a.pl_team=b.team_id
	where c.pl_owner=$team order by  c.pl_isset desc, a.pl_pos, a.pl_name");	
	
	// Tabellenberschrift
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1"></td>';
	echo '<td align="center" class="tbl1"></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man138'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man139'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man149'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man150'].'</b></td>';
	
	$i=1;	
	// Ausgabe Spieler
	while ($data = dbarray($result_tbl))
	{		
		// Position ermitteln
		if ($data['pl_pos'] == "A") {$pos=$locale['man121']; $color="#C0C0C0"; }
		if ($data['pl_pos'] == "B") {$pos=$locale['man122']; $color="#80FF80"; }
		if ($data['pl_pos'] == "C") {$pos=$locale['man123']; $color="#0080FF"; }
		if ($data['pl_pos'] == "D") {$pos=$locale['man124']; $color="#FF8000"; }
		
		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo '<tr>';		
		
		// Aufgestellt?
		if ($data['pl_isset'] == 1)
			echo '<td align="center" class="'.$cell.'"><img src="img/up.gif" height="16" title="'.$data['pl_name'].$locale['man157'].'"></td>';
		else
			echo '<td align="center" class="'.$cell.'"><img src="img/down.gif" height="16" title="'.$data['pl_name'].$locale['man158'].'"></td>';
		
		
		
				// Spielerbild
		if ($data['pl_pic'] != "") 
			$piclnk = "img/players/big/".$data['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
			
		echo '<td align="center" class="'.$cell.'"><img height="26" src="'.$piclnk.'"></td>';		
		echo '<td align="center" class="'.$cell.'">'.$data['pl_name'].'</td>';
		echo '<td align="center" class="'.$cell.'"><a href="'.$data['team_website'].'" target="_blank"><img src="img/teams/'.$data['team_logo'].'" border="0"></a></td>';
		echo '<td align="right" class="'.$cell.'">'.number_format($data['pl_value'], 2, ',', '.').' </td>';
		echo '<td align="center" class="'.$cell.'">'.$data['pl_points'].'</td>';
		echo '<td align="center" bgcolor="'.$color.'">'.$pos.'</td>';
		$i++;
	}
	echo '</table>';
	// Ende Ausgabe Spieler
}
// Ende Anzeige Team anderer Manager



// Anzeige Transfermarkt
if ($action == "showtransfer")
{
	$com = $_GET['com'];
	$result_com = dbarray(dbquery("Select * from ".$db_prefix."man_communities where com_id=$com"));
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'> <tr><td class='tbl2' align='center' colspan='2'> 
				<span class='small'><font size='3'><b>".$locale['man153']."</b>
				<br>".$result_com['com_name']."</font></span></td></tr></table>"; 
	tablebreak(); 
	
	// Aufgefhrte Spieler ermitteln
	$result_tbl = dbquery("Select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b on a.pl_id=b.pl_id
	where a.com=$com and a.pl_listed=1 order by b.pl_pos");	
	$rows = dbrows($result_tbl);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	// Tabellenberschrift	
	echo "<table align='center' cellpadding='0' cellspacing='1'  class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1"><b></b></td>';
	echo '<td align="center" class="tbl1"><b></b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man138'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man139'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man149'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man150'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man152'].'</b></td>';
	echo '<td align="center" class="tbl1"><b></b></td><td align="center" class="tbl1"><b></b></td></tr>';
	
	$i=0;	
	$result_trans = dbquery("Select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as c on a.pl_id=c.pl_id
	left join ".$db_prefix."man_teams as b on a.pl_team=b.team_id where c.pl_listed=1 and c.com=$com order by a.pl_pos limit $rowstart, 10");	
	
	// Ausgabe Transfermarkt
	while ($data = dbarray($result_trans))
	{	
		echo '<tr>';
		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		$pid = $data['pl_id'];
		
		// Prfen, ob Angebote vorliegen
		$result_off = dbquery("Select count(*) as count from ".$db_prefix."man_offers where com=$com and pl_id=$pid");	
		$data_off = dbarray($result_off);
		
		// Angebote?
		if ($data_off['count'] > 0)
			echo '<td align="center" class="'.$cell.'"><img src="img/mail.gif" title="'.$data['pl_name'].$locale['man181'].'"></td>';
		else
			echo '<td align="center" class="'.$cell.'"></td>';
		
		$player_owner = $data['pl_owner'];
		$query_user = dbquery("select * from ".$db_prefix."man_users where user_id=$player_owner");
		$data_user = dbarray($query_user);
	
		$user_team = $data_user['user_teamname'];
		if ($user_team == "") $user_team = "Computer";
		
		// Position ermitteln
		if ($data['pl_pos'] == "A") {$pos=$locale['man121']; $color="#C0C0C0"; }
		if ($data['pl_pos'] == "B") {$pos=$locale['man122']; $color="#80FF80"; }
		if ($data['pl_pos'] == "C") {$pos=$locale['man123']; $color="#0080FF"; }
		if ($data['pl_pos'] == "D") {$pos=$locale['man124']; $color="#FF8000"; }
		
		if ($data['pl_pic'] != "") 
			$piclnk = "img/players/big/".$data['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
			
		echo '<td align="center" class="'.$cell.'"><img height="26" 
		src="'.$piclnk.'"></td>'; 
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'">'.$data['pl_name'].'</a></td>'; 
		echo '<td align="center" class="'.$cell.'"><a href="'.$data['team_website'].'" target="_blank"><img src="img/teams/'.$data['team_logo'].'" border="0" title="'.$locale['man167'].'"></a></td>'; 
		echo '<td align="right" class="'.$cell.'">'.number_format($data['pl_value'], 2, ',', '.').' </td>'; 
		echo '<td align="center" class="'.$cell.'">'.$data['pl_points'].'</td>'; 
		echo '<td align="center" bgcolor="'.$color.'">'.$pos.'</td>';
		
		if ($user_team != "Computer")
			if ($data_user['user_id'] == $user) 
				echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=myteam" title="'.$locale['man170'].'">'.$user_team.'</a></td>';
			else
				echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=showteam&team='.$data_user['user_id'].'" title="'.$locale['man168'].$user_team.$locale['man169'].'">'.$user_team.'</a></td>';
		else
			echo '<td align="center" class="'.$cell.'">'.$user_team.'</td>';
		
		if ($user != $data['pl_owner'])
		{
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'"><img src="img/lupe.gif" border="0" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'"></a></td>';
			echo '<td align="center" class="'.$cell.'"></td>';
		}
		else
		{
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'"><img src="img/lupe.gif" border="0" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'"></a></td>';
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=getback&pl_id='.$data['pl_id'].'"><img src="img/back.gif" border="0" title="'.$data['pl_name'].$locale['man162'].'"></a></td>';
		}
		$i++;
	}
	echo '</table>';
	tablebreak();
	if ($i < 10) $i=10;
	if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,2,FUSION_SELF."?act=showtransfer&com=".$com."&")."\n</div>\n";
	// Ende Ausgabe Transfermarkt
}
// Anzeige Transfermarkt



tablebreak();
tablebreak();
tablebreak();

echo '<hr>';
echo '<center><b>PHP-Fusion Fussball Manager</b> | Version 1.0.0 | 2006 by <a href="http://www.chschuetz.de" target="_blank">ChSchuetz</a></center>';

rightside();
require_once BASEDIR."footer.php";
?>
