<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
|               Mannschaften System
+----------------------------------------------------+
| Autor: Fabio Nipehaus
| eMail: kontakt@der-fabio.de
| Web: http://www.der-fabio.de
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fussball_manager/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fussball_manager/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fussball_manager/locale/German.php";
}

//Funktionen
function rightside()
{
	global $theme_width_r, $locale;
	$bullet = "<img src='img/bullet.gif' alt=''>";
	echo "<td width='$theme_width_r' valign='top' class='side-border-right'>\n";

	openside($locale['man401']);
		//echo '<div class="side-label"><center><b> '.$locale['man401'].'</b></center></div><br>';
		
		echo '<div class="side-label"><b> '.$locale['man402'].'</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=edtnews" title="'.$locale['wst143'].'" class="side"> '.$locale['man402'].'</a><br>';	
		
		echo '<div class="side-label"><b> '.$locale['man403'].'</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=teams" title="'.$locale['wst143'].'" class="side"> '.$locale['man404'].'</a><br>';

		echo '<div class="side-label"><b> '.$locale['man405'].'</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=players" title="'.$locale['wst143'].'" class="side"> '.$locale['man404'].'</a><br>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=all" title="all" class="side"> '.$locale['man406'].'</a><br>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=calc" title="all" class="side"> '.$locale['man407'].'</a><br>';
		
		echo '<div class="side-label"><b> '.$locale['man411'].'</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=edtmanager" title="List" class="side"> '.$locale['man404'].'</a><br>';
		
		echo '<div class="side-label"><b> Pokale</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=edttrophy" title="List" class="side"> '.$locale['man404'].'</a><br>';
		
		echo '<div class="side-label"><b> Angebote</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=edtoffers" title="List" class="side"> '.$locale['man404'].'</a><br>';
						
		echo '<div class="side-label"><b> Communities</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=crtcom" title="List" class="side"> '.$locale['man611'].'</a><br>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=edtcomm" title="List" class="side"> '.$locale['man404'].'</a><br>';
		
		echo '<div class="side-label"><b> '.$locale['man418'].'</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=edtsponsors" title="List" class="side"> '.$locale['man404'].'</a><br>';
		
		echo '<div class="side-label"><b> '.$locale['man408'].'</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=transfer" title="'.$locale['wst143'].'" class="side"> '.$locale['man409'].'</a><br>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=listtransfers" title="'.$locale['wst143'].'" class="side"> '.$locale['man410'].'</a><br>';
		
		echo '<div class="side-label"><b> '.$locale['man412'].'</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=setdate" title="List" class="side"> Datum setzen</a><br>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=config_man" title="List" class="side"> '.$locale['man411'].'</a><br>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=config_pl" title="List" class="side"> '.$locale['man405'].'</a><br>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=season" title="List" class="side"> '.$locale['man833'].'</a><br>';
				
		echo '<div class="side-label"><b> '.$locale['man413'].'</b></div>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=envcat" title="all" class="side"> '.$locale['man414'].'</a><br>';
		echo $bullet.'<a href="fussball_manager_admin.php?act=env" title="all" class="side"> '.$locale['man415'].'</a><br>';
		
		echo '<div class="side-label"><b> [INFO]</b></div>';
		echo $bullet.'<a href="fm_admin.pdf" title="all" class="side" target="_blank"> Admin Guide</a><br>';
	closeside();
	echo "</td>\n";
}
?>