<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (!iMEMBER) fallback("../../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fussball_manager/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fussball_manager/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fussball_manager/locale/German.php";
}

$action = stripinput($_GET['act']);
$user = $userdata['user_id'];
$player = isNum($_GET['pl_id']) ? $_GET['pl_id'] : 0;

$bullet = "<img src='img/bullet.gif' alt='' border='0'>";

/************************************** 
Einlesen aller bentigten Daten aus DB
***************************************/
// Konfiguration einlesen
$data_config = dbarray(dbquery("Select * from ".$db_prefix."man_config"));
// Ende Konfiguration

// Daten des eingeloggten Managers
$data_man_user = dbarray(dbquery("Select * from ".$db_prefix."man_users where user_id=$user"));
$ucom = $data_man_user['user_com'];
if ($data_man_user['user_icon'] != "")
$img = INFUSIONS."fussball_manager/img/users/".$data_man_user['user_icon'];
else
$img = INFUSIONS."fussball_manager/left.gif";
// Ende Daten des eingeloggten Managers

// Anzahl Spieler des aktuellen Managers einlesen
$data_player_count = dbarray(dbquery("select count(*) as count from ".$db_prefix."man_plcom where pl_owner=$user"));
// Ende Anzahl Spieler des aktuellen Managers einlesen
/*******************************************
Ende Einlesen aller bentigten Daten aus DB
********************************************/


if (isset($ucom))
$getcom = dbarray(dbquery("select * from ".$db_prefix."man_communities where com_id=$ucom"));

// Kopfzeile FUSSBALL MANAGER
echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
			<tr><td align='center' valign='center' class='tbl2'><img width='35' height='35' src='".$img."'></td><td width='75%' class='tbl2' align='center'><span class='small'>
			<font size='3'><b>| ".$locale['man101']." |</b><br>".$getcom['com_name']."</font></span></td><td align='center' valign='center' class='tbl2'>
			<img width='35' height='35' src='".$img."'></td></tr></table>";
// Ende Kopfzeile FUSSBALL MANAGER

// Anzeige Manager Info
if (isset($data_man_user['user_id']))
{
		tablebreak();
	//opentable("");
		// Vorhandene Angebote?
		$result_off = dbquery("Select count(*) as count from ".$db_prefix."man_offers as a left join ".$db_prefix."man_players as b
		on a.pl_id=b.pl_id left join ".$db_prefix."man_plcom as c on b.pl_id=c.pl_id
		where c.pl_owner=$user and a.com=$ucom");	
		$data_off = dbarray($result_off);
		// Ende Vorhandene Angebote?
	
		// Mannschaftswert ermitteln
		$data2 = dbarray(dbquery("Select count(*) as count, sum(pl_value) as teamvalue, sum(pl_points) as teampoints 
		from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id  
		where b.pl_owner=$user and b.com=$ucom"));
		// Ende Mannschaftswert ermitteln
	
		//echo '<img width="50" height="50" src="'.$img.'">';
		// Ausgabe ManagerInfo
		echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
		echo '<tr>';
		echo '<td align="center" class="tbl2"><b><big>'.$data_man_user['user_teamname'].'</big></b>';
		if ($data_off['count'] > 0) echo '<br><img src="img/mail.gif" title="'.$locale['man183'].'">';
		echo '</td>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man103'].'</b><br>'.number_format($data_man_user['user_value'], 2, ',', '.').' .</td>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man104'].'</b><br>'.number_format($data2['teamvalue'], 2, ',', '.').' </td>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man105'].'</b><br>'.$data2['count'].'</td>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man106'].'</b><br>'.$data_man_user['user_points'].'</td>';
		echo '</tr></table>';
	//closetable();
}
include_once("nav_user.php");
// Ende Anzeige Manager Info


if ($action == "alt")
{
	// Aktuelles Datum
	$cdatum = time();
	$datum = getdate($data_config['date']);
	if ($cdatum < $datum[0]) $dis = ""; else $dis = "disabled"; 
	
	if ($Sav_a)
	{		
			$max=1;
			$zaehle = array_count_values ( $s );
			while ( list ( $key, $val ) = each ( $zaehle ) )
			{
    		if ($val > 1)
    			$max = $val;
			}
			if ($max == 1 && sizeof($s)==11 && !in_array(0, $s))
			{
				$up = dbquery("update ".$db_prefix."man_plcom set pl_isset=0 where com=$ucom and pl_owner=$user");
				for ($i=0; $i< 11; $i++)
				{
					$pl = $s[$i];
					$up = dbquery("update ".$db_prefix."man_plcom set pl_isset=1 where pl_id=$pl and com=$ucom and pl_owner=$user");
				}				
				echo "<br><center><b><font color='blue'>Aufstellung wurde gespeichert.</font></b></center>";
			}
			else echo "<br><center><b><font color='red'>Ungltige Aufstellung.</font></b></center>";
	}
	
	echo '<br><center><a href="fussball_manager.php?act=alt&setup=4-4-2">4-4-2</a>   |   <a href="fussball_manager.php?act=alt&setup=3-5-2">3-5-2</a>   |   <a href="fussball_manager.php?act=alt&setup=4-3-3">4-3-3</a>   |   <a href="fussball_manager.php?act=alt&setup=5-4-1">5-4-1</a>   |   <a href="fussball_manager.php?act=alt&setup=5-3-2">5-3-2</a>   |   <a href="fussball_manager.php?act=alt&setup=5-2-3">5-2-3</a>   |   <a href="fussball_manager.php?act=alt&setup=3-4-3">3-4-3</a><br><br></center>';
	
	$st_list="";
			$st_ = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='D'");
			$st_1 = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='D' and b.pl_isset=1");
			while ($st_d = dbarray($st_))
			{
				$st_list .= '<option value="'.$st_d['pl_id'].'">'.$st_d['pl_name'].'</option>';
			}
			while ($st_1d = dbarray($st_1))
			{
				$st_arr[] = $st_1d['pl_id'];
				$st_arrn[] = $st_1d['pl_name'];
			}
			$mf_list="";
			$st_ = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='C'");
			$st_1 = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='C' and b.pl_isset=1");
			while ($st_d = dbarray($st_))
			{
				$mf_list .= '<option value="'.$st_d['pl_id'].'">'.$st_d['pl_name'].'</option>';
			}
			while ($st_1d = dbarray($st_1))
			{
				$mf_arr[] = $st_1d['pl_id'];
				$mf_arrn[] = $st_1d['pl_name'];
			}
			$ab_list="";
			$st_ = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='B'");
			$st_1 = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='B' and b.pl_isset=1");
			while ($st_d = dbarray($st_))
			{
				$ab_list .= '<option value="'.$st_d['pl_id'].'">'.$st_d['pl_name'].'</option>';
			}
			while ($st_1d = dbarray($st_1))
			{
				$ab_arr[] = $st_1d['pl_id'];
				$ab_arrn[] = $st_1d['pl_name'];
			}
			$tw_list="";
			$st_ = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='A'");
			$st_1 = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='A' and b.pl_isset=1");
			while ($st_d = dbarray($st_))
			{
				$tw_list .= '<option value="'.$st_d['pl_id'].'">'.$st_d['pl_name'].'</option>';
			}
			while ($st_1d = dbarray($st_1))
			{
				$tw_arr[] = $st_1d['pl_id'];
				$tw_arrn[] = $st_1d['pl_name'];
			}
			
	// Get current 
	$st_d = dbarray(dbquery("select count(*) as d from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='D' and b.pl_isset=1"));
	$st_c = dbarray(dbquery("select count(*) as c from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='C' and b.pl_isset=1"));
	$st_b = dbarray(dbquery("select count(*) as b from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id where b.com=$ucom and b.pl_owner=$user and a.pl_pos='B' and b.pl_isset=1"));
	$cur = $st_b['b'].'-'.$st_c['c'].'-'.$st_d['d'];
	//
	

	
	if (isset($_GET['setup']) && $_GET['setup']!="") $a = stripinput($_GET['setup']);
	else $a = $cur;
	echo '<form method="post">';
	switch ($a)
	{
		case "4-4-2":
		{
			echo '
			<table align="center" height="655" width="500" background="img/fussballfeld2.gif">
			<tr align="center">
				<td colspan="2"><select '.$dis.' name="s[]"><option value="'.$st_arr[0].'">'.$st_arrn[0].'</option>'.$st_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[1].'">'.$st_arrn[1].'</option>'.$st_list.'</select></td>
			</tr>
			<tr align="center">
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[0].'">'.$mf_arrn[0].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[1].'">'.$mf_arrn[1].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[2].'">'.$mf_arrn[2].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[3].'">'.$mf_arrn[3].'</option>'.$mf_list.'</select></td>
			</tr>
			<tr align="center">
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[0].'">'.$ab_arrn[0].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[1].'">'.$ab_arrn[1].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[2].'">'.$ab_arrn[2].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[3].'">'.$ab_arrn[3].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center">
				<td colspan="4"><select '.$dis.'  name="s[]"><option value="'.$tw_arr[0].'">'.$tw_arrn[0].'</option>'.$tw_list.'</select></td>
			</tr>
			</table>
			';
			break;
		}
		case "3-5-2":
		{
			echo '
			<table align="center" height="655" width="500" background="img/fussballfeld2.gif">
			<tr align="center">
				<td colspan="3"><select '.$dis.'  name="s[]"><option value="'.$st_arr[0].'">'.$st_arrn[0].'</option>'.$st_list.'</select></td>
				<td colspan="3"><select '.$dis.'  name="s[]"><option value="'.$st_arr[1].'">'.$st_arrn[1].'</option>'.$st_list.'</select></td>
			</tr>
			<tr align="center">
				<td colspan="6"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[0].'">'.$mf_arrn[0].'</option>'.$mf_list.'</select></td></tr>
				<tr align="center"><td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[1].'">'.$mf_arrn[1].'</option>'.$mf_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[2].'">'.$mf_arrn[2].'</option>'.$mf_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[3].'">'.$mf_arrn[3].'</option>'.$mf_list.'</select></td></tr>
				<tr align="center"><td colspan="6"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[4].'">'.$mf_arrn[4].'</option>'.$mf_list.'</select></td>
			</tr>
			<tr align="center">
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[0].'">'.$ab_arrn[0].'</option>'.$ab_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[1].'">'.$ab_arrn[1].'</option>'.$ab_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[2].'">'.$ab_arrn[2].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center">
				<td colspan="6"><select '.$dis.'  name="s[]"><option value="'.$tw_arr[0].'">'.$tw_arrn[0].'</option>'.$tw_list.'</select></td>
			</tr>
			</table>
			';
			break;
		}
		case "4-3-3":
		{
			echo '
			<table align="center" height="655" width="500" background="img/fussballfeld2.gif">
			<tr align="center">
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[0].'">'.$st_arrn[0].'</option>'.$st_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[1].'">'.$st_arrn[1].'</option>'.$st_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[2].'">'.$st_arrn[2].'</option>'.$st_list.'</select></td>
			</tr>
			<tr align="center">
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[0].'">'.$mf_arrn[0].'</option>'.$mf_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[1].'">'.$mf_arrn[1].'</option>'.$mf_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[2].'">'.$mf_arrn[2].'</option>'.$mf_list.'</select></td>
			</tr>
			<tr align="center">
				<td></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[0].'">'.$ab_arrn[0].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[1].'">'.$ab_arrn[1].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[2].'">'.$ab_arrn[2].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[3].'">'.$ab_arrn[3].'</option>'.$ab_list.'</select></td>
				<td></td>
			</tr>
			<tr align="center">
				<td colspan="6"><select '.$dis.'  name="s[]"><option value="'.$tw_arr[0].'">'.$tw_arrn[0].'</option>'.$tw_list.'</select></td>
			</tr>
			</table>
			';
			break;
		}
		case "5-4-1":
		{
			echo '
			<table align="center" height="655" width="500" background="img/fussballfeld2.gif">
			<tr align="center">
				<td colspan="4"><select '.$dis.'  name="s[]"><option value="'.$st_arr[0].'">'.$st_arrn[0].'</option>'.$st_list.'</select></td>
			</tr>
			<tr align="center" valign="middle">
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[0].'">'.$mf_arrn[0].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[1].'">'.$mf_arrn[1].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[2].'">'.$mf_arrn[2].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[3].'">'.$mf_arrn[3].'</option>'.$mf_list.'</select></td>
			</tr>
			<tr align="center" valign="bottom">
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[1].'">'.$ab_arrn[1].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[2].'">'.$ab_arrn[2].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[3].'">'.$ab_arrn[3].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[4].'">'.$ab_arrn[4].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center" valign="bottom">
				<td colspan="4"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[0].'">'.$ab_arrn[0].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center" valign="middle">
				<td colspan="4"><select '.$dis.'  name="s[]"><option value="'.$tw_arr[0].'">'.$tw_arrn[0].'</option>'.$tw_list.'</select></td>
			</tr>
			</table>
			';
			break;
		}
		case "5-3-2":
		{
			echo '
			<table align="center" height="655" width="500" background="img/fussballfeld2.gif">
			<tr align="center">
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[0].'">'.$st_arrn[0].'</option>'.$st_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[1].'">'.$st_arrn[1].'</option>'.$st_list.'</select></td>
			</tr>
			<tr align="center" valign="middle">
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[0].'">'.$mf_arrn[0].'</option>'.$mf_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[1].'">'.$mf_arrn[1].'</option>'.$mf_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[2].'">'.$mf_arrn[2].'</option>'.$mf_list.'</select></td>
			</tr>
			<tr align="center" valign="bottom">
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[1].'">'.$ab_arrn[1].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[2].'">'.$ab_arrn[2].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[3].'">'.$ab_arrn[3].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[4].'">'.$ab_arrn[4].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center" valign="bottom">
				<td colspan="4"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[0].'">'.$ab_arrn[0].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center" valign="middle">
				<td colspan="4"><select '.$dis.'  name="s[]"><option value="'.$tw_arr[0].'">'.$tw_arrn[0].'</option>'.$tw_list.'</select></td>
			</tr>
			</table>
			';
			break;
		}
		case "3-4-3":
		{
			echo '
			<table align="center" height="655" width="500" background="img/fussballfeld2.gif">
			<tr align="center">
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[0].'">'.$st_arrn[0].'</option>'.$st_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[1].'">'.$st_arrn[1].'</option>'.$st_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[2].'">'.$st_arrn[2].'</option>'.$st_list.'</select></td>
			</tr>
			<tr align="center" valign="middle">
				<td></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[0].'">'.$mf_arrn[0].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[1].'">'.$mf_arrn[1].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[2].'">'.$mf_arrn[2].'</option>'.$mf_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$mf_arr[3].'">'.$mf_arrn[3].'</option>'.$mf_list.'</select></td>
				<td></td>
			</tr>
			<tr align="center">
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[0].'">'.$ab_arrn[0].'</option>'.$ab_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[1].'">'.$ab_arrn[1].'</option>'.$ab_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[2].'">'.$ab_arrn[2].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center" valign="middle">
				<td colspan="6"><select '.$dis.'  name="s[]"><option value="'.$tw_arr[0].'">'.$tw_arrn[0].'</option>'.$tw_list.'</select></td>
			</tr>
			</table>
			';
			break;
		}
		/*
		case "4-2-4":
		{
			echo '
			<table align="center" height="655" width="500" background="img/fussballfeld2.gif">
			<tr align="center">
				<td></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$st_arr[0].'">'.$st_arrn[0].'</option>'.$st_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$st_arr[1].'">'.$st_arrn[1].'</option>'.$st_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$st_arr[2].'">'.$st_arrn[2].'</option>'.$st_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$st_arr[3].'">'.$st_arrn[3].'</option>'.$st_list.'</select></td>
				<td></td>
			</tr>
			<tr align="center">
				<td colspan="3"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[0].'">'.$mf_arrn[0].'</option>'.$mf_list.'</select></td>
				<td colspan="3"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[1].'">'.$mf_arrn[1].'</option>'.$mf_list.'</select></td>
			</tr>
			<tr align="center">
				<td></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[0].'">'.$ab_arrn[0].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[1].'">'.$ab_arrn[1].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[2].'">'.$ab_arrn[2].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[3].'">'.$ab_arrn[3].'</option>'.$ab_list.'</select></td>
				<td></td>
			</tr>
			<tr align="center">
				<td colspan="6"><select '.$dis.'  name="s[]"><option value="'.$tw_arr[0].'">'.$tw_arrn[0].'</option>'.$tw_list.'</select></td>
			</tr>
			</table>
			';
			break;
		}
		*/
		case "5-2-3":
		{
			echo '
			<table align="center" height="655" width="500" background="img/fussballfeld2.gif">
			<tr align="center" valign="middle">
				<td><select '.$dis.'  name="s[]"><option value="'.$st_arr[0].'">'.$st_arrn[0].'</option>'.$st_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[1].'">'.$st_arrn[1].'</option>'.$st_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$st_arr[2].'">'.$st_arrn[2].'</option>'.$st_list.'</select></td>
			</tr>
			<tr align="center">
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[0].'">'.$mf_arrn[0].'</option>'.$mf_list.'</select></td>
				<td colspan="2"><select '.$dis.'  name="s[]"><option value="'.$mf_arr[1].'">'.$mf_arrn[1].'</option>'.$mf_list.'</select></td>
			</tr>
			<tr align="center" valign="bottom">
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[1].'">'.$ab_arrn[1].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[2].'">'.$ab_arrn[2].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[3].'">'.$ab_arrn[3].'</option>'.$ab_list.'</select></td>
				<td><select '.$dis.'  name="s[]"><option value="'.$ab_arr[4].'">'.$ab_arrn[4].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center" valign="bottom">
				<td colspan="4"><select '.$dis.'  name="s[]"><option value="'.$ab_arr[0].'">'.$ab_arrn[0].'</option>'.$ab_list.'</select></td>
			</tr>
			<tr align="center" valign="middle">
				<td colspan="4"><select '.$dis.'  name="s[]"><option value="'.$tw_arr[0].'">'.$tw_arrn[0].'</option>'.$tw_list.'</select></td>
			</tr>
			</table>
			';
			break;
		}
	}
	if ($cdatum < $datum[0])
	echo '<table align="center"><tr>
				<td><input type="submit" name="Sav_a" value="Aufstellung speichern" class="button"></td>
			</tr></table></form>';
}


// info
if ($action == "about")
{
	tablebreak();
	tablebreak();
	tablebreak();
	tablebreak();
	echo '<center><img src="fussballmanagersf3.jpg"></center>';
	tablebreak();	
	include_once("info.php");	
}
// Ende info

// Manager Punkte Hist
if ($action == "userhist")
{
	$usr = $_GET['id'];	
	$result = dbquery("select * from ".$db_prefix."man_userhist as a left join ".$db_prefix."man_users as b
	on a.user_id=b.user_id where a.user_id=$usr order by a.date desc");
	$rows = dbrows($result);
	$data_u = dbarray($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	if ($rows != 0)
	{
		
		tablebreak();
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
					<tr><td class='tbl2' align='center' colspan='2'>
					<span class='small'><font size='3'><b>".$locale['man832']."</b><br>
					".$data_u['user_teamname']."</font></span></td></tr>";
		tablebreak();
	
		echo "<table align='center' width='55%' cellpadding='0' cellspacing='1'  class='tbl-border'>";
		echo '<tr>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man250'].'</b></td>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man106'].'</b></td>';
		echo '</tr>';
		
		$result = dbquery("select * from ".$db_prefix."man_userhist where user_id=$usr order by date desc limit $rowstart, 5");
		while ($data = dbarray($result))
		{
			if ($data['user_points'] > 0) $color='#80FF80';
			if ($data['user_points'] < 0) $color='#FF8000';
			if ($data['user_points'] == 0) $color='#C0C0C0';
			echo '<tr>';
			echo '<td align="center" class="tbl1">'.date("d. M Y ", $data['date']).'</td>';
			echo '<td bgcolor="'.$color.'" align="center" >'.$data['user_points'].'</td>';
			echo '</tr>';
		}
		echo '</table>';
		tablebreak();
		if ($i < 5) $i=5;
		if ($i >= 5) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,3,$rows,2,FUSION_SELF."?act=userhist&id=".$usr."&")."\n</div>\n";
	//		
	}
}
// Ende Manager Punkte Hist

// Beste 11
// NEU by ManniManta
if ($action == "topscorers")
{
		// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man854']."</b></font>
		</span></td></tr></table>";
	tablebreak();

	echo "<table width='500' height='655' align='center' cellpadding='2' cellspacing='0' background='img/fussballfeld2.gif'>";
	
	echo '<tr>';
	echo '<td align="center" colspan="4">&nbsp;</td></tr>';
	//
	echo '<tr>';
	echo '<td align="center" colspan="4" height="10">&nbsp;</td></tr>';
	
	//
	
	echo '<tr>';
	$result_d = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b 
	on a.pl_id=b.pl_id where b.com=$ucom and a.pl_pos='D' order by a.pl_points desc limit 2");
	while($data_d = dbarray($result_d))
	{
		if ($data_d['pl_pic'] != "" && file_exists("img/players/big/".$data_d['pl_pic'])) 
			$piclnk = "img/players/big/".$data_d['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
		echo '<td align="center" width="50%" colspan="2"><a href="fussball_manager.php?act=showpl&pl_id='.$data_d['pl_id'].'"><img height="40" src="'.$piclnk.'" border="0"><br><font color="#FFFFFF">'.$data_d['pl_name'].'<br><b>('.$data_d['pl_points'].')</b></a></font></td>';	
	}
	echo '</tr>';	

	echo '<tr>';
	echo '<td align="center" colspan="4"></td></tr>';
	echo '<tr>';
	echo '<td align="center" colspan="4"></td></tr>';
	//
	echo '<tr>';
	echo '<td align="center" colspan="4" height="10">&nbsp;</td></tr>';
	//
	echo '<tr>';
	$i=1;
	$result_c = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b 
	on a.pl_id=b.pl_id where b.com=$ucom and a.pl_pos='C' order by a.pl_points desc limit 4");
	while($data_c = dbarray($result_c))
	{
		if ($data_c['pl_pic'] != "" && file_exists("img/players/big/".$data_c['pl_pic'])) 
			$piclnk = "img/players/big/".$data_c['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
		if ($i == 1)
		{
			echo '<td align="center" colspan="4"><a href="fussball_manager.php?act=showpl&pl_id='.$data_c['pl_id'].'"><img height="40" src="'.$piclnk.'" border="0"><br><font color="#FFFFFF">'.$data_c['pl_name'].'<br><b>('.$data_c['pl_points'].')</b></a></font></td></tr><tr>';			
		}
		
		if ($i == 2)
		{
			echo '<td align="center" width="50%" colspan="2"><a href="fussball_manager.php?act=showpl&pl_id='.$data_c['pl_id'].'"><img height="40" src="'.$piclnk.'" border="0"><br><font color="#FFFFFF">'.$data_c['pl_name'].'<br><b>('.$data_c['pl_points'].')</b></a></font></td>';			
		}
		
		if ($i == 3)
		{
			echo '<td align="center" width="50%" colspan="2"><a href="fussball_manager.php?act=showpl&pl_id='.$data_c['pl_id'].'"><img height="40" src="'.$piclnk.'" border="0"><br><font color="#FFFFFF">'.$data_c['pl_name'].'<br><b>('.$data_c['pl_points'].')</b></a></font></td></tr><tr>';			
		}
		
		if ($i == 4)
		{
			echo '<td align="center" colspan="4"><a href="fussball_manager.php?act=showpl&pl_id='.$data_c['pl_id'].'"><img height="40" src="'.$piclnk.'" border="0"><br><font color="#FFFFFF">'.$data_c['pl_name'].'<br><b>('.$data_c['pl_points'].')</b></a></font></td>';			
		}
		$i++;
	}
	echo '</tr>';
	
	echo '<tr>';
	echo '<td align="center" colspan="4"></td></tr>';
	echo '<tr>';
	echo '<td align="center" colspan="4"></td></tr>';

	echo '<tr>';
	$result_b = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b 
	on a.pl_id=b.pl_id where b.com=$ucom and a.pl_pos='B' order by a.pl_points desc limit 4");
	while($data_b = dbarray($result_b))
	{
		if ($data_b['pl_pic'] != "" && file_exists("img/players/big/".$data_b['pl_pic'])) 
			$piclnk = "img/players/big/".$data_b['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
		echo '<td align="center" width="25%"><a href="fussball_manager.php?act=showpl&pl_id='.$data_b['pl_id'].'"><img height="40" src="'.$piclnk.'" border="0"><br><font color="#FFFFFF">'.$data_b['pl_name'].'<br><b>('.$data_b['pl_points'].')</b></a></font></td>';	
	}
	echo '</tr>';
	
	echo '<tr>';
	echo '<td align="center" colspan="4"></td></tr>';
	echo '<tr>';
	echo '<td align="center" colspan="4"></td></tr>';
	
	$result_a = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b 
	on a.pl_id=b.pl_id where b.com=$ucom and a.pl_pos='A' order by a.pl_points desc limit 1");
	$data_a = dbarray($result_a);
	
	if ($data_a['pl_pic'] != "" && file_exists("img/players/big/".$data_a['pl_pic'])) 
			$piclnk = "img/players/big/".$data_a['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
	
	echo '<tr>';
	echo '<td align="center" colspan="4"><a href="fussball_manager.php?act=showpl&pl_id='.$data_a['pl_id'].'"><img height="40" src="'.$piclnk.'" border="0"><br><font color="#FFFFFF">'.$data_a['pl_name'].'<br><b>('.$data_a['pl_points'].')</b></font></a></td></tr>';
	
	echo '</table></font>';
	
}
// Neu Ende
// Ende Beste 11

// Startscreen
if ($action == "")
{
	tablebreak();
	tablebreak();
	tablebreak();
	tablebreak();
	echo '<center><img src="fussballmanagersf3.jpg"></center>';
	tablebreak();	
}
// Ende Startscreen

// eingegangene Angebote
if ($action == "myoffers")
{
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man816']."</b></font><br>
	<a href='fussball_manager.php?act=offers' title='".$locale['man198']."'>".$bullet." ".$locale['man819']."</a>
	</span></td></tr></table>";
	tablebreak();
	
	// TAbellenberschirft
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1"></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man138'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man139'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man149'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man150'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man177'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man178'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man115'].'</b></td>';
	echo '</tr>';	
	
	$i=1;
	
	$result = dbquery("select * from ".$db_prefix."man_offers as a left join ".$db_prefix."man_plcom as b 
	on a.pl_id=b.pl_id where a.com=$ucom and b.pl_owner=$user");
	
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	$result = dbquery("select * from ".$db_prefix."man_offers as a left join ".$db_prefix."man_plcom as b 
	on a.pl_id=b.pl_id where a.com=$ucom and b.pl_owner=$user group by a.pl_id order by b.pl_id limit $rowstart, 10");
	// Ausgabe Angebote
	while ($data = dbarray($result))
	{
		$plid = $data['pl_id'];
		$data_pl = dbarray(dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
		on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$ucom and a.pl_id=$plid"));
		
		// Maximales Gebote ermitteln
		$result_max = dbquery("select * from ".$db_prefix."man_offers where com=$ucom and pl_id=$plid order by offer desc limit 1");
		$data_max = dbarray($result_max);
		$o_user = $data_max['user_id'];
		$o_offer = $data_max['offer'];
		$sum_max += $data_max['offer'];
		$data1 = dbarray(dbquery("select * from ".$db_prefix."man_users where user_id=$o_user"));
		
		// Position ermitteln
		if ($data_pl['pl_pos'] == "A") $pos=$locale['man121'];
		if ($data_pl['pl_pos'] == "B") $pos=$locale['man122'];
		if ($data_pl['pl_pos'] == "C") $pos=$locale['man123'];
		if ($data_pl['pl_pos'] == "D") $pos=$locale['man124'];

		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		
		// Spielerbild
		if ($data_pl['pl_pic'] != "" && file_exists("img/players/big/".$data_pl['pl_pic'])) 
			$piclnk = "img/players/big/".$data_pl['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
		
		if ($data1['user_id'] != 0) 
		{
			$o=$data1['user_id'];
			$owner = dbarray(dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."users as b
			on a.user_id=b.user_id where a.user_id=$o"));
			$o='<a href="fussball_manager.php?act=showteam&team='.$o_user.'" title="'.$locale['man168'].$data1['user_teamname'].$locale['man169'].'">'.$data1['user_teamname'].'</a>';
		}
		else $o = "<b>Computer</b>";
		
		echo '<tr>';	
		echo '<td align="center" class="'.$cell.'"><img height="26" src="'.$piclnk.'"></td>';
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'" title="'.$locale['man163'].$data_pl['pl_name'].$locale['man164'].'">'.$data_pl['pl_name'].'</a></td>'; 
		echo '<td align="center" class="'.$cell.'"><a href="'.$data_pl['team_website'].'" target="_blank"><img src="img/teams/'.$data_pl['team_logo'].'" border="0" title="'.$locale['man167'].'"></a></td>';
		echo '<td align="right" class="'.$cell.'">'.number_format($data_pl['pl_value'], 2, ',', '.').' </td>';
		echo '<td align="center" class="'.$cell.'">'.$data_pl['pl_points'].'</td>';
		echo '<td align="center" class="'.$cell.'">'.$pos.'</td>';
		echo '<td align="center" class="'.$cell.'">'.number_format($o_offer, 2, ',', '.').' </td>';
		echo '<td align="center" class="'.$cell.'">'.$o.'</td>';
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'"><img src="img/lupe.gif" border="0" title="'.$locale['man163'].$data_pl['pl_name'].$locale['man164'].'"></a></td>';
		echo '<tr>';
		$i++;					
	}
	
	echo '<tr>';	
	echo '<td align="right" colspan="6" class="'.$cell.'">Summe:</td>
	<td align="center" class="'.$cell.'"><b>'.number_format($sum_max, 2, ',', '.').' </b></td>
	<td align="center" colspan="2" class="'.$cell.'"></td>
	</tr>';
	echo '</table>';
	tablebreak();
	if ($i < 10) $i=10;
	if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,2,FUSION_SELF."?act=offers&")."\n</div>\n";
	// Ende Ausgabe Angebote
}
// Ende eingegangene Angebote


// abgegebene Angebote
if ($action == "offers")
{	
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man817']."</b></font><br>
	<a href='fussball_manager.php?act=myoffers' title='".$locale['man199']."'>".$bullet." ".$locale['man818']."</a>
	</span></td></tr></table>";
	tablebreak();
	
	// TAbellenberschirft
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1"></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man138'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man139'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man149'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man150'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man137'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man146'].'</b></td>';
	if ($data_config['show_offers'] == 1)
	{
		echo '<td align="center" class="tbl1"><b>'.$locale['man148'].'</b></td>';
	}
	echo '<td align="center" class="tbl1"><b>'.$locale['man115'].'</b></td>';
	echo '</tr>';	
	
	$i=1;
	
	$result = dbquery("select * from ".$db_prefix."man_offers where com=$ucom and user_id=$user");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	$result = dbquery("select * from ".$db_prefix."man_offers where com=$ucom and user_id=$user limit $rowstart, 10");
	// Ausgabe Angebote
	while ($data = dbarray($result))
	{
		$plid = $data['pl_id'];
		$data_pl = dbarray(dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
		on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$ucom and a.pl_id=$plid"));
		
		$data1 = dbarray(dbquery("select * from ".$db_prefix."man_plcom where com=$ucom and pl_id=$plid"));
		
		// Maximales Gebote ermitteln
		$result_max = dbquery("select * from ".$db_prefix."man_offers where com=$ucom and pl_id=$plid order by offer desc limit 1");
		$data_max = dbarray($result_max);
		$o_user = $data_max['user_id'];
		$sum_offer += $data['offer'];
		
		// Position ermitteln
		if ($data_pl['pl_pos'] == "A") $pos=$locale['man121'];
		if ($data_pl['pl_pos'] == "B") $pos=$locale['man122'];
		if ($data_pl['pl_pos'] == "C") $pos=$locale['man123'];
		if ($data_pl['pl_pos'] == "D") $pos=$locale['man124'];

		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		
		// Spielerbild
		if ($data_pl['pl_pic'] != "" && file_exists("img/players/big/".$data_pl['pl_pic'])) 
			$piclnk = "img/players/big/".$data_pl['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
		
		if ($data1['pl_owner'] != 0) 
		{
			$o=$data1['pl_owner'];
			$owner = dbarray(dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."users as b
			on a.user_id=b.user_id where a.user_id=$o"));
			$o='<a href="fussball_manager.php?act=showteam&team='.$o.'" title="'.$locale['man168'].$owner['user_name'].$locale['man169'].'">'.$owner['user_name'].'</a>';
		}
		else $o = "<b>Computer</b>";
		
		echo '<tr>';	
		echo '<td align="center" class="'.$cell.'"><img height="26" src="'.$piclnk.'"></td>';
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'" title="'.$locale['man163'].$data_pl['pl_name'].$locale['man164'].'">'.$data_pl['pl_name'].'</a></td>'; 
		echo '<td align="center" class="'.$cell.'"><a href="'.$data_pl['team_website'].'" target="_blank"><img src="img/teams/'.$data_pl['team_logo'].'" border="0" title="'.$locale['man167'].'"></a></td>';
		echo '<td align="right" class="'.$cell.'">'.number_format($data_pl['pl_value'], 2, ',', '.').' </td>';
		echo '<td align="center" class="'.$cell.'">'.$data_pl['pl_points'].'</td>';
		echo '<td align="center" class="'.$cell.'">'.$pos.'</td>';
		echo '<td align="center" class="'.$cell.'">'.$o.'</td>';
		echo '<td align="center" class="'.$cell.'">'.number_format($data['offer'], 2, ',', '.').' </td>';
		if ($data_config['show_offers'] == 1)
		{
			if ($o_user == $user)
				echo '<td align="center" class="'.$cell.'"><img src="img/up.gif" height="16" title="'.$locale['man175'].$data_pl['pl_name'].'"></td>';
			else
				echo '<td align="center" class="'.$cell.'"><img src="img/down.gif" height="16" title="'.$locale['man176'].$data_pl['pl_name'].'"></td>';
		}
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'"><img src="img/lupe.gif" border="0" title="'.$locale['man163'].$data_pl['pl_name'].$locale['man164'].'"></a></td>';
		echo '</tr>';
		$i++;					
	}	
	echo '<tr>';	
	echo '<td align="right" colspan="7" class="'.$cell.'">Summe:</td>
	<td align="center" class="'.$cell.'"><b>'.number_format($sum_offer, 2, ',', '.').' </b></td>
	<td align="center" class="'.$cell.'"></td>';
	
		if ($data_config['show_offers'] == 1)
		{
			echo '<td class="'.$cell.'"></td>';
		}		
	
	echo '</tr>';
	echo '</table>';
	tablebreak();
	if ($i < 10) $i=10;
	if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,2,FUSION_SELF."?act=myoffers&")."\n</div>\n";
	// Ende Ausgabe Angebote
}
// Ende abgegebene Angebote

// Anzeige Spieler, keine Angebote mglich
if ($action == "showpl")
{
	
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man135']."</b></font></span></td></tr></table>";
		
	$query_pl = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b
	on a.pl_id=b.pl_id where a.pl_id=$player and b.com=$ucom");
	$data_pl = dbarray($query_pl);
	$player_v = $data_pl['pl_value'];
	$player_owner = $data_pl['pl_owner'];
	$player_team = $data_pl['pl_team'];
	$player_listed = $data_pl['pl_listed'];
		
	$query_t = dbquery("select * from ".$db_prefix."man_teams where team_id=$player_team");
	$data_t = dbarray($query_t);
	
		$query_user = dbquery("select * from ".$db_prefix."man_users where user_id=$player_owner");
		$data_user = dbarray($query_user);
		$user_team = $data_user['user_teamname'];
		if ($user_team == "") 
		{
			$user_team = "Computer";
			$team_string = $user_team;
		}
		else
		{
			if ($player_owner != $user)
				$team_string = '<a href="fussball_manager.php?act=showteam&team='.$player_owner.'" title="'.$locale['man168'].$user_team.$locale['man169'].'">'.$user_team.'</a>';
			else
				$team_string = '<a href="fussball_manager.php?act=myteam" title="'.$locale['man170'].'">'.$user_team.'</a>';
		}
		
		// Position ermitteln	
		if ($data_pl['pl_pos'] == "A") $pos=$locale['man121'];
		if ($data_pl['pl_pos'] == "B") $pos=$locale['man122'];
		if ($data_pl['pl_pos'] == "C") $pos=$locale['man123'];
		if ($data_pl['pl_pos'] == "D") $pos=$locale['man124'];
	
		tablebreak();
		
		// Ausgabe Spielerdaten
		echo "<table align='center' width='35%' cellpadding='0' cellspacing='1' class='tbl-border'>
					<tr><td class='tbl2' align='center' colspan='3'>
					<span class='small'><font size='3'><b>".$data_pl['pl_name']." (".$data_pl['pl_points'].")</b></font></span></td></tr>";
	
		if ($data_pl['pl_pic'] != "" && file_exists("img/players/big/".$data_pl['pl_pic'])) 
			$piclnk = "img/players/big/".$data_pl['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
		
		echo '<tr><td class="tbl1" align="center" rowspan="5"><img src="'.$piclnk.'"></td>
					<td align="right" class="tbl1"><b>'.$locale['man136'].'</b></td><td align="center" class="tbl1">'.$pos.'</td></tr>
					<tr><td align="right" class="tbl1"><b>'.$locale['man137'].'</b></td><td align="center" class="tbl1">'.$team_string.'</td></tr>';
		echo '<tr><td align="right" class="tbl1"><b>'.$locale['man138'].'</b></td>
					<td align="center" class="tbl1"><a href="'.$data_t['team_website'].'" target="_blank" title="'.$locale['man167'].'"><img src="img/teams/'.$data_t['team_logo'].'" border="0"><br>'.$data_t['team_name'];
		echo '<tr><td align="right" class="tbl1"><b>'.$locale['man139'].'</b></td><td align="center" class="tbl1">'.number_format($data_pl['pl_value'], 2, ',', '.').' </td></tr>';
		echo '</table>';
			// Ende Ausgabe Spielerdaten
		tablebreak();	
	// Punktehistorie
	$result = dbquery("select * from ".$db_prefix."man_plhist where pl_id=$player order by date desc");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	if ($rows != 0)
	{
		tablebreak();
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
					<tr><td class='tbl2' align='center' colspan='2'>
					<span class='small'><font size='3'><b>".$locale['man832']."</b></font></span></td></tr>";
		tablebreak();
	
		echo "<table align='center' cellpadding='0' cellspacing='1'  class='tbl-border'>";
		echo '<tr>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man250'].'</b></td>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man106'].'</b></td>';
		echo '</tr>';
		
		$result = dbquery("select * from ".$db_prefix."man_plhist where pl_id=$player order by date desc limit $rowstart, 5");
		while ($data = dbarray($result))
		{
			if ($data['pl_pkt'] > 0) $color='#80FF80';
			if ($data['pl_pkt'] < 0) $color='#FF8000';
			if ($data['pl_pkt'] == 0) $color='#C0C0C0';
			echo '<tr>';
			echo '<td align="center" class="tbl1">'.date("d. M Y ", $data['date']).'</td>';
			echo '<td bgcolor="'.$color.'" align="center" >'.$data['pl_pkt'].'</td>';
			echo '</tr>';
		}
		echo '</table>';
		tablebreak();
		if ($i < 5) $i=5;
		if ($i >= 5) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,5,$rows,2,FUSION_SELF."?act=showpl&pl_id=".$player."&")."\n</div>\n";
	//		
	}
}
// Ende Anzeige Spieler, keine Angebote mglich


// Spielerliste
if ($action == "pllist")
{
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man821']."</b></font></span></td></tr>
	<tr><td class='tbl2' align='center' ><a href='fussball_manager.php?act=topscorers' title='".$locale['man854']."'>".$bullet." ".$locale['man854']."</a></td>
	<td class='tbl2' align='center' ><a href='fussball_manager.php?act=plsearch' title='".$locale['man855']."'>".$bullet." ".$locale['man855']."</a></td>
	</tr>
	</table>";
	tablebreak();
	
	// Teamliste einlesen
	$teamlist = ""; $sel_t = "";
	$result_t = dbquery("SELECT * FROM ".$db_prefix."man_teams where team_act=1 order by team_name");
	if (dbrows($result_t) != 0) 
	{
		while ($data_t = dbarray($result_t)) 
		{
			if (isset($team_id)) $sel_t = ($team_id == $data_t['team_id'] ? " selected" : "");
			$teamlist .= "<option value='".$data_t['team_id']."'$sel_t>".$data_t['team_name']."</option>\n";
		}
	}
	// Ende Teamliste einlesen
	
	
	// TAbellenberschirft
	echo '<form method="post">';
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1">
				<select name="sel_team">'.$teamlist.'</select>
				<br><input type="submit" name="team_sel" value="'.$locale['man243'].'" class="button">
	</td></tr></table></form>';
	tablebreak();
	
	$result = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_teams as b 
	on a.pl_team=b.team_id where a.pl_team='$sel_team' order by b.team_name, a.pl_pos, a.pl_name");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	if ($rows != 0) 
	{$i=1; 
		
	// TAbellenberschirft
	echo '<tr>';
	echo '<td align="center" class="tbl1"></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man138'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man139'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man149'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man150'].'</b></td>';
	echo '</tr>';	
	}
	$result = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_teams as b 
	on a.pl_team=b.team_id left join ".$db_prefix."man_plcom as c on a.pl_id=c.pl_id where a.pl_team='$sel_team' 
	and c.com=$ucom order by b.team_name, a.pl_pos, a.pl_name");
	while ($data = dbarray($result))
	{
			
		// Position ermitteln
		if ($data['pl_pos'] == "A") $pos=$locale['man121'];
		if ($data['pl_pos'] == "B") $pos=$locale['man122'];
		if ($data['pl_pos'] == "C") $pos=$locale['man123'];
		if ($data['pl_pos'] == "D") $pos=$locale['man124'];

		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		
		// Spielerbild
		if ($data['pl_pic'] != "" && file_exists("img/players/big/".$data['pl_pic'])) 
			$piclnk = "img/players/big/".$data['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
		
		$player_owner = $data['pl_owner'];
		$player_listed = $data['pl_listed'];
		if (($player_owner == 0 && $player_listed == 1) || ($player_owner != 0))
			$url = "fussball_manager.php?act=buy&pl_id=".$data['pl_id'];
		else
			$url = "fussball_manager.php?act=showpl&pl_id=".$data['pl_id'];
		
		echo '<tr>';	
		echo '<td align="center" class="'.$cell.'"><img height="26" src="'.$piclnk.'"></td>';
		echo '<td align="center" class="'.$cell.'"><a href="'.$url.'" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'">'.$data['pl_name'].'</a></td>'; 
		echo '<td align="center" class="'.$cell.'"><a href="'.$data['team_website'].'" target="_blank"><img src="img/teams/'.$data['team_logo'].'" border="0" title="'.$locale['man167'].'"></a></td>';
		echo '<td align="right" class="'.$cell.'">'.number_format($data['pl_value'], 2, ',', '.').' </td>';
		echo '<td align="center" class="'.$cell.'">'.$data['pl_points'].'</td>';
		echo '<td align="center" class="'.$cell.'">'.$pos.'</td>';
		echo '</tr>';
		$i++;
	}
	echo '</table>';
	// Ende Ausgabe
}
// Ende Spielerliste


// Community erstellen
if ($action == "crtcom")
{
	
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man822']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Speichern
	if ($save)
	{
		$comname = stripinput($_POST['comname']);
		$pass = stripinput($_POST['pass']);
		
		if ($comname != "")
		{
			if ($prv) 
			{
				$prv=1; 
				if ($pass != "")
				{
					$result = dbquery("insert into ".$db_prefix."man_communities(com_name, com_prv, com_pw) values('$comname', $prv, md5('$pass'))");
					$result = dbarray(dbquery("select com_id from ".$db_prefix."man_communities where com_name='$comname'"));
					$cid = $result['com_id'];

					$result = dbquery("select * from ".$db_prefix."man_players");
					while ($data = dbarray($result))
					{
						$pid = $data['pl_id'];	
						$result_ins = dbquery("insert into ".$db_prefix."man_plcom(pl_id, pl_owner, com, pl_isset, pl_listed) 
						values($pid, 0, $cid, 0, 0)");	
					}
				}
			}
			else
			{
				$result = dbquery("insert into ".$db_prefix."man_communities(com_name, com_prv, com_pw) values('$comname', 0, '')");
				$result = dbarray(dbquery("select com_id from ".$db_prefix."man_communities where com_name='$comname'"));
				$cid = $result['com_id'];

				$result = dbquery("select * from ".$db_prefix."man_players");
				while ($data = dbarray($result))
				{
					$pid = $data['pl_id'];	
					$result_ins = dbquery("insert into ".$db_prefix."man_plcom(pl_id, pl_owner, com, pl_isset, pl_listed) 
					values($pid, 0, $cid, 0, 0)");	
				}				
			}
			// 10 Neue Spieler von Computer auf TL setzen
			
			//$query_relist = dbquery("select * from ".$db_prefix."man_plcom where com=$cid and pl_owner=0 and pl_listed=0");
			
			$query_relist = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b on a.pl_id=b.pl_id
			left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$cid and a.pl_owner=0 and a.pl_listed=0
			and c.team_act=1");	
	
			
			//echo "t1 - ";
			while ($array = dbarray($query_relist))
			$playerk[] = $array['pl_id'];

			if (sizeof($playerk)>0)
			{	
				srand((double)microtime() * 1000000);
  			$zufall = array_rand($playerk, 10);
  			for($x=0;$x<=count($zufall);$x++)
  			{    
  				$pl = $playerk[$zufall[$x]];     
					$query_list = dbquery("update ".$db_prefix."man_plcom set pl_listed=1 where com=$cid and pl_id=$pl");
     		}
   		}
		}
		// Ende Speichern
		fallback("fussball_manager.php?act=enter");
	}	
	
	// Formular nur, wenn User noch kein Teilnehmer
	if (!isset($data_man_user['user_id']))
	{
		echo '<center>';
		echo '<br>'.$locale['man823'].'<br>';
		echo '<form method="post"><input type="text" name="comname" class="textbox" maxlength="20"><br>';
		echo '<br>
					'.$locale['man824'].'<br><input type="checkbox" name="prv" class="textbox"><br><br>
					'.$locale['man825'].'<br><input type="password" name="pass" class="textbox" maxlength="20"><br>
					<input type="submit" name="save" value="'.$locale['man109'].'" class="button"></form>';
		echo '</center>';	
	}
}

// Anmeldung
if ($action == "enter")
{
	$resultc = dbarray(dbquery("select count(*) as count from ".$db_prefix."man_users"));
	
	// Speichern
	if ($ent)
	{
		$com = isNum($_POST['comm']) ? $_POST['comm'] : 0;
		$teamname = stripinput($_POST['team']);
		$passw = stripinput($_POST['passw']);
		$rpassw = stripinput($_POST['rpassw']);
		
		$trim_team = trim($teamname);
		
		if ($trim_team != NULL)
		{
			$sel_comm = dbarray(dbquery("select * from ".$db_prefix."man_communities where com_id=$com"));
			if (md5($passw) == $rpassw) //$sel_comm['com_pw']
			{
				$result_com1 = dbarray(dbquery("select count(*) as count from ".$db_prefix."man_users where user_com=$com"));
				if ($result_com1['count'] < 15)
				{
					$result = dbquery("insert into ".$db_prefix."man_users(user_id, user_teamname, user_value, user_com) 
					values($user, '$teamname', 20000000, $com)");
					fallback("fussball_manager.php?act=setteam");
				}
				else echo $locale['man826'];			
			}
			else echo $locale['man827'];
		}
		else echo $locale['man831'];
	}
	// Speichern

	
	// Manager erzeugen
	if ($enter)
	{
		$com = isNum($_POST['com']) ? $_POST['com'] : 0;
		$team = stripinput($_POST['teamname']);
		$sel_com = dbarray(dbquery("select * from ".$db_prefix."man_communities where com_id=$com"));
		
		if ($sel_com['com_prv'] == 1)
		{
			echo '<center>';
			echo '<br>'.$locale['man828'].'<br>';
			echo '<form method="post"><input type="password" name="passw" class="textbox" maxlength="20"><br>';
			echo '<input type="hidden" name="comm" value="'.$sel_com['com_id'].'" class="textbox" maxlength="20">
						<input type="hidden" name="team" value="'.$team.'" class="textbox" maxlength="20">
						<input type="hidden" name="rpassw" value="'.$sel_com['com_pw'].'" class="textbox" maxlength="255">';
			echo '<input type="submit" name="ent" value="'.$locale['man612'].'" class="button"></form>';
			echo '</center>';			
		}
		else
		{
			$result_com = dbarray(dbquery("select count(*) as count from ".$db_prefix."man_users where user_com=$com"));
			if ($result_com['count'] < 15)
			{
				$trim_team = trim($team);
				if ($trim_team != NULL)
				{
					$result = dbquery("insert into ".$db_prefix."man_users(user_id, user_teamname, user_value, user_com) values($user, '$teamname', 20000000, $com)");
					fallback("fussball_manager.php?act=setteam");
				}
				else echo $locale['man831'];
			}
			else echo $locale['man826'];
		}
	}
	// Ende Manager erzeugen
	
	tablebreak();
	tablebreak();
	tablebreak();
	tablebreak();
	echo '<center><img src="fussballmanagersf3.jpg"></center>';
	tablebreak();

	if ($cdet)
	{
		$com = isNum($_POST['com']) ? $_POST['com'] : 0;
		$comm = dbarray(dbquery("select * from ".$db_prefix."man_communities where com_id=$com"));
		
		$sel = dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."users as b on a.user_id=b.user_id where user_com=$com");
		if (dbrows($sel) != 0)
		{
		opentable($comm['com_name']);
		echo '<table width="30%" align="center"><tr><td></td><td align="center"><b>Username</b></td><td align="center"><b>Teamname</b></td></tr>';
		$i = 1;
		$sel = dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."users as b on a.user_id=b.user_id where user_com=$com");
		
		while ($dat = dbarray($sel))
		{
			echo '<tr>';
			echo '<td align="right">'.$i.'</td><td align="center"><a href="'.BASEDIR."profile.php?lookup=".$dat['user_id'].'">'.$dat['user_name'].'</a></td><td align="center">'.$dat['user_teamname'].'</td>';
			echo '</tr>';
			$i++;
		}
		echo '</table>';
		closetable();
		}
		else echo '<center><b>'.$locale['man856'].$comm['com_name'].'</b></center>';
	}

	// Formular
		if (isset($data_man_user['user_id'])) 
			echo $locale['man107'];
		else
		{	
			$getcom = dbquery("select * from ".$db_prefix."man_communities order by com_name");
			echo '<center>';
			echo '<br>'.$locale['man108'].'<br>';
			echo '<form method="post"><input type="text" name="teamname" class="textbox" maxlength="20"><br>';
			echo 'Community:<br><select name="com">';
			while ($data_com = dbarray($getcom))
			{
				echo '<option value="'.$data_com['com_id'].'">'.$data_com['com_name'].'</option>';
			}			
			echo '</select><br><br>';
			echo '<input type="submit" name="cdet" value="Details" class="button"><br>';
			echo '<input type="submit" name="enter" value="'.$locale['man109'].'" class="button"></form>';
			echo '</center>';
		}
}
// Ende Anmeldung


// User Optionen
if ($action == "options")
{
	
	if ($rename)
	{
		$newname = stripinput($_POST['newname']);
		
		$trim_team = trim($newname);
		if ($trim_team != NULL)
		{
			$result = dbquery("update ".$db_prefix."man_users set user_teamname='$newname' where user_id=$user");
			fallback("fussball_manager.php?act=options");
		}
	}
	
	
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man151']."</b></font></span></td></tr></table>";
	tablebreak();

	
	// Bilder Upload
	echo '<center>';
	echo '<b>'.$locale['man829'].'</b><br>';
	echo '<form enctype="multipart/form-data" action="" method="post">
				<input type="hidden" name="MAX_FILE_SIZE" value="100000">
				'.$locale['man714'].' <input name="userfile" type="file"  class="textbox" accept="image/*"><br>
				<input type="submit" value="'.$locale['man204'].'" class="button" name="upload">
				</form><br>';
	$uploaddir = INFUSIONS . "fussball_manager/img/users/"; 
	if ($upload)
		if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploaddir . $_FILES['userfile']['name'])) 
		{
			echo $_FILES['userfile']['name']." ok.";
			$ico = $_FILES['userfile']['name'];
			$result = dbquery("update ".$db_prefix."man_users set user_icon='$ico' where user_id=$user");
			fallback("fussball_manager.php?act=options");
		} 
		else
			echo $_FILES['userfile']['name']." error.";
	echo '<br>';
	// Ende Bilder Upload
	
	echo "<form method='post'>
			<center>
			<b>".$locale['man830']."</b><br>
			<input type='text' name='newname' value='".$data_man_user['user_teamname']."' maxlength='20' class='textbox'><br>
			<input type='submit' name='rename' value='".$locale['man213']."' class='button'>
			</center>
			</form>\n";	
}
// Ende User Optionen


if ($action == "addsponsor")
{
	$sp_id = isNum($_GET['id']) ? $_GET['id'] : 0;
	$query_u = dbquery("update ".$db_prefix."man_users set user_sponsor=$sp_id where user_id=$user");
	fallback("fussball_manager.php?act=sponsor");
}


// Anzeige Sponsoren
if ($action == "sponsor")
{
	
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man812']."</b></font></span></td></tr></table>";
	tablebreak();
	
	$query_u = dbquery("Select * from ".$db_prefix."man_users as a left join ".$db_prefix."man_sponsors as b
	on a.user_sponsor=b.sp_id where a.user_id=$user");
	$data_u = dbarray($query_u);
	if ($data_u['user_sponsor'] != 0)
	{		
		echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl'><tr>";	
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1"><a href="'.$data_u['sp_website'].'" target="_blank" title="'.$locale['man167'].'"><img src="img/sponsors/'.$data_u['sp_banner'].'" border="0"></a></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1"><big><a href="'.$data_u['sp_website'].'" target="_blank" title="'.$locale['man167'].'"><b>'.$data_u['sp_name'].'</big></b></a></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl2">'.stripslashes($data_u['sp_descr']).'';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1">'.$locale['man806'].'<br>';
		echo '<b>'.number_format($data_u['sp_min_value'], 2, ',', '.').' </b></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1">'.$locale['man807'].'<br>';
		echo '<b>'.$data_u['sp_min_points'].'</b></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1">'.$locale['man808'].'<br>';
		echo '<b>'.number_format($data_u['sp_bmoney'], 2, ',', '.').' </b></td>';
		echo '</tr>';
		echo '</table>';
	}
	
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man811']."</b></font></span></td></tr></table>";
	tablebreak();
	
	$result = dbquery("Select * from ".$db_prefix."man_sponsors");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=0; 
	
	$query = dbquery("Select * from ".$db_prefix."man_sponsors order by sp_id limit $rowstart, 1");	
	echo "<table align='center' cellpadding='0' cellspacing='1'  class='tbl'>";
	$data_val = dbarray(dbquery("Select sum(pl_value) as teamvalue from ".$db_prefix."man_players as a
	left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id 
	where b.pl_owner=$user and com=$ucom"));
	// Ausgabe Sponsoren
	while ($data = dbarray($query))
	{
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1"><a href="'.$data['sp_website'].'" target="_blank" title="'.$locale['man167'].'"><img src="img/sponsors/'.$data['sp_banner'].'" border="0"></a></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1"><big><a href="'.$data['sp_website'].'" target="_blank" title="'.$locale['man167'].'"><b>'.$data['sp_name'].'</big></b></a></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl2">'.stripslashes($data['sp_descr']).'';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1">'.$locale['man806'].'<br>';
		echo '<b>'.number_format($data['sp_min_value'], 2, ',', '.').' </b></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1">'.$locale['man807'].'<br>';
		echo '<b>'.$data['sp_min_points'].'</b></td>';
		echo '</tr>';
		echo '<tr>';
		echo '<td align="center" colspan="2" class="tbl1">'.$locale['man808'].'<br>';
		echo '<b>'.number_format($data['sp_bmoney'], 2, ',', '.').' </b></td>';
		echo '</tr>';
		if ($data_val['teamvalue'] >= $data['sp_min_value'])
		{
			// Sperre fr Aufstellung	
			$datum = getdate($data_config['date']);
			// Aktuelles Datum
			$cdatum = time();
	
			// Datum OK?
			if ($cdatum < $datum[0])
			{
				echo '<tr>';
				echo '<td align="center" colspan="2" class="tbl1"><a href="fussball_manager.php?act=addsponsor&id='.$data['sp_id'].'">'.$locale['man810'].'</a></td>';
				echo '</tr>';
			}
			else
			{
				echo '<tr>';
				echo '<td align="center" colspan="2" class="tbl1"><b><font color="red">'.$locale['man814'].'</font><b></td>';
				echo '</tr>';
			}
		}
		else
		{
				echo '<tr>';
				echo '<td align="center" colspan="2" class="tbl1"><b><font color="red">'.$locale['man815'].'</font><b></td>';
				echo '</tr>';
		}
		$i++;	
	}
	echo '</tr></table>';
	tablebreak();
	if ($i < 1) $i=1;
	if ($i >= 1) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,1,$rows,2,FUSION_SELF."?act=sponsor&")."\n</div>\n";
	// Ausgabe Sponsoren
}
// Anzeige Sponsoren


// Anzeige Mein Umfeld
if ($action == "env")
{
	// Kopfzeile	
	tablebreak();
	echo "<table align='center' width='90%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man110']."</b></font></span></td></tr></table>";
	tablebreak();
	
	$result = dbquery("Select * from ".$db_prefix."man_userenv as a left join ".$db_prefix."man_env as b on a.env_id=b.env_id where a.user_id=$user");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=0; 
	
	// Tabellenberschrift
	echo "<table align='center' cellpadding='0' cellspacing='1'  width='90%' class='tbl-border'><tr>";
	echo '<tr><td align="center" class="tbl2">'.$locale['man111'].'</td>
				<td align="center" class="tbl2">'.$locale['man112'].'</td>
				<td align="center" class="tbl2">'.$locale['man112'].'</td>
				<td align="center" class="tbl2">'.$locale['man113'].'</td>';

	echo '<td align="center" class="tbl2">'.$locale['man157'].'</td>
				<td align="center" class="tbl2">'.$locale['man158'].'</td>
				<td align="center" class="tbl2">'.$locale['man159'].'</td>
				<td align="center" class="tbl2">'.$locale['man115'].'</td>
				</tr>';
				
	$query = dbquery("Select * from ".$db_prefix."man_userenv as a left join ".$db_prefix."man_env as b on a.env_id=b.env_id 
	where a.user_id=$user order by b.envcat_id, a.env_id limit $rowstart, 5");	
	
	// Ausgabe Mein Umfeld
	while ($data = dbarray($query))
	{
		$envcat = dbarray(dbquery("select * from ".$db_prefix."man_envcat where envcat_id=".$data['envcat_id']));
		echo '<tr>';
		echo '<td align="center" class="tbl1"><b>'.$data['env_name'].'</b></td>';
		echo '<td align="center" class="tbl1"><img src="img/env/'.$data['env_image'].'"></td>';
		echo '<td align="center" class="tbl1">'.$envcat['envcat_name'].'</td>';
		echo '<td align="center" class="tbl1">'.stripslashes($data['env_descr']).'</td>';
		echo '<td align="center" class="tbl1"><b>'.number_format($data['env_cost'], 2, ',', '.').'</b></td>';
		echo '<td align="center" class="tbl1"><b>'.number_format($data['env_bmoney'], 2, ',', '.').'</b></td>';
		echo '<td align="center" class="tbl1"><b>'.$data['env_bpoints'].'</b></td>';
		echo '<td align="center" class="tbl1"><a href="fussball_manager.php?act=sellenv&id='.$data['env_id'].'">'.$locale['man160'].'</a></td>';
		echo '</tr>';
		$i++;	
	}
	echo '</tr></table>';
	tablebreak();
	if ($i < 5) $i=5;
	if ($i >= 5) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,5,$rows,2,FUSION_SELF."?act=env&")."\n</div>\n";
	// Ausgabe Mein Umfeld
}
// Anzeige Mein Umfeld


// Anzeige Umfeld erweitern
if ($action == "expandenv")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='90%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man116']."</b></font></span></td></tr></table>";
	tablebreak();
	
	$result = dbquery("Select * from ".$db_prefix."man_env order by envcat_id, env_id");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=0; 	

	// Tabellenberschrift	
	echo "<table align='center' cellpadding='0' cellspacing='1' width='90%' class='tbl-border'>";
	echo '<tr><td align="center" class="tbl2">'.$locale['man111'].'</td>
				<td align="center" class="tbl2">'.$locale['man112'].'</td>
				<td align="center" class="tbl2">'.$locale['man224'].'</td>
				<td align="center" class="tbl2">'.$locale['man113'].'</td>
				<td align="center" class="tbl2">'.$locale['man114'].'</td>
				<td align="center" class="tbl2">'.$locale['man117'].'</td>
				<td align="center" class="tbl2">'.$locale['man115'].'</td>
				</tr>';
				
	$query = dbquery("Select * from ".$db_prefix."man_env order by envcat_id, env_id limit $rowstart, 5");	
	// Ausgabe Umfeld erweitern
	while ($data = dbarray($query))
	{
		$envcat = dbarray(dbquery("select * from ".$db_prefix."man_envcat where envcat_id=".$data['envcat_id']));
		echo '<tr>';
		echo '<td align="center" class="tbl1"><b>'.$data['env_name'].'</b></td>';
		echo '<td align="center" class="tbl1"><img src="img/env/'.$data['env_image'].'"></td>';
		echo '<td align="center" class="tbl1"><b>'.$envcat['envcat_name'].'</b></td>';
		echo '<td align="center" class="tbl1">'.stripslashes($data['env_descr']).'</td>';
		echo '<td align="center" class="tbl1"><b>'.number_format($data['env_price'], 2, ',', '.').'</b></td>';
		echo '<td align="center" class="tbl1"><b>'.$data['env_points'].'</b></td>';
		
		$eid = $data['env_id'];
		$chkusrenv = dbarray(dbquery("select * from ".$db_prefix."man_userenv where user_id=$user and env_id=$eid"));
		if (!isset($chkusrenv['user_id']))
			echo '<td align="center" class="tbl1"><a href="fussball_manager.php?act=buyenv&id='.$data['env_id'].'">'.$locale['man156'].'</a></td>';
		else
			echo '<td align="center" class="tbl1"></td>';
		echo '</tr>';
		$i++;	
	}
	echo '</table>';
	tablebreak();
	if ($i < 5) $i=5;
	if ($i >= 5) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,5,$rows,2,FUSION_SELF."?act=expandenv&")."\n</div>\n";
	// Ausgabe Umfeld erweitern
}
// Anzeige Umfeld erweitern

// Umfeldelement kaufen
if ($action == "buyenv")
{
	$id = isNum($_GET['id']) ? $_GET['id'] : 0;
	
	// Managerdaten
	$data_u = $data_man_user;
	$u_value = $data_u['user_value'];
	$u_points = $data_u['user_points'];
		
	// Umfeldelementdaten
	$query = dbquery("Select * from ".$db_prefix."man_env where env_id=$id");	
	$data = dbarray($query);
	$price = $data['env_price'];
	$points = $data['env_points'];
	$cat = $data['envcat_id'];
	
	// Schulden erlaubt?
	if ($data_config['allow_debts'] == 0)
	{
		// Genug Geld / Punkte?
		if ($u_value >= $price && $u_points >= $points)
		{
			$query = dbquery("delete from ".$db_prefix."man_userenv where user_id=$user and envcat_id=$cat");	
			$query = dbquery("insert into ".$db_prefix."man_userenv(user_id, envcat_id, env_id) values($user, $cat, $id)");	
			$query = dbquery("update ".$db_prefix."man_users set user_value=(user_value-$price) where user_id=$user");	
			fallback("fussball_manager.php?act=env");	
		}
		else fallback("fussball_manager.php?act=showerror&site=buyenv");
	}
	else
	{
		// Genug Punkte?
		if ($u_points >= $points)
		{
			$query = dbquery("delete from ".$db_prefix."man_userenv where user_id=$user and envcat_id=$cat");	
			$query = dbquery("insert into ".$db_prefix."man_userenv(user_id, envcat_id, env_id) values($user, $cat, $id)");	
			$query = dbquery("update ".$db_prefix."man_users set user_value=(user_value-$price) where user_id=$user");	
			fallback("fussball_manager.php?act=env");			
		}
		else fallback("fussball_manager.php?act=showerror&site=buyenv");
	}
}
// Ende Umfeldelement kaufen


// Umfeldelement abreissen
if ($action == "sellenv")
{
	$id = isNum($_GET['id']) ? $_GET['id'] : 0;
	$query = dbquery("Select * from ".$db_prefix."man_env where env_id=$id");	
	$data = dbarray($query);
	$query = dbquery("delete from ".$db_prefix."man_userenv where user_id=$user and env_id=$id");	
	fallback("fussball_manager.php?act=env");	
}
// Ende Umfeldelement abreissen

// Anzeige Spielstand
if ($action == "standings")
{
	if ($com_sel)
	{
		if ($com_sel == 0)
		{
			$result = dbquery("select * from ".$db_prefix."man_communities");	
		}
		else
				$result = dbquery("select * from ".$db_prefix."man_communities where com_id=$sel_com");	
		$data = dbarray($result);
		$com_name = $data['com_name'];
	}
	else
	{
		$result = dbquery("select * from ".$db_prefix."man_communities where com_id=$ucom");	
		$data = dbarray($result);
		$com_name = $data['com_name'];
	}
	
	
	// Communites einlesen
	$comlist = ""; $sel_c = "";
	$result_c = dbquery("SELECT * FROM ".$db_prefix."man_communities order by com_name");
	if (dbrows($result_c) != 0) 
	{
		while ($data_c = dbarray($result_c)) 
		{
			if (isset($sel_com)) $sel_c = ($sel_com == $data_c['com_id'] ? " selected" : "");
			$comlist .= "<option value='".$data_c['com_id']."'$sel_c>".$data_c['com_name']."</option>\n";
		}
	}
	// Ende Communities einlesen

	// Kopfzeile
	tablebreak();	
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man118']."</b></font><br>".$com_name."		
				<br>
				<form method='post'>
	<select name='sel_com'><option value='0'>".$locale['man837']."</option>".$comlist."</select>
	<input type='submit' name='com_sel' value='".$locale['man244']."' class='button'>
	</form>		
				</span></td></tr></table>";				
	tablebreak();
	
	echo "<table align='center' cellpadding='0' cellspacing='1'  class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1"></td>';
	echo '<td align="center" class="tbl1"></td>';
		echo '<td align="center" class="tbl1"><b>'.$locale['man119'].'</b></td>';
		echo '<td align="center" class="tbl1"><b>'.$locale['man120'].'</b></td>';
		echo '<td align="center" class="tbl1"><b>'.$locale['man106'].'</b></td>';
		echo '<td align="center" class="tbl1"><b>+/-</b></td>';
		echo '<td align="center" class="tbl1"><b>'.$locale['man104'].'</b></td>';
		echo '<td align="center" class="tbl1"><b>'.$locale['man832'].'</td>
		</tr>';

	if ($com_sel)
		if ($sel_com == 0)
			$query = dbquery("Select count(*) as count, d.user_id, user_trophy, user_name, user_teamname, sum(a.pl_value) as teamvalue, user_points, user_icon from 
			".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id 
			left join ".$db_prefix."man_users as d on b.pl_owner=d.user_id
			left join ".$db_prefix."users as c on d.user_id=c.user_id where b.pl_owner!=0 group by d.user_id order by user_points desc, teamvalue desc");
		else
			$query = dbquery("Select count(*) as count, d.user_id, user_trophy, user_name, user_teamname, sum(a.pl_value) as teamvalue, user_points, user_icon from 
			".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id 
			left join ".$db_prefix."man_users as d on b.pl_owner=d.user_id
			left join ".$db_prefix."users as c on d.user_id=c.user_id where b.pl_owner!=0 and d.user_com=$sel_com group by d.user_id order by user_points desc, teamvalue desc");
	else
		$query = dbquery("Select count(*) as count, d.user_id, user_trophy, user_name, user_teamname, sum(a.pl_value) as teamvalue, user_points, user_icon from 
		".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b on a.pl_id=b.pl_id 
		left join ".$db_prefix."man_users as d on b.pl_owner=d.user_id
		left join ".$db_prefix."users as c on d.user_id=c.user_id where b.pl_owner!=0 and d.user_com=$ucom group by d.user_id order by user_points desc, teamvalue desc");
		
	$result_maxdate = dbarray(dbquery("Select max(date) as max from ".$db_prefix."man_userhist limit 1"));
	$maxdate = $result_maxdate['max'];
		
	
		
	$i=1;		
	// Ausgabe Spielstand
	while ($data = dbarray($query))
	{
		$uid = $data['user_id'];
		
		$result_hist = dbquery("Select * from ".$db_prefix."man_userhist where user_id=$uid and date between ($maxdate-180) and ($maxdate+180)");
		$data_hist = dbarray($result_hist);
		if (!isset($data_hist['user_points'])) $data_hist['user_points'] = 0;
		
		if ($data_hist['user_points'] > 0) $color='#80FF80';
		if ($data_hist['user_points'] < 0) $color='#FF8000';
		if ($data_hist['user_points'] == 0) $color='#C0C0C0';
		
		$prflnk = BASEDIR."profile.php?lookup=".$uid;
		
		if ($data['user_icon'] != "")
			$icon = INFUSIONS."fussball_manager/img/users/".$data['user_icon'];
		else
			$icon = INFUSIONS."fussball_manager/left.gif";
		
		
		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo '<tr>';
		
		if ($data['user_trophy'] != 0)
		{
			$t_ro = $data['user_trophy'];
			$t_data = dbarray(dbquery("SELECT * FROM ".$db_prefix."man_trophy where trophy_id=$t_ro"));
			$trophy = INFUSIONS."fussball_manager/img/trophy/".$t_data['trophy_image'];
			echo '<td align="center" class="'.$cell.'"><img height="25" width="25" src="'.$trophy.'" title="'.$t_data['trophy_name'].'"></td>';
		}
		else
			echo '<td align="center" class="'.$cell.'"></td>';
		
		echo '<td align="center" class="'.$cell.'"><img height="35" width="35" src="'.$icon.'"></td>';
		if ($user != $uid)
			if (isset($sel_com) && ($sel_com != $ucom))
				echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=showteam&team='.$uid.'&com='.$sel_com.'" title="'.$locale['man168'].$data['user_teamname'].$locale['man169'].'">'.$data['user_teamname'].'</a></td>';
			else
				echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=showteam&team='.$uid.'&com='.$ucom.'" title="'.$locale['man168'].$data['user_teamname'].$locale['man169'].'">'.$data['user_teamname'].'</a></td>';
		else
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=myteam" title="'.$locale['man170'].'">'.$data['user_teamname'].'</a></td>';
		echo '<td align="center" class="'.$cell.'"><a href="'.$prflnk.'" title="'.$locale['man171'].$data['user_name'].$locale['man169'].'">'.$data['user_name'].'</a></td>';
		echo '<td align="center" class="'.$cell.'">'.$data['user_points'].'</td>';
		echo '<td align="center" bgcolor="'.$color.'">'.$data_hist['user_points'].'</td>';
		echo '<td align="right" class="'.$cell.'">'.number_format($data['teamvalue'], 2, ',', '.').' </td>';
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=userhist&id='.$data['user_id'].'" title="'.$locale['man832'].'"><img src="img/stat.gif" height="35" border="0"></a></td>
		</tr>';
		$i++;
	}
	echo '</table>';
// Ausgabe Spielstand
}
// Ende Anzeige Spielstand

// Angebot annehmen
if ($action == "acceptoffer")
{
	$data_p = $data_player_count;
	$count = $data_p['count'];
	
	// Anzahl Spieler OK?
	if ($count > $data_config['min_players'])
	{ 
		$offer = isNum($_GET['offer']) ? $_GET['offer'] : 0;
		$result = dbquery("select * from ".$db_prefix."man_offers where offer_id=$offer");	
		$data = dbarray($result);
		$offer_user = $data['user_id'];
		$offer_value = $data['offer'];
		
		$data_usr = dbarray(dbquery("select * from ".$db_prefix."man_users where user_id=$offer_user"));
		$count_owner = dbarray(dbquery("select count(*) as count from ".$db_prefix."man_plcom where com=$ucom and pl_owner=$offer_user"));		
			
		if ($count_owner['count'] < $data_config['max_players'])
		{
			if ($data_config['allow_debts'] == 0)
			{
				// Schulden?
				if ($data_usr['user_value'] >= $offer_value)
				{
					// Angebot lschen
					$result = dbquery("delete from ".$db_prefix."man_offers where offer_id=$offer");
					
					// Geld berweisen an Verkufer
					$result = dbquery("update ".$db_prefix."man_users set user_value=(user_value+$offer_value) where user_id=$user");
					
					// Geld abziehen von Kufer
					$result = dbquery("update ".$db_prefix."man_users set user_value=(user_value-$offer_value) where user_id=$offer_user");
					
					// Spieler transferieren
					$result = dbquery("update ".$db_prefix."man_plcom set pl_owner=$offer_user, pl_listed=0, pl_isset=0 where pl_id=$player and com=$ucom");		
					
					// Spielerdaten einlesen
					$result = dbquery("select * from ".$db_prefix."man_players where pl_id=$player");
					$data = dbarray($result);
					$pllnk = '<a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'">'.$data['pl_name'].'</a>';
					
					// Position ermitteln
					if ($data['pl_pos'] == "A") $pos=$locale['man121'];
					if ($data['pl_pos'] == "B") $pos=$locale['man122'];
					if ($data['pl_pos'] == "C") $pos=$locale['man123'];
					if ($data['pl_pos'] == "D") $pos=$locale['man124'];
			
					$data_u1 = $data_man_user;
					$name_u1 = $data_u1['user_teamname'];
				
					// Newsbeitrag schreiben
					if (isset($data_u1['user_id']))
						$t1lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u1['user_id'].'">'.$name_u1.'</a>';
					else
						$t1lnk = "<b>Computer</b>";
						
					$result_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=$offer_user");
					$data_u2 = dbarray($result_u2);
					$name_u2 = $data_u2['user_teamname'];
				
					if (isset($data_u2['user_id']))
						$t2lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u2['user_id'].'">'.$name_u2.'</a>';
					else
						$t2lnk = "<b>Computer</b>";
							
					$title = $data['pl_name'].' '.$locale['man129'];
					$text = $locale['man125'].' '.$pllnk.' ('.$pos.') '.$locale['man126'].' '.number_format($offer_value, 2, ',', '.').'  '.$locale['man127'].' '.$t1lnk.' '.$locale['man128'].' '.$t2lnk.'.';
					$stamp = time();
					$result = dbquery("insert into ".$db_prefix."man_news(com, news_title, news_text, news_datestamp) values($ucom, '$title', '$text', $stamp)");
					// Ende Newsbeitrag schreiben
					
					$query_upd4 = dbquery("insert into ".$db_prefix."man_transfers(com, pl_id, trans_from, trans_to, trans_val, trans_date)
					values($ucom, $player, $user, $offer_user, $offer_value, '$stamp')");
				}
			}
			else
			{
				// Angebot lschen
				$result = dbquery("delete from ".$db_prefix."man_offers where offer_id=$offer");
					
				// Geld berweisen an Verkufer
				$result = dbquery("update ".$db_prefix."man_users set user_value=(user_value+$offer_value) where user_id=$user");
					
				// Geld abziehen von Kufer
				$result = dbquery("update ".$db_prefix."man_users set user_value=(user_value-$offer_value) where user_id=$offer_user");
					
				// Spieler transferieren
				$result = dbquery("update ".$db_prefix."man_plcom set pl_owner=$offer_user, pl_listed=0, pl_isset=0 where pl_id=$player and com=$ucom");		
					
				// Spielerdaten einlesen
				$result = dbquery("select * from ".$db_prefix."man_players where pl_id=$player");
				$data = dbarray($result);
				$pllnk = '<a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'">'.$data['pl_name'].'</a>';
					
				// Position ermitteln
				if ($data['pl_pos'] == "A") $pos=$locale['man121'];
				if ($data['pl_pos'] == "B") $pos=$locale['man122'];
				if ($data['pl_pos'] == "C") $pos=$locale['man123'];
				if ($data['pl_pos'] == "D") $pos=$locale['man124'];
			
				$data_u1 = $data_man_user;
				$name_u1 = $data_u1['user_teamname'];
				
				// Newsbeitrag schreiben
				if (isset($data_u1['user_id']))
					$t1lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u1['user_id'].'">'.$name_u1.'</a>';
				else
					$t1lnk = "<b>Computer</b>";
						
				$result_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=$offer_user");
				$data_u2 = dbarray($result_u2);
				$name_u2 = $data_u2['user_teamname'];
				
				if (isset($data_u2['user_id']))
					$t2lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u2['user_id'].'">'.$name_u2.'</a>';
				else
					$t2lnk = "<b>Computer</b>";
							
				$title = $data['pl_name'].' '.$locale['man129'];
				$text = $locale['man125'].' '.$pllnk.' ('.$pos.') '.$locale['man126'].' '.number_format($offer_value, 2, ',', '.').'  '.$locale['man127'].' '.$t1lnk.' '.$locale['man128'].' '.$t2lnk.'.';
				$stamp = time();
				$result = dbquery("insert into ".$db_prefix."man_news(com, news_title, news_text, news_datestamp) values($ucom, '$title', '$text', $stamp)");
				// Ende Newsbeitrag schreiben
					
				$query_upd4 = dbquery("insert into ".$db_prefix."man_transfers(com, pl_id, trans_from, trans_to, trans_val, trans_date)
				values($ucom, $player, $user, $offer_user, $offer_value, '$stamp')");
			}
		}
		if ($data_config['sndpn'] == 1)
		{
			$sender = $data_u1['user_id'];
			// Send PN
			$time = time();
			$text = $locale['man125'].' '.$data['pl_name'].' ('.$pos.') '.$locale['man126'].' '.number_format($offer_value, 2, ',', '.').'  '.$locale['man127'].' '.$name_u1.' '.$locale['man128'].' '.$name_u2.'.';
			$result_sndmsg = dbquery("INSERT INTO ".$db_prefix."messages ( `message_id` , `message_to` , `message_from` , 
			`message_subject`, `message_message` , `message_smileys` , `message_read` , `message_datestamp` , `message_folder` )	
			VALUES ('', $offer_user, $sender, '$title', '$text', 'n', '0', $time, '0')");	
			// End Send PN
		}
	}
	fallback("fussball_manager.php?act=myteam");
}	
// Ende Angebot annehmen


// Anzeige News
if ($action == "news")
{
	//Kopfzeile
	tablebreak();	
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man130']."</b></font></span></td></tr></table>";
	tablebreak();	

	if (!isset($ucom)) $ucom=0;
	$result = dbquery("Select * from ".$db_prefix."man_news where com=$ucom or com=0 order by news_datestamp desc");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	$result_news = dbquery("Select * from ".$db_prefix."man_news where com=$ucom or com=0 order by news_datestamp desc limit $rowstart, 10");
	
	// Ausgabe News
	while ($data = dbarray($result_news))
	{
		$news_text = stripslashes($data['news_text']); // ? $data['news_text'] : $data['news_text']);
		$news_title = $data['news_title'];
		$news_id = $data['news_id'];

		echo "<table align='center' width='75%' cellpadding='1' cellspacing='0' border='0' class='tbl-border'>
					<tr><td class='tbl2' align='center' colspan='3'>
					<span class='small'><font size='2'><b>$news_title</b></font></span></td></tr>
					<tr><td class='tbl1' align='center' colspan='3'>$news_text</td></tr>
					<tr><td class='tbl1' align='center' colspan='1'>";
		echo $locale['man131']." ".showdate("longdate", $data['news_datestamp']);

		if (iADMIN) echo '<br><a href="fussball_manager_admin.php?act=edtnews&news='.$news_id.'"><img src="img/edit.png" border="0"></a><a href="fussball_manager.php?act=delnews&news='.$news_id.'"><img src="img/delete.png" border="0"></a>';
		echo '</td>';
		tablebreak();
		$i++;
	}
	tablebreak();
	if ($i < 10) $i=10;
	if ($i >= 10) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,2,FUSION_SELF."?act=news&")."\n</div>\n";
	// Ende Ausgabe News
}
// Ende Anzeige News


// News lschen
if ($action == "delnews")
{
	$news = isNum($_GET['news']) ? $_GET['news'] : 0;
	$result = dbquery("delete from ".$db_prefix."man_news where news_id=$news");
	fallback("fussball_manager.php?act=news");	
}
// Ende News lschen

// Angebot ablehnen
if ($action == "decloffer")
{
	$offer = isNum($_GET['offer']) ? $_GET['offer'] : 0;
		$result_o = dbquery("select * from ".$db_prefix."man_offers where offer_id=$offer");	
	$data_o = dbarray($result_o);
	$offer_user = $data_o['user_id'];
	$offer_value = $data_o['offer'];
	$player = $data_o['pl_id'];
		
	// Spielerdaten einlesen
	$result = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b
	on a.pl_id=b.pl_id where a.pl_id=$player and b.com=$ucom");
	$data = dbarray($result);
	$pllnk = $data['pl_name'];
	$pl_owner = $data['pl_owner'];
					
	// Position ermitteln
	if ($data['pl_pos'] == "A") $pos=$locale['man121'];
	if ($data['pl_pos'] == "B") $pos=$locale['man122'];
	if ($data['pl_pos'] == "C") $pos=$locale['man123'];
	if ($data['pl_pos'] == "D") $pos=$locale['man124'];
			
	$title = $locale['man184'].' '.$data['pl_name'].' '.$locale['man840'];
	$text = $locale['man839'].' '.$locale['man184'].' '.$pllnk.' ('.$pos.') ['.number_format($offer_value, 2, ',', '.').' ] '.$locale['man841'];
		
	if ($data_config['sndpn'] == 1)
	{
	// Send PN
	$time = time();
	//$text = "";
	$result_sndmsg = dbquery("INSERT INTO ".$db_prefix."messages ( `message_id` , `message_to` , `message_from` , 
	`message_subject`, `message_message` , `message_smileys` , `message_read` , `message_datestamp` , `message_folder` )	
	VALUES ('', $offer_user, $pl_owner, '$title', '$text', 'n', '0', $time, '0')");	
	// End Send PN
	}
	
	$result = dbquery("delete from ".$db_prefix."man_offers where offer_id=$offer");
	
	fallback(FUSION_SELF."?act=myteam");	
}
// Ende Angebot ablehnen

// Spieler sofort an Computer verkaufen
if ($action == "trans")
{
	$datum = getdate($data_config['date']);	
	// Aktuelles Datum
	$cdatum = time();
		
	// Spieler hchstens 11? / Datum OK?
	
	$result_pl = dbarray(dbquery("Select * from ".$db_prefix."man_plcom where pl_id=$player and com=$ucom"));
	if ($result_pl['pl_owner'] == $user)
	{
	
	$data_count = $data_player_count;
	$count = $data_count['count'];
	
	// Anzahl Spieler OK?
	if ($count > $data_config['min_players'])
	{
		// Spielerdaten auslesen
		$result = dbquery("select * from ".$db_prefix."man_players where pl_id=$player");
		$data = dbarray($result);
		$pllnk = '<b>'.$data['pl_name'].'</b>';
		$value = $data['pl_value']/100*90;
		
		// Position ermitteln		
		if ($data['pl_pos'] == "A") $pos=$locale['man121'];
		if ($data['pl_pos'] == "B") $pos=$locale['man122'];
		if ($data['pl_pos'] == "C") $pos=$locale['man123'];
		if ($data['pl_pos'] == "D") $pos=$locale['man124'];
	
		$data_u1 = $data_man_user;
		$name_u1 = $data_u1['user_teamname'];
		
		if ($result_pl['pl_isset'] == 0 || ($result_pl['pl_isset'] == 1 && $cdatum < $datum[0]))
		{
		
		// Newsbeitrag schreiben
		if (isset($data_u1['user_id']))
			$t1lnk = '<a href="fussball_manager.php?act=showteam&team='.$data_u1['user_id'].'">'.$name_u1.'</a>';
		else
			$t1lnk = "<b>Computer</b>";			
				
		$title = $data['pl_name'].' '.$locale['man129'];
		$text = $locale['man125'].' '.$pllnk.' ('.$pos.') '.$locale['man126'].' '.number_format($value, 2, ',', '.').'  '.$locale['man127'].' '.$t1lnk.' '.$locale['man128'].' <b>Computer</b>.';
		$stamp = time();
		$result = dbquery("insert into ".$db_prefix."man_news(com, news_title, news_text, news_datestamp) values($ucom, '$title', '$text', $stamp)");				
		// Ende Newsbeitrag schreiben
	
		// Angebote lschen
		$result = dbquery("delete from ".$db_prefix."man_offers where pl_id=$player");
	
		// Spieler transferieren
		$result = dbquery("update ".$db_prefix."man_plcom set pl_owner=0, pl_isset=0, pl_listed=0 where pl_id=$player and com=$ucom");
	
		// Geld an Verkufer berweisen
		$result = dbquery("update ".$db_prefix."man_users set user_value=(user_value+$value) where user_id=$user");
	
		$query_upd4 = dbquery("insert into ".$db_prefix."man_transfers(com, pl_id, trans_from, trans_to, trans_val, trans_date)
		values($ucom, $player, $user, 0, $value, '$stamp')");
		fallback(FUSION_SELF."?act=myteam");	
		}
		else
			fallback(FUSION_SELF."?act=myteam");	
		}
	else fallback("fussball_manager.php?act=showerror&site=myteam");
	}
		else fallback("fussball_manager.php?act=myteam");
}
// Ende Spieler sofort an Computer verkaufen

// Anzeige Bilanz
if ($action == "bilanz")
{	
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr><td class='tbl2' align='center' colspan='2'>
	<span class='small'><font size='3'><b>".$locale['man132']."</b></font></span></td></tr></table>";
	tablebreak();
	
	// Kosten ermitteln
	$query_pl = dbquery("select env_cost, env_name from ".$db_prefix."man_userenv as a left join ".$db_prefix."man_env as b 
	on a.env_id=b.env_id where user_id=$user and env_cost>0 group by b.env_id");
	
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl1' align='center' valign='top'>";
	
	// Ausgaben ausgeben
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man133']."</b></font></span></td></tr>";
	$suma = 0;
	while ($data_pl = dbarray($query_pl))
	{	
		$suma += $data_pl['env_cost'];
		echo '<tr><td align="right" class="tbl1">'.$data_pl['env_name'].'</td><td align="right" class="tbl1">'.number_format($data_pl['env_cost'], 2, ',', '.').' </td></tr>';
	}
	echo '<tr><td align="right" class="tbl1" colspan="2"><hr>'.number_format($suma, 2, ',', '.').' </td></tr>';
	echo '</table>';	
	echo "</td><td class='tbl1' align='center' valign='top'>";
	// Ende Ausgaben ausgeben
	
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man134']."</b></font></span></td></tr>";
				
	// Einnahmen ermitteln
	$query_pl = dbquery("select env_bmoney, env_name from ".$db_prefix."man_userenv as a left join ".$db_prefix."man_env as b 
	on a.env_id=b.env_id where user_id=$user and env_bmoney>0 group by b.env_id");
	$sume = 0;
	// Einnahmen ausgeben
	while ($data_pl = dbarray($query_pl))
	{
		$sume += $data_pl['env_bmoney'];
		echo '<tr><td align="right" class="tbl1">'.$data_pl['env_name'].'</td><td align="right" class="tbl1">'.number_format($data_pl['env_bmoney'], 2, ',', '.').' </td></tr>';
	}
	echo '<tr><td align="right" class="tbl1" colspan="2"><hr>'.number_format($sume, 2, ',', '.').' </td></tr>';
	echo '</table>';
	echo '<tr><td align="center" class="tbl1" colspan="2"><hr>'.number_format($sume-$suma, 2, ',', '.').' </td></tr>';
	echo '</table>';
	// Ende Einnahmen ausgeben
}
// Ende Anzeige Bilanz

// Angebote zurckziehen
if ($action == "rejectoffer")
{
	$offer_id = isNum($_GET['id']) ? $_GET['id'] : 0;
		$offer = dbarray(dbquery("select * from ".$db_prefix."man_offers where offer_id=$offer_id"));
	if ($offer['user_id'] == $user)
	{
		$pid = $offer['pl_id'];
		// Spielerdaten einlesen
		$result = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b
		on a.pl_id=b.pl_id where a.pl_id=$pid and b.com=$ucom");
		$data = dbarray($result);
		$pllnk = $data['pl_name'];
		$pl_owner = $data['pl_owner'];
		$offer_user = $data['offer_user'];
		$offer_value = $offer['offer'];
						
		// Position ermitteln
		if ($data['pl_pos'] == "A") $pos=$locale['man121'];
		if ($data['pl_pos'] == "B") $pos=$locale['man122'];
		if ($data['pl_pos'] == "C") $pos=$locale['man123'];
		if ($data['pl_pos'] == "D") $pos=$locale['man124'];
				
		$title = $locale['man184'].' '.$data['pl_name'].' '.$locale['man842'];
		$text = $locale['man184'].' '.$pllnk.' ('.$pos.') '.$locale['man842'].' ['.number_format($offer_value, 2, ',', '.').' ].';
		
		if ($data_config['sndpn'] == 1 && $pl_owner!=0)
		{
		// Send PN
		$time = time();
		//$text = "";
		$result_sndmsg = dbquery("INSERT INTO ".$db_prefix."messages ( `message_id` , `message_to` , `message_from` , 
		`message_subject`, `message_message` , `message_smileys` , `message_read` , `message_datestamp` , `message_folder` )	
		VALUES ('', $pl_owner, $user, '$title', '$text', 'n', '0', $time, '0')");	
		// End Send PN
		}
		
		$reject = dbquery("delete from ".$db_prefix."man_offers where offer_id=$offer_id");
	}
	fallback("fussball_manager.php?act=buy&pl_id=".$pid);

}
// Ende Angebote zurckziehen


// Anzeige Spielerdetails / Spieler angebot machen
if ($action == "buy")
{
	// erstes Angebot abgeben
	if ($setoffer)
	{
		$pid = isNum($_GET['pl_id']) ? $_GET['pl_id'] : 0;
		$offer = dbarray(dbquery("select * from ".$db_prefix."man_offers where com=$ucom and pl_id=$pid and user_id=$user"));
		if (!isset($offer['user_id']))
		{
			$get_val = dbarray(dbquery("select * from ".$db_prefix."man_players where pl_id=$pid"));
			$offer = isNum($_POST['offer']) ? $_POST['offer'] : "0";
		
			// Schulden erlaubt?
			if ($data_config['allow_debts'] == 0)
			{
				// Genug Geld?
				if (($data['user_value'] > 0) && ($data['user_value'] >= $offer))
				{
					// Angebot grer als 90% des Marktwertes?
					if ($offer >= ($get_val['pl_value']/100*90))
					$query1 = dbquery("insert into ".$db_prefix."man_offers(com, pl_id, user_id, offer) values($ucom, $player, $user, $offer)");
				}
				fallback("fussball_manager.php?act=buy&pl_id=".$player);
			}
			else
				// Angebot grer als 90% des Marktwertes?
				if ($offer >= ($get_val['pl_value']/100*90))
				$query1 = dbquery("insert into ".$db_prefix."man_offers(com, pl_id, user_id, offer) values($ucom, $player, $user, $offer)");
		}
		
			// Spielerdaten einlesen
	$result = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b
	on a.pl_id=b.pl_id where a.pl_id=$pid and b.com=$ucom");
	$data = dbarray($result);
	$pllnk = $data['pl_name'];
	$pl_owner = $data['pl_owner'];
					
	// Position ermitteln
	if ($data['pl_pos'] == "A") $pos=$locale['man121'];
	if ($data['pl_pos'] == "B") $pos=$locale['man122'];
	if ($data['pl_pos'] == "C") $pos=$locale['man123'];
	if ($data['pl_pos'] == "D") $pos=$locale['man124'];
	
		if ($pl_owner != 0)
		{		
			$title = $locale['man184'].' '.$data['pl_name'];
			$text = $locale['man184'].' '.$pllnk.' ('.$pos.') '.$locale['man843'].' ['.number_format($offer, 2, ',', '.').' ].';
			
			if ($data_config['sndpn'] == 1 && $pl_owner!=0)
			{
			// Send PN
			$time = time();
			//$text = "";
			$result_sndmsg = dbquery("INSERT INTO ".$db_prefix."messages ( `message_id` , `message_to` , `message_from` , 
			`message_subject`, `message_message` , `message_smileys` , `message_read` , `message_datestamp` , `message_folder` )	
			VALUES ('', $pl_owner, $user, '$title', '$text', 'n', '0', $time, '0')");	
			// End Send PN
			}
		}
	}
			
	// Angebot verbessern
	if ($updoffer)
	{
		$pid = isNum($_GET['pl_id']) ? $_GET['pl_id'] : 0;
		$get_val = dbarray(dbquery("select * from ".$db_prefix."man_players where pl_id=$pid"));
		$offer = isNum($_POST['offer']) ? $_POST['offer'] : "0";
		
		// Schulden erlaubt?
		if ($data_config['allow_debts'] == 0)
		{
			// Genug Geld?
			if (($data['user_value'] > 0) && ($data['user_value'] >= $offer))
			{
				// Angebot grer als 90% des Marktwertes?
				if ($offer >= ($get_val['pl_value']/100*90))
				$query1 = dbquery("update ".$db_prefix."man_offers set offer=$offer where pl_id=$player and user_id=$user and com=$ucom");
			}
		}
		else
			// Angebot grer als 90% des Marktwertes?
			if ($offer >= ($get_val['pl_value']/100*90))
			$query1 = dbquery("update ".$db_prefix."man_offers set offer=$offer where pl_id=$player and user_id=$user and com=$ucom");
	}
	
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man135']."</b></font></span></td></tr></table>";
		
	$query_pl = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b
	on a.pl_id=b.pl_id where a.pl_id=$player and b.com=$ucom");
	$data_pl = dbarray($query_pl);
	$player_v = $data_pl['pl_value'];
	$player_owner = $data_pl['pl_owner'];
	$player_team = $data_pl['pl_team'];
	$player_listed = $data_pl['pl_listed'];
		
	$query_t = dbquery("select * from ".$db_prefix."man_teams where team_id=$player_team");
	$data_t = dbarray($query_t);
	
	// Anzeige nur wenn Spieler von Computer auf Transferliste oder Spieler nicht von Computer
	if (($player_owner == 0 && $player_listed == 1) || ($player_owner != 0))
	{
		$query_user = dbquery("select * from ".$db_prefix."man_users where user_id=$player_owner");
		$data_user = dbarray($query_user);
		$user_team = $data_user['user_teamname'];
		if ($user_team == "") 
		{
			$user_team = "Computer";
			$team_string = $user_team;
		}
		else
		{
			if ($player_owner != $user)
				$team_string = '<a href="fussball_manager.php?act=showteam&team='.$player_owner.'" title="'.$locale['man168'].$user_team.$locale['man169'].'">'.$user_team.'</a>';
			else
				$team_string = '<a href="fussball_manager.php?act=myteam" title="'.$locale['man170'].'">'.$user_team.'</a>';
		}
		
		// Position ermitteln	
		if ($data_pl['pl_pos'] == "A") $pos=$locale['man121'];
		if ($data_pl['pl_pos'] == "B") $pos=$locale['man122'];
		if ($data_pl['pl_pos'] == "C") $pos=$locale['man123'];
		if ($data_pl['pl_pos'] == "D") $pos=$locale['man124'];
	
		tablebreak();
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
					<tr><td class='tbl1' align='center' valign='top'>";
	
		// Ausgabe Spielerdaten
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
					<tr><td class='tbl2' align='center' colspan='3'>
					<span class='small'><font size='3'><b>".$data_pl['pl_name']." (".$data_pl['pl_points'].")</b></font></span></td></tr>";
	
		if ($data_pl['pl_pic'] != "" && file_exists("img/players/big/".$data_pl['pl_pic'])) 
			$piclnk = "img/players/big/".$data_pl['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
		
		echo '<tr><td class="tbl1" align="center" rowspan="5"><img src="'.$piclnk.'"></td>
					<td align="right" class="tbl1"><b>'.$locale['man136'].'</b></td><td align="center" class="tbl1">'.$pos.'</td></tr>
					<tr><td align="right" class="tbl1"><b>'.$locale['man137'].'</b></td><td align="center" class="tbl1">'.$team_string.'</td></tr>';
		echo '<tr><td align="right" class="tbl1"><b>'.$locale['man138'].'</b></td>
					<td align="center" class="tbl1"><a href="'.$data_t['team_website'].'" target="_blank" title="'.$locale['man167'].'"><img src="img/teams/'.$data_t['team_logo'].'" border="0"><br>'.$data_t['team_name'];
		echo '<tr><td align="right" class="tbl1"><b>'.$locale['man139'].'</b></td><td align="center" class="tbl1">'.number_format($data_pl['pl_value'], 2, ',', '.').' </td></tr>';
		echo '</table>';
			// Ende Ausgabe Spielerdaten
	
		echo "</td><td class='tbl1' align='center' valign='top'>";

		// Angebote fr Spieler ermitteln
		$result_tbl1 = dbquery("select * from ".$db_prefix."man_offers where pl_id=$player and com=$ucom");
		$rows = dbrows($result_tbl1);
		
		// Ausgabe Angebote
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
					<tr><td class='tbl2' align='center' colspan='2'>
					<span class='small'><font size='3'><b>".$locale['man140']." ($rows)</b></font></span></td></tr>";

		$result_tbl1 = dbquery("select * from ".$db_prefix."man_offers as a left join ".$db_prefix."man_users as b on a.user_id=b.user_id 
		left join ".$db_prefix."users as c on b.user_id=c.user_id where pl_id=$player and com=$ucom");
		$rows = dbrows($result_tbl1);
		if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
		if ($rows != 0) $i=1; 

		if ($data_config['show_offers'] == 0)
			$query_offers = dbquery("select * from ".$db_prefix."man_offers as a left join ".$db_prefix."man_users as b on a.user_id=b.user_id 
			left join ".$db_prefix."users as c on b.user_id=c.user_id where pl_id=$player and com=$ucom LIMIT $rowstart,3"); //order by offer desc 
		else
			$query_offers = dbquery("select * from ".$db_prefix."man_offers as a left join ".$db_prefix."man_users as b on a.user_id=b.user_id 
			left join ".$db_prefix."users as c on b.user_id=c.user_id where pl_id=$player and com=$ucom order by offer desc LIMIT $rowstart,3"); //
		// Ausgabe
		while ($data_offers = dbarray($query_offers))
		{
			$prflnk = BASEDIR."profile.php?lookup=".$data_offers['user_id'];
			echo '<tr>';
			echo '<td align="center" class="tbl1" colspan="5"><b>';
			if ($data_offers['user_id'] != $user)
				echo '<a href="fussball_manager.php?act=showteam&team='.$data_offers['user_id'].'" title="'.$locale['man168'].$data_offers['user_teamname'].$locale['man169'].'">'.$data_offers['user_teamname'].'</a> </b>[<a href="'.$prflnk.'" title="'.$locale['man171'].$data_offers['user_name'].$locale['man169'].'">'.$data_offers['user_name'].'</a>]';
			else
				echo '<a href="fussball_manager.php?act=myteam" title="'.$locale['man170'].'">'.$data_offers['user_teamname'].'</a> </b>[<a href="'.$prflnk.'" title="'.$locale['man171'].$data_offers['user_name'].$locale['man169'].'">'.$data_offers['user_name'].'</a>]';
		
			// Angebote anderer Manager anzeigen?
			if ($data_config['show_offers'] == 1 || $data_offers['user_id'] == $user || $user == $player_owner)
				echo '<br>'.number_format($data_offers['offer'], 2, ',', '.').' ';
				
			// Optionen fr Spielerbesitzer
			if ($user == $player_owner)
			{
				echo '<br>';
				echo '<a href="fussball_manager.php?act=acceptoffer&pl_id='.$player.'&offer='.$data_offers['offer_id'].'" title="'.$locale['man172'].$data_offers['user_teamname'].$locale['man173'].'">'.$locale['man141'].'   </a>';
				echo '<a href="fussball_manager.php?act=decloffer&offer='.$data_offers['offer_id'].'" title="'.$locale['man172'].$data_offers['user_teamname'].$locale['man174'].'">   '.$locale['man142'].'</a></td>';
			}
			
			if ($data_offers['user_id'] == $user)
			{
				echo '<br><a href="fussball_manager.php?act=rejectoffer&id='.$data_offers['offer_id'].'" title="'.$locale['man184'].$data_pl['pl_name'].$locale['man185'].'">'.$locale['man179'].'</a>';
			}
			
			echo '</tr>';
			$i++;
		}
		echo '</table>';
		if ($i < 3) $i=3;
		if ($i >= 3) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,3,$rows,2,FUSION_SELF."?act=buy&pl_id=".$player."&")."\n</div>\n";
		// Ende Ausgabe Angebote
		
		echo '</td></tr></table>';
	
			// Maximales Gebote ermitteln
		$result_max = dbquery("select * from ".$db_prefix."man_offers where com=$ucom and pl_id=$player order by offer desc limit 1");
		$data_max = dbarray($result_max);
		$o_user = $data_max['user_id'];	 //echo $o_user; echo $data_max['max']; echo $data_max['offer_id'];
		
		$rows = dbrows($result_max);
		
		if ($data_config['show_offers'] == 1 || $player_owner == $user)
		{
		
		// Hchstes Angebot
		if ($rows != 0)
		{
			echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
						<tr><td class='tbl2' align='center' colspan='2'>
						<span class='small'><font size='3'><b>".$locale['man143']."</b></font></span></td></tr>";
		
			// Ausgabe max Gebot
			if (isset($o_user))	
			{
				$result_1 = dbquery("select * from ".$db_prefix."man_users where user_id=$o_user");
				$result_2 = dbquery("select * from ".$db_prefix."users as a where a.user_id=$o_user");
		
				$data = dbarray($result_1);
				$data2 = dbarray($result_2);
				$prflnk = BASEDIR."profile.php?lookup=".$o_user;
				echo '<tr>';
	
				echo '<td align="center" class="tbl1" colspan="5"><b>'; 
				if ($data_max['user_id'] != $user) 
					echo '<a href="fussball_manager.php?act=showteam&team='.$data_max['user_id'].'" title="'.$locale['man163'].$data['user_teamname'].$locale['man164'].'">'.$data['user_teamname'].'</a> </b>[<a href="'.$prflnk.'" title="'.$locale['man171'].$data2['user_name'].$locale['man169'].'">'.$data2['user_name'].'</a>]';	
				else
					echo '<a href="fussball_manager.php?act=myteam" title="'.$locale['man170'].'">'.$data['user_teamname'].'</a> </b>[<a href="'.$prflnk.'" title="'.$locale['man170'].'">'.$data2['user_name'].'</a>]';			
				
				if ($data_config['show_offers'] == 1 || $data_max['user_id'] == $user || $user == $player_owner)	
					echo '<br>'.number_format($data_max['offer'], 2, ',', '.').' ';
			
				if ($user == $player_owner) 
				{ 
					echo '<br>';
					echo '<a href="fussball_manager.php?act=acceptoffer&pl_id='.$player.'&offer='.$data_max['offer_id'].'" title="'.$locale['man172'].$data['user_teamname'].$locale['man173'].'">'.$locale['man141'].'   </a>'; 
					echo '<a href="fussball_manager.php?act=decloffer&offer='.$data_max['offer_id'].'" title="'.$locale['man172'].$data['user_teamname'].$locale['man174'].'">'.$locale['man142'].'</a></td>'; 
				} 
				
				if ($data_max['user_id'] == $user)
				{
					echo '<br><a href="fussball_manager.php?act=rejectoffer&id='.$data_max['offer_id'].'" title="'.$locale['man184'].$data_pl['pl_name'].$locale['man185'].'">'.$locale['man179'].'</a>';
				}
				
			}	
			echo '</td></tr></table>';
		}
		// Ende Ausgabe max Gebot
		}
		
		// Formular fr Gebotabgabe		
		
		// Spielerdaten einlesen
		$query_owner = dbquery("select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as b
		on a.pl_id = b.pl_id where a.pl_id=$player and b.com=$ucom");
		$data_owner = dbarray($query_owner);
		$owner = $data_owner['pl_owner'];
	
		// Prfen, ob schon Angebote vom Manager vorliegen
		$query_o = dbquery("select * from ".$db_prefix."man_offers where pl_id=$player and user_id=$user");
		$data_o = dbarray($query_o);
		$o = $data_o['user_id'];	
		$user_offer_value = $data_o['offer'];	
		$data_p = $data_player_count;
		$count = $data_p['count'];
		
		// Spieleranzahl OK?
		if (isset($data_man_user['user_id']))
		{
			if ($count < $data_config['max_players'])
			if ($user != $owner)
			{
				tablebreak();
				echo "<form method='post'><table align='center' width='25%' cellpadding='0' cellspacing='1' class='tbl-border'>
							<tr><td class='tbl2' align='center' colspan='2'>
							<span class='small'><font size='3'><b>".$locale['man144']."</b></font></span></td></tr>";
	
				if (isset($o))
					echo'<tr><td align="center" class="tbl1" colspan="2"><input type="text" size="9" maxlength="9" name="offer" value="'.number_format($user_offer_value, 0, '', '').'" class="textbox"></td></tr>';
				else
					echo'<tr><td align="center" class="tbl1" colspan="2"><input type="text" size="9" maxlength="9" name="offer" value="'.number_format($data_pl['pl_value'], 0, '', '').'" class="textbox"></td></tr>';
	
				if (isset($o))
					echo '<tr><td align="center" class="tbl1" colspan="2"><input type="submit" name="updoffer" value="'.$locale['man145'].'" class="button"></td>';
				else	
					echo '<tr><td align="center" class="tbl1" colspan="2"><input type="submit" name="setoffer" value="'.$locale['man146'].'" class="button"></td>';
				echo '</tr></table></form>';
			}
		}
	}
	
	tablebreak();
	
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1'  class='tbl-border'>";
	echo '<tr>';
	echo '<td valign="top" align="center" class="tbl1">';
	
	// Punktehistorie
	$result = dbquery("select * from ".$db_prefix."man_plhist where pl_id=$player order by date desc");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	if ($rows != 0)
	{
		tablebreak();
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
					<tr><td class='tbl2' align='center' colspan='2'>
					<span class='small'><font size='3'><b>".$locale['man832']."</b></font></span></td></tr>";
		tablebreak();
	
		echo "<table align='center' cellpadding='0' cellspacing='1'  class='tbl-border'>";
		echo '<tr>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man250'].'</b></td>';
		echo '<td align="center" class="tbl2"><b>'.$locale['man106'].'</b></td>';
		echo '</tr>';
		
		$result = dbquery("select * from ".$db_prefix."man_plhist where pl_id=$player order by date desc limit $rowstart, 5");
		while ($data = dbarray($result))
		{
			if ($data['pl_pkt'] > 0) $color='#80FF80';
			if ($data['pl_pkt'] < 0) $color='#FF8000';
			if ($data['pl_pkt'] == 0) $color='#C0C0C0';
			echo '<tr>';
			echo '<td align="center" class="tbl1">'.date("d. M Y ", $data['date']).'</td>';
			echo '<td bgcolor="'.$color.'" align="center" >'.$data['pl_pkt'].'</td>';
			echo '</tr>';
		}
		echo '</table>';
		tablebreak();
		if ($i < 5) $i=5;
		if ($i >= 5) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,5,$rows,2,FUSION_SELF."?act=buy&pl_id=".$player."&")."\n</div>\n";
	//		
	}
	echo '</td><td valign="top" align="center" class="tbl1">';
	
	
					
	$query = dbquery("select * from ".$db_prefix."man_transfers where pl_id=$player and com=$ucom order by trans_date desc");
	$rows = dbrows($query);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	if ($rows != 0)
	{
	// Transferhistorie
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man844']."</b></font></span></td></tr></table>";
	tablebreak();
	
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>
				<td align="center" class="tbl1"><b>'.$locale['man250'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man127'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man128'].'</b></td>
				<td align="center" class="tbl1"><b>'.$locale['man226'].'</b></td>
				</tr>';
	$query = dbquery("select * from ".$db_prefix."man_transfers where pl_id=$player and com=$ucom order by trans_date desc limit $rowstart, 3");
	
	// Ausgabe letzte Transfers
	while ($data = dbarray($query))
	{
		echo '<tr>';
		echo '<td align="center" class="tbl1">'.showdate("longdate", $data['trans_date']).'</td>';
		$from = $data['trans_from'];
		$query_u1 = dbquery("select * from ".$db_prefix."man_users where user_id=$from");
		$data_u1 = dbarray($query_u1);
		if (isset($data_u1['user_id'])) 
			$u1 = $data_u1['user_teamname'];
		else 
			$u1 = "Computer";
		echo '<td align="center" class="tbl1">'.$u1.'</td>';
		$to = $data['trans_to'];
		$query_u2 = dbquery("select * from ".$db_prefix."man_users where user_id=$to");
		$data_u2 = dbarray($query_u2);
		if (isset($data_u2['user_id'])) 
			$u2 = $data_u2['user_teamname'];
		else 
			$u2 = "Computer";
		echo '<td align="center" class="tbl1">'.$u2.'</td>';
		$pl = $data['pl_id'];
		$query_p = dbquery("select * from ".$db_prefix."man_players where pl_id=$pl");
		$data_p = dbarray($query_p);		
		echo '<td align="center" class="tbl1">'.number_format($data['trans_val'], 2, ',', '.').' </a></td>';
		echo '</tr>';
		$i++;
	}
	echo '</table>';
	tablebreak();
	if ($i < 3) $i=3;
	if ($i >= 3) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,3,$rows,2,FUSION_SELF."?act=buy&pl_id=".$player."&")."\n</div>\n";
	// Ende Ausgabe letzte Transfers
	}
	echo '</td></tr></table>';	
}
// Ende Anzeige Spielerdetails / Spieler angebot machen


// Spieler auf Transferliste setzen
if ($action == "sell")
{
	$data_pl = $data_player_count;
	$count = $data_pl['count'];
		
	// Spieleranzahl OK?
	if ($count > $data_config['min_players'])
		$query2 = dbquery("update ".$db_prefix."man_plcom set pl_listed=1 where pl_id=$player and pl_owner=$user and com=$ucom");
	else 
		fallback("fussball_manager.php?act=showerror&site=myteam");
	fallback("fussball_manager.php?act=myteam");
}
// Ende Spieler auf Transferliste setzen

// Spieler aufstellen
if ($action == "select")
{		
		// Anzahl aufgestellte Spieler ermitteln
		$query_pl = dbquery("select count(*) as count from ".$db_prefix."man_plcom where pl_owner=$user and com=$ucom and pl_isset=1");
		$data_pl = dbarray($query_pl);	
		$count = $data_pl['count']; 
		
		// Position des aufzustellenden Spielers ermitteln
		$query_pos = dbquery("select * from ".$db_prefix."man_players where pl_id=$player");
		$data_pos = dbarray($query_pos);	
		$pos = $data_pos['pl_pos'];
		
		// Mehr als 1 Torwart => FEHLER
		if ($pos == 'A')
		{
			$query_A = dbquery("select count(*) as count from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
			on a.pl_id=b.pl_id where a.pl_owner=$user and a.com=$ucom and a.pl_isset=1 and b.pl_pos='A'");
			$data_A = dbarray($query_A);
			if ($data_A['count'] >= 1)
				fallback("fussball_manager.php?act=showerror&site=myteam");
			else 
			{
				$ok = 1;
				$count++;
			}
		}
		
		// Mehr als 5 Abwehr => FEHLER
		if ($pos == 'B')
		{		
			$query_B = dbquery("select count(*) as count from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
			on a.pl_id=b.pl_id where a.pl_owner=$user and a.com=$ucom and a.pl_isset=1 and b.pl_pos='B'");
			$data_B = dbarray($query_B);
			if ($data_B['count'] >= 5)
				fallback("fussball_manager.php?act=showerror&site=myteam");
			else 
			{
				$ok = 1;
				$count++;
			}
		}
		
		// Mehr als 5 Mittelfeld => FEHLER
		if ($pos == 'C')
		{		
			$query_C = dbquery("select count(*) as count from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
			on a.pl_id=b.pl_id where a.pl_owner=$user and a.com=$ucom and a.pl_isset=1 and b.pl_pos='C'");
			$data_C = dbarray($query_C);
			if ($data_C['count'] >= 5)
				fallback("fussball_manager.php?act=showerror&site=myteam");
			else 
			{
				$ok = 1;
				$count++;
			}
		}
		
		// Mehr als 3 Sturm => FEHLER
		if ($pos == 'D')
		{		
			$query_D = dbquery("select count(*) as count from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
			on a.pl_id=b.pl_id where a.pl_owner=$user and a.com=$ucom and a.pl_isset=1 and b.pl_pos='D'");
			$data_D = dbarray($query_D);
			if ($data_D['count'] >= 3)
				fallback("fussball_manager.php?act=showerror&site=myteam");
			else 
			{
				$ok = 1;
				$count++;
			}
		}
		
		// Sperre fr Aufstellung		
		$datum = getdate($data_config['date']);
		// Aktuelles Datum
		$cdatum = time();
		
		// Spieler hchstens 11? / Datum OK?
		if ($count <= 11 && $ok == 1 && ($cdatum < $datum[0]))
		{
			$query2 = dbquery("update ".$db_prefix."man_plcom set pl_isset=1 where pl_id=$player and pl_owner=$user and com=$ucom");
			fallback("fussball_manager.php?act=myteam");
		}
		else 
			fallback("fussball_manager.php?act=showerror&site=myteam");
}
// Spieler aufstellen

// Anzeige Fehlermeldung
if ($action == "showerror")
{	
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3 '><b>".$locale['man845']."</b></font></span></td></tr></table>";	
	tablebreak();	
	
	$site = stripinput($_GET['site']);
	if ($site == "myteam")
	{
		echo $locale['man501'];
	}
	
	if ($site == "buyenv")
	{
		echo $locale['man502'];
		$site = "expandenv";
	}
	echo '<a href="fussball_manager.php?act='.$site.'">'.$locale['man503'].'</a></center>';
}
// Ende Anzeige Fehlermeldung

// Spieler auf die Bank setzen
if ($action == "deselect")
{	
	// Sperre fr Aufstellung	
	$datum = getdate($data_config['date']);
	// Aktuelles Datum
	$cdatum = time();
	
	// Datum OK?
	if ($cdatum < $datum[0])
	{
		$query2 = dbquery("update ".$db_prefix."man_plcom set pl_isset=0 where pl_id=$player and pl_owner=$user and com=$ucom");
		fallback("fussball_manager.php?act=myteam");
	}
	else 
		fallback("fussball_manager.php?act=showerror&site=myteam");
}
// Ende Spieler auf die Bank setzen


// Spieler von Transferliste nehmen
if ($action == "getback")
{		
		$query2 = dbquery("update ".$db_prefix."man_plcom set pl_listed=0 where pl_id=$player and pl_owner=$user and com=$ucom");
		fallback(FUSION_SELF."?act=myteam");
}
// Ende Spieler von Transferliste nehmen

// Mannschaft zulosen (wird bei Anmeldung ausgefhrt)
if ($action == "setteam")
{
	// Prfen ob Manager bereits vorhanden
	$query_c = dbquery("select * from ".$db_prefix."man_plcom where pl_owner=$user");
	$count = dbrows($query_c);
	
	if ($count == 0)
	{	
		// 2 Keeper zulosen
		//$query = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b
		//on a.pl_id=b.pl_id where a.com=$ucom and a.pl_owner=0 and a.pl_listed=0 and b.pl_pos='A'");
		
		$query = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
		on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$ucom and a.pl_owner=0 
		and a.pl_listed=0 and b.pl_pos='A' and c.team_act=1");	
	
				
		while ($array = dbarray($query))
			$playerk[] = $array['pl_id'];
		srand((double)microtime() * 1000000);
  	$zufall = array_rand($playerk, 2);
  	for($x=0;$x<count($zufall);$x++)
  	{
  		$pl = $playerk[$zufall[$x]];     
    	echo $playerk[$zufall[$x]];      
    	$query2 = dbquery("update ".$db_prefix."man_plcom set pl_owner=$user where com=$ucom and pl_id=$pl");
 		} 
 		// Ende 2 Keeper zulosen


		// 5 Defender zulosen
		//$query = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b
		//on a.pl_id=b.pl_id where a.com=$ucom and a.pl_owner=0 and a.pl_listed=0 and b.pl_pos='B'");
		
		$query = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
		on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$ucom and a.pl_owner=0 
		and a.pl_listed=0 and b.pl_pos='B' and c.team_act=1");	
		//and a.pl_listed=0 and b.pl_pos='B' and c.team_name not in('2.Liga', '3.Liga', 'Ausland', 'Karriereende', 'Alemannia Aachen', 'FSV Mainz 05', 'Borussia Mnchengladbach')");	
		
		
		//$query = dbquery("select * from ".$db_prefix."man_plcom where com=$ucom and pl_owner=0 and pl_listed=0  and pl_pos='B'");
		while ($array = dbarray($query))
			$playerd[] = $array['pl_id'];
		srand((double)microtime() * 1000000);
  	$zufall = array_rand($playerd, 5);
  	for($x=0;$x<count($zufall);$x++)
  	{
	  	$pl = $playerd[$zufall[$x]];     
  	  echo $playerd[$zufall[$x]];     
      $query2 = dbquery("update ".$db_prefix."man_plcom set pl_owner=$user where com=$ucom and pl_id=$pl");
 		} 
 		// Ende 5 Defender zulosen

		// 5 Midfielder zulosen 
		//$query = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b
		//on a.pl_id=b.pl_id where a.com=$ucom and a.pl_owner=0 and a.pl_listed=0 and b.pl_pos='C'");
		
		$query = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
		on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$ucom and a.pl_owner=0 
		and a.pl_listed=0 and b.pl_pos='C' and c.team_act=1");	
		
		//$query = dbquery("select * from ".$db_prefix."man_plcom where com=$ucom and pl_owner=0 and pl_listed=0  and pl_pos='C'");
		while ($array = dbarray($query))
			$playerm[] = $array['pl_id'];
		srand((double)microtime() * 1000000);
  	$zufall = array_rand($playerm, 5);
  	for($x=0;$x<count($zufall);$x++)
  	{
  		$pl = $playerm[$zufall[$x]];     
    	echo $playerm[$zufall[$x]];     
    	$query2 = dbquery("update ".$db_prefix."man_plcom set pl_owner=$user where com=$ucom and pl_id=$pl");
 		} 
 		// Ende 5 Midfielder zulosen

		// 4 Striker zulosen
		//$query = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b
		//on a.pl_id=b.pl_id where a.com=$ucom and a.pl_owner=0 and a.pl_listed=0 and b.pl_pos='D'");
		
		$query = dbquery("select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b 
		on a.pl_id=b.pl_id left join ".$db_prefix."man_teams as c on b.pl_team=c.team_id where a.com=$ucom and a.pl_owner=0 
		and a.pl_listed=0 and b.pl_pos='D' and c.team_act=1");	
		
		//$query = dbquery("select * from ".$db_prefix."man_plcom where com=$ucom and pl_owner=0  and pl_listed=0 and pl_pos='D'");
		while ($array = dbarray($query))
			$players[] = $array['pl_id'];
		srand((double)microtime() * 1000000);
  	$zufall = array_rand($players, 4);
  	for($x=0;$x<count($zufall);$x++)
  	{
  		$pl = $players[$zufall[$x]];     
    	echo $players[$zufall[$x]];     
    	$query2 = dbquery("update ".$db_prefix."man_plcom set pl_owner=$user where com=$ucom and pl_id=$pl");
 		} 
 		// Ende 4 Striker zulosen
 	}
 	
 	
 	$usr_data = dbarray(dbquery("select * from ".$db_prefix."man_users as a left join ".$db_prefix."users as b 
 	on a.user_id=b.user_id where b.user_id=$user"));
 	
 	$usr = BASEDIR."profile.php?lookup=".$usr_data['user_id'];
 	$team = INFUSIONS."fussball_manager/fussball_manager.php?act=showteam&team=".$usr_data['user_id'];
 	$title = 'Neuer Manager';
 	$text = '<a href="'.$usr.'">'.$usr_data['user_name'].'</a> [<a href="'.$team.'">'.$usr_data['user_teamname'].'</a>] nimmt am Spiel teil.';
 	
	$stamp = time();
	$result = dbquery("insert into ".$db_prefix."man_news(com, news_title, news_text, news_datestamp) values($ucom, '$title', '$text', $stamp)");
 	
	fallback("fussball_manager.php");
}
// Ende Mannschaft zulosen (wird bei Anmeldung ausgefhrt)

// Anzeige Mein Team
if ($action == "myteam")
{
	// Sperre fr Aufstellung
	$datum = getdate($data_config['date']);
	
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
				<tr><td class='tbl2' align='center' colspan='2'>
				<span class='small'><font size='3'><b>".$locale['man147']."</b></font>
				<br>".$locale['man155']." ".$datum['mday'].".".$datum['mon'].".".$datum['year']." - ".$datum['hours'].":".$datum['minutes']."
				<br><b><font color='red'><a href='fussball_manager.php?act=alt'><u>>> Visuelle Aufstellung <<</u></a></font></b></span></td></tr></table>";
	tablebreak();
	
	$result_tbl = dbquery("Select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as c on a.pl_id=c.pl_id
	left join ".$db_prefix."man_teams as b on a.pl_team=b.team_id
	where c.pl_owner=$user and c.com=$ucom order by c.pl_isset desc, a.pl_pos, a.pl_name");	
	
	// TAbellenberschirft
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1" colspan="3"><b>'.$locale['man148'].'</b></td>';
	echo '<td align="center" class="tbl1"></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man138'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man139'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man149'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>+/-</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man150'].'</b></td>';
	echo '<td align="center" class="tbl1" colspan="4"><b>'.$locale['man151'].'</b></td>';
	
	$i=1;	$j=0;
	
	// Ausgabe Spieler
	while ($data = dbarray($result_tbl))
	{
		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		if ($data['pl_isset'] == 0 && $j==0) 
		{
			echo '<tr><td align="center" colspan="14" class="'.$cell.'"></td></tr>';		
			$j=1;
		}
		
		$pid = $data['pl_id'];
		
		// Prfen ob Angebote vorliegen
		$result_off = dbquery("Select count(*) as count from ".$db_prefix."man_offers where com=$ucom and pl_id=$pid");	
		$data_off = dbarray($result_off);
		
		$result_maxdate = dbarray(dbquery("Select max(date) as max from ".$db_prefix."man_plhist limit 1"));
		$maxdate = $result_maxdate['max'];
		
		$result_hist = dbquery("Select * from ".$db_prefix."man_plhist where pl_id=$pid and date between ($maxdate-180) and ($maxdate+180)");
		$data_hist = dbarray($result_hist);
		if (!isset($data_hist['pl_pkt'])) $data_hist['pl_pkt'] = 0;
		
		// Position ermitteln
		if ($data['pl_pos'] == "A") {$pos=$locale['man121']; $color="#C0C0C0"; }
		if ($data['pl_pos'] == "B") {$pos=$locale['man122']; $color="#80FF80"; }
		if ($data['pl_pos'] == "C") {$pos=$locale['man123']; $color="#0080FF"; }
		if ($data['pl_pos'] == "D") {$pos=$locale['man124']; $color="#FF8000"; }
		
		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo '<tr>';
		
		// Angebote ?
		if ($data_off['count'] > 0)
			echo '<td align="center" class="'.$cell.'"><img src="img/mail.gif" height="16" title="'.$data['pl_name'].$locale['man181'].'"></td>';
		else
			echo '<td align="center" class="'.$cell.'"></td>';
		
		// Aufgestellt?
		if ($data['pl_isset'] == 1)
			echo '<td align="center" class="'.$cell.'"><img src="img/up.gif" height="16" title="'.$data['pl_name'].$locale['man419'].'"></td>';
		else
			echo '<td align="center" class="'.$cell.'"><img src="img/down.gif" height="16" title="'.$data['pl_name'].$locale['man420'].'"></td>';
		
		// Auf Transferliste
		if ($data['pl_listed'] == 1)
			echo '<td align="center" class="'.$cell.'"><img src="img/liste.gif" height="16" title="'.$data['pl_name'].$locale['man166'].'"></td>';
		else
			echo '<td align="center" class="'.$cell.'"></td>';
		
		// Spielerbild
		if ($data['pl_pic'] != "" && file_exists("img/players/big/".$data['pl_pic'])) 
			$piclnk = "img/players/big/".$data['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
			
		echo '<td align="center" class="'.$cell.'"><img height="26" src="'.$piclnk.'"></td>';
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'">'.$data['pl_name'].'</a></td>';
		echo '<td align="center" class="'.$cell.'"><a href="'.$data['team_website'].'" target="_blank"><img src="img/teams/'.$data['team_logo'].'" border="0" title="'.$locale['man167'].'"></a></td>';
		echo '<td align="right" class="'.$cell.'">'.number_format($data['pl_value'], 2, ',', '.').' </td>';
		echo '<td align="center" class="'.$cell.'">'.$data['pl_points'].'</td>';
		echo '<td align="center" class="'.$cell.'">('.$data_hist['pl_pkt'].')</td>';
		echo '<td align="center" bgcolor="'.$color.'">'.$pos.'</td>';
		
		// Aufgestellt?
		if ($data['pl_isset'] == 0)
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=select&pl_id='.$data['pl_id'].'"><img src="img/up.gif" border="0" title="'.$data['pl_name'].$locale['man200'].'"></a></td>';
		else 
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=deselect&pl_id='.$data['pl_id'].'"><img src="img/down.gif" border="0" title="'.$data['pl_name'].$locale['man182'].'"></a></td>';

		// Auf Transferliste
		if ($data['pl_listed'] == 0)
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=sell&pl_id='.$data['pl_id'].'"><img src="img/liste.gif" border="0" title="'.$data['pl_name'].$locale['man161'].'"></a></td>';
		else
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=getback&pl_id='.$data['pl_id'].'"><img src="img/back.gif" border="0" title="'.$data['pl_name'].$locale['man162'].'"></a></td>';
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'"><img src="img/lupe.gif" border="0" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'"></a></td>';		
		
		// Aktuelles Datum
		$cdatum = time();
		
		// Spieler hchstens 11? / Datum OK?
		if ($cdatum < $datum[0] || $data['pl_isset'] == 0)
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=trans&pl_id='.$data['pl_id'].'" onclick="return Sicherheitsabfrage(this);"><img src="img/computer.gif" border="0" title="'.$data['pl_name'].$locale['man165'].'"></a></td>';		
		else
			echo '<td align="center" class="'.$cell.'"></td>';
		echo '</tr>';
		$i++;
	}
	echo '</table>';
	// Ende Ausgabe Spieler
}
// Ende Anzeige Mein Team

// Anzeige Team anderer Manager
if ($action == "showteam")
{
	$team = isNum($_GET['team']) ? $_GET['team'] : 0;
	$ocom = isNum($_GET['com']) ? $_GET['com'] : 0;
	
	if (isset($ocom))
	{
		if ($ocom == 0)
		{
			$result = dbarray(dbquery("Select * from ".$db_prefix."man_users where user_id=$team"));	
			$ocom = $result['user_com'];
		}
		$result_team = dbquery("Select * from ".$db_prefix."man_users where user_com=$ocom and user_id=$team");	
	}
	else
		$result_team = dbquery("Select * from ".$db_prefix."man_users where user_com=$ucom and user_id=$team");	
	$data_team = dbarray($result_team);
	$sp_id = $data_team['user_sponsor'];
	
	if ($data_team['user_icon'] != "")
		$icon = INFUSIONS."fussball_manager/img/users/".$data_team['user_icon'];
	else
		$icon = INFUSIONS."fussball_manager/left.gif";
	
	
	if ($sp_id != 0)
	{
		$result_spon = dbquery("Select * from ".$db_prefix."man_sponsors where sp_id=$sp_id");	
		$data_spon = dbarray($result_spon);
		
		// Kopfzeile
		tablebreak();
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
		<tr>
		<td class='tbl2' align='center' colspan='2'>
		<img width='35' height='35' src='".$icon."'>
		</td>
		<td class='tbl2' align='center' colspan='2'>
		<span class='small'><font size='3'><b>".$data_team['user_teamname']."</b></font><br>sponsored by<br>
		<a href='".$data_spon['sp_website']."' target='_blank'>
		<img border='0' src='img/sponsors/".$data_spon['sp_banner']."' title='".$locale['man167']."'></a>
		</span></td>
		<td class='tbl2' align='center' colspan='2'>
		<img width='35' height='35' src='".$icon."'>
		</td>
		</tr></table>";
		tablebreak();
	}
	else
	{
		// Kopfzeile
		tablebreak();
		echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'>
		<tr>
		<td class='tbl2' align='center' colspan='2'>
		<img width='35' height='35' src='".$icon."'>
		</td>
		<td class='tbl2' align='center' colspan='2'>
		<span class='small'><font size='3'><b>".$data_team['user_teamname']."</b></font>
		</span></td>
		<td class='tbl2' align='center' colspan='2'>
		<img width='35' height='35' src='".$icon."'>
		</td>
		</tr></table>";
		tablebreak();
	}
	
	if (isset($ocom) && $ocom != 0)
	$result_tbl = dbquery("Select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as c
	on a.pl_id=c.pl_id left join ".$db_prefix."man_teams as b on a.pl_team=b.team_id
	where c.pl_owner=$team and c.com=$ocom order by a.pl_pos, c.pl_isset desc, a.pl_pos, a.pl_name");	
	
	else
	$result_tbl = dbquery("Select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as c
	on a.pl_id=c.pl_id left join ".$db_prefix."man_teams as b on a.pl_team=b.team_id
	where c.pl_owner=$team and c.com=$ucom order by a.pl_pos, c.pl_isset desc, a.pl_pos, a.pl_name");	
	
	// Tabellenberschrift
	echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1"></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man138'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man139'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man149'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>+/-</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man150'].'</b></td>';
	if (isset($ocom) && ($ocom == $ucom))
	echo '<td align="center" class="tbl1" colspan="2"><b>'.$locale['man151'].'</b></td>';
	
	$i=1;	
	// Ausgabe Spieler
	while ($data = dbarray($result_tbl))
	{		
		// Position ermitteln
		if ($data['pl_pos'] == "A") {$pos=$locale['man121']; $color="#C0C0C0"; }
		if ($data['pl_pos'] == "B") {$pos=$locale['man122']; $color="#80FF80"; }
		if ($data['pl_pos'] == "C") {$pos=$locale['man123']; $color="#0080FF"; }
		if ($data['pl_pos'] == "D") {$pos=$locale['man124']; $color="#FF8000"; }
		
		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		echo '<tr>';		
		
				// Spielerbild
		if ($data['pl_pic'] != "" && file_exists("img/players/big/".$data['pl_pic'])) 
			$piclnk = "img/players/big/".$data['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
			
		$result_maxdate = dbarray(dbquery("Select max(date) as max from ".$db_prefix."man_plhist limit 1"));
		$maxdate = $result_maxdate['max'];
		
		$result_hist = dbquery("Select * from ".$db_prefix."man_plhist where pl_id=".$data['pl_id']." and date between ($maxdate-180) and ($maxdate+180)");
		$data_hist = dbarray($result_hist);
		if (!isset($data_hist['pl_pkt'])) $data_hist['pl_pkt'] = 0;
			
			
		echo '<td align="center" class="'.$cell.'"><img height="26" src="'.$piclnk.'"></td>';		
		if (isset($ocom) && ($ocom == $ucom))
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'">'.$data['pl_name'].'</a></td>';
		else
		echo '<td align="center" class="'.$cell.'">'.$data['pl_name'].'</td>';
		echo '<td align="center" class="'.$cell.'"><a href="'.$data['team_website'].'" target="_blank"><img src="img/teams/'.$data['team_logo'].'" border="0" title="'.$locale['man167'].'"></a></td>';
		echo '<td align="right" class="'.$cell.'">'.number_format($data['pl_value'], 2, ',', '.').' </td>';
		echo '<td align="center" class="'.$cell.'">'.$data['pl_points'].'</td>';
		echo '<td align="center" class="'.$cell.'">'.$data_hist['pl_pkt'].'</td>';
		echo '<td align="center" bgcolor="'.$color.'">'.$pos.'</td>';
		
		
		
		if (isset($ocom) && ($ocom == $ucom))
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'"><img src="img/lupe.gif" border="0" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'"></a></td>';
		$i++;
	}
	echo '</table>';
	// Ende Ausgabe Spieler
}
// Ende Anzeige Team anderer Manager

// Anzeige Transfermarkt
if ($action == "transfer")
{
	// Kopfzeile
	tablebreak();
	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl-border'> <tr><td class='tbl2' align='center' colspan='2'> 
				<span class='small'><font size='3'><b>".$locale['man153']."</b></font></span></td></tr></table>"; 

	echo "<table align='center' width='75%' cellpadding='0' cellspacing='1' class='tbl1'> <tr><form method='POST' action='fussball_manager.php?act=transfer'>";
				if (isset($_POST['A']))
					echo "<td><input type='checkbox' name='A' checked>".$locale['man121']."</td>";
				else
					echo "<td><input type='checkbox' name='A'>".$locale['man121']."</td>";
				
				if (isset($_POST['B']))	
					echo "<td><input type='checkbox' name='B' checked>".$locale['man122']."</td>";
				else
					echo "<td><input type='checkbox' name='B'>".$locale['man122']."</td>";
					
				if (isset($_POST['C']))	
					echo "<td><input type='checkbox' name='C' checked>".$locale['man123']."</td>";
				else
					echo "<td><input type='checkbox' name='C'>".$locale['man123']."</td>";
				
				if (isset($_POST['D']))	
					echo "<td> <input type='checkbox' name='D' checked>".$locale['man124']."</td>";
				else 
					echo "<td> <input type='checkbox' name='D'>".$locale['man124']."</td>";
				echo "<td align='center'><input type='submit' name='fil' value='".$locale['man612']."' class='button'></td>
				<td align='center'><input type='submit' name='ALL' value='".$locale['man837']."' class='button'></td>
				<td align='center'><input type='submit' name='Com' value='Nur Computer' class='button'></td>
				<td align='center'><input type='submit' name='Man' value='".$locale['man411']."' class='button'></td></form></tr></table>"; 
	tablebreak(); 
	
	if ($A) $filter ="'A'";
	if ($B) $filter ="'B'";
	if ($C) $filter ="'C'";
	if ($D) $filter ="'D'";
	
	if ($A && $B) $filter ="'A','B'";
	if ($A && $C) $filter ="'A','C'";
	if ($A && $D) $filter ="'A','D'";
	if ($B && $C) $filter ="'B','C'";
	if ($B && $D) $filter ="'B','D'";
	if ($C && $D) $filter ="'C','D'";
	
	if ($A && $B && $C) $filter ="'A','B','C'";
	if ($A && $C && $D) $filter ="'A','C','D'";
	if ($B && $C && $D) $filter ="'B','C','D'";
	
	if ($A && $B && $C && $D) $filter ="'A','B','C','D'";
	if ($A || $B || $C || $D) {
		$lim = ""; 
		$owner = ">=0";
	}
	else {
		$lim = "limit ".$rowstart.", 10"; 
		$filter ="'A','B','C','D'";
		$owner = ">=0";
	}
	
	if ($ALL){
		$lim = "limit ".$rowstart.", 10"; 
		$filter ="'A','B','C','D'";
		$owner = ">=0";
	}
	
	if ($Com){
		$lim = ""; 
		$filter ="'A','B','C','D'";
		$owner = "=0";
	}
	
	if ($Man){
		$lim = ""; 
		$filter ="'A','B','C','D'";
		$owner = "!=0";
	}
	
	// Aufgefhrte Spieler ermitteln
	$result_tbl = dbquery("Select * from ".$db_prefix."man_plcom as a left join ".$db_prefix."man_players as b on a.pl_id=b.pl_id
	where b.pl_pos IN($filter) and a.pl_owner".$owner." and a.com=$ucom and a.pl_listed=1 order by b.pl_pos");	
	$rows = dbrows($result_tbl);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	if ($A || $B || $C || $D) {
		$lim = ""; 
		$owner = ">=0";
	}
	else {
		$lim = "limit ".$rowstart.", 10"; 
		$filter ="'A','B','C','D'";
		$owner = ">=0";
	}
	if ($ALL)
	{
		$lim = "limit ".$rowstart.", 10"; 
		$filter ="'A','B','C','D'";
		$owner = ">=0";
	}
	
		if ($Com){
		$lim = ""; 
		$filter ="'A','B','C','D'";
		$owner = "=0";
	}
	
	if ($Man){
		$lim = ""; 
		$filter ="'A','B','C','D'";
		$owner = "!=0";
	}
	
	// Tabellenberschrift	
	echo "<table align='center' cellpadding='0' cellspacing='1'  class='tbl-border'>";
	echo '<tr>';
	echo '<td align="center" class="tbl1"><b></b></td>';
	echo '<td align="center" class="tbl1"><b></b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man111'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man138'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man139'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man149'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man150'].'</b></td>';
	echo '<td align="center" class="tbl1"><b>'.$locale['man152'].'</b></td>';
	echo '<td align="center" class="tbl1"><b></b></td><td align="center" class="tbl1"><b></b></td></tr>';
	

	$i=0;	
	$result_trans = dbquery("Select * from ".$db_prefix."man_players as a left join ".$db_prefix."man_plcom as c on a.pl_id=c.pl_id
	left join ".$db_prefix."man_teams as b on a.pl_team=b.team_id where a.pl_pos IN($filter) and c.pl_owner".$owner." and c.pl_listed=1 and c.com=$ucom order by a.pl_pos $lim");	
	
	// Ausgabe Transfermarkt
	while ($data = dbarray($result_trans))
	{	
		echo '<tr>';
		$cell= ($i % 2 == 0 ? "tbl1" : "tbl2");
		$pid = $data['pl_id'];
		
		// Prfen, ob Angebote vorliegen
		$result_off = dbquery("Select count(*) as count from ".$db_prefix."man_offers where com=$ucom and pl_id=$pid");	
		$data_off = dbarray($result_off);
		
		// Angebote?
		if ($data_off['count'] > 0)
			echo '<td align="center" class="'.$cell.'"><img src="img/mail.gif" title="'.$data['pl_name'].$locale['man181'].'"></td>';
		else
			echo '<td align="center" class="'.$cell.'"></td>';
		
		$player_owner = $data['pl_owner'];
		$query_user = dbquery("select * from ".$db_prefix."man_users where user_id=$player_owner");
		$data_user = dbarray($query_user);
	
		$user_team = $data_user['user_teamname'];
		if ($user_team == "") $user_team = "Computer";
		
		// Position ermitteln
		if ($data['pl_pos'] == "A") {$pos=$locale['man121']; $color="#C0C0C0"; }
		if ($data['pl_pos'] == "B") {$pos=$locale['man122']; $color="#80FF80"; }
		if ($data['pl_pos'] == "C") {$pos=$locale['man123']; $color="#0080FF"; }
		if ($data['pl_pos'] == "D") {$pos=$locale['man124']; $color="#FF8000"; }
		
		if ($data['pl_pic'] != "" && file_exists("img/players/big/".$data['pl_pic'])) 
			$piclnk = "img/players/big/".$data['pl_pic'];
		else 
			$piclnk = "img/players/big/noimage.jpg";
			
		echo '<td align="center" class="'.$cell.'"><img height="26" 
		src="'.$piclnk.'"></td>'; 
		echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'">'.$data['pl_name'].'</a></td>'; 
		echo '<td align="center" class="'.$cell.'"><a href="'.$data['team_website'].'" target="_blank"><img src="img/teams/'.$data['team_logo'].'" border="0" title="'.$locale['man167'].'"></a></td>'; 
		echo '<td align="right" class="'.$cell.'">'.number_format($data['pl_value'], 2, ',', '.').' </td>'; 
		echo '<td align="center" class="'.$cell.'">'.$data['pl_points'].'</td>'; 
		echo '<td align="center" bgcolor="'.$color.'">'.$pos.'</td>';
		
		if ($user_team != "Computer")
			if ($data_user['user_id'] == $user) 
				echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=myteam" title="'.$locale['man170'].'">'.$user_team.'</a></td>';
			else
				echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=showteam&team='.$data_user['user_id'].'" title="'.$locale['man168'].$user_team.$locale['man169'].'">'.$user_team.'</a></td>';
		else
			echo '<td align="center" class="'.$cell.'">'.$user_team.'</td>';
		
		if ($user != $data['pl_owner'])
		{
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'"><img src="img/lupe.gif" border="0" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'"></a></td>';
			echo '<td align="center" class="'.$cell.'"></td>';
		}
		else
		{
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'"><img src="img/lupe.gif" border="0" title="'.$locale['man163'].$data['pl_name'].$locale['man164'].'"></a></td>';
			echo '<td align="center" class="'.$cell.'"><a href="fussball_manager.php?act=getback&pl_id='.$data['pl_id'].'"><img src="img/back.gif" border="0" title="'.$data['pl_name'].$locale['man162'].'"></a></td>';
		}
		$i++;
	}
	echo '</table>';
	tablebreak();
	if ($i < 10) $i=10;
	if ($i >= 10 && !$fil && !$Com && !$Man) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,10,$rows,2,FUSION_SELF."?act=transfer&")."\n</div>\n";
	// Ende Ausgabe Transfermarkt
}
// Anzeige Transfermarkt



// !!!!!!!!!!!!!! Spieler suchen !!!!!!!!!!!!!!!!
if ($action == "plsearch")
{
	$rowstart = isNum($_GET['rowstart']) ? $_GET['rowstart'] : 0;
	if (!isset($sortby)) $sortby = "all";
	$orderby = ($sortby == "all" ? "" : " WHERE pl_name LIKE '".stripinput($sortby)."%'");
	$result  = dbquery("Select * from ".$db_prefix."man_players".$orderby." order by pl_name");
	$rows = dbrows($result);
	if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
	if ($rows != 0) $i=1; 
	
	$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","1","2","3","","",""
	);
	
	echo "<br /><table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?act=plsearch&sortby=all'>".$locale['man837']."</a></td>";
	for ($i=0;$i < 36!="";$i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?act=plsearch&sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i==17 ? "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?act=plsearch&sortby=all'>".$locale['man837']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n<br /><hr><br />";
	
	opentable($locale['man821']);
	echo '<center><form method="post"><table width="100%" align="center" cellpadding="4" cellspacing="1" border="0" class="tbl-border">
				<tr class="tbl2">
				<td align="center" valign="top">'.$locale['man112'].'</td>
				<td align="center" valign="top">'.$locale['man111'].'</td>
				<td align="center" valign="top">'.$locale['man138'].'</td>
				<td align="center" valign="top">'.$locale['man150'].'</td>
				<td align="center" valign="top">'.$locale['man149'].'</td>
				<td align="center" valign="top">'.$locale['man139'].'</td>
				<td align="center" valign="top">'.$locale['man137'].'</td><tr>';
	
	$j = 1;
	$result  = dbquery("Select * from ".$db_prefix."man_players".$orderby." order by pl_name limit $rowstart, 20");
	while ($data = dbarray($result))
	{
		
				// Position ermitteln
		if ($data['pl_pos'] == "A") {$pos=$locale['man121']; $color="#C0C0C0"; }
		if ($data['pl_pos'] == "B") {$pos=$locale['man122']; $color="#80FF80"; }
		if ($data['pl_pos'] == "C") {$pos=$locale['man123']; $color="#0080FF"; }
		if ($data['pl_pos'] == "D") {$pos=$locale['man124']; $color="#FF8000"; }

		$dteam = dbarray(dbquery("Select * from ".$db_prefix."man_teams where team_id=".$data['pl_team']));
		
		$qply = dbquery("Select * from ".$db_prefix."man_plcom where com=$ucom and pl_id=".$data['pl_id']);
		$plyr = dbrows($qply);
		if ($plyr != 0) $dply = dbarray($qply);

		$qowner = dbquery("Select * from ".$db_prefix."man_users where user_id=".$dply['pl_owner']);
		$ownrows = dbrows($qowner);
		
		if ($ownrows != 0) $downer = dbarray($qowner);
		
	if ($dply['pl_owner'] == 0 || $ownrows ==0) $downer['user_teamname'] = "Computer";
		echo '<tr class="tbl1">
					
					
					<td align="center">';
		if ($data['pl_pic'] != "")
		{
			if (file_exists("img/players/big/".$data['pl_pic']))
			{
					echo '<img src="img/players/big/'.$data['pl_pic'].'" border="0" height="21"></td>';
			}
			else 	
				echo '<img src="img/players/big/noimage.jpg" height="21"></td>';
		}
		else 
			echo '<img src="img/players/big/noimage.jpg" height="21"></td>';	
			
			
			if ($dply['pl_owner'] != 0)
				echo '<td align="center"><a href="fussball_manager.php?act=buy&pl_id='.$data['pl_id'].'">'.$data['pl_name'].'</a></td>';
			else	
				echo '<td align="center"><a href="fussball_manager.php?act=showpl&pl_id='.$data['pl_id'].'">'.$data['pl_name'].'</a></td>';
			echo '<td align="center">';
		if ($dteam['team_logo'] != "")
		{
			if (file_exists("img/teams/".$dteam['team_logo']))
			{
				if ($dteam['team_website'] != "")
					echo '<a href="'.$dteam['team_website'].'" title="'.$dteam['team_name'].'" target="_blank"><img src="img/teams/'.$dteam['team_logo'].'" border="0" height="21"></a></td>';
				else
					echo '<img src="img/teams/'.$dteam['team_logo'].'" height="21"></td>';
			}
			else 	
				echo '<img src="img/nologo.gif" height="21"></td>';
		}
		else 
			echo '<img src="img/nologo.gif" height="21"></td>';
			
					echo '<td align="center">'.$pos.'</td>
					<td align="center">'.$data['pl_points'].'</td>
					<td align="right">'.number_format($data['pl_value'], 2, ',', '.').' </td>';
					
					if ($dply['pl_owner'] != 0)
						echo '<td align="center"><a href="fussball_manager.php?act=showteam&team='.$dply['pl_owner'].'" title="'.$locale['man168'].$downer['user_teamname'].$locale['man169'].'">'.$downer['user_teamname'].'</a></td>';
					else
						echo '<td align="center">'.$downer['user_teamname'].'</td>
					</tr>';
		$j++;
		
	}
	echo '<tr class="tbl2"></tr></table></form>';
	echo '</center>';
	tablebreak();
	if ($j < 20) $j=20;
	if ($j >= 20) echo "<div align='center' style='margin-top:5px;'>".makePageNav($rowstart,20,$rows,2,FUSION_SELF."?act=plsearch&sortby=$sortby&")."\n</div>\n";
	closetable();
}
// !!!!!!!!!!!!!! Spieler suchen !!!!!!!!!!!!!!!!





// Herausforderung ablehnen (Sicherheitsabfrage)
?>
<script language="JavaScript">
<!--
function Sicherheitsabfrage(Formular)
{
   if(confirm("Soll der Spieler direkt an den computer verkauft werden?"))
    {
       return true;
    }
    else
    {
       return false;
    }
}
//-->
</script>
<?
// Ende Herausforderung ablehnen (Sicherheitsabfrage)

tablebreak();
include_once("legend.php");
tablebreak();
tablebreak();

echo '<hr>';
echo '<center><b>'.$locale['man101'].'</b> | Version 1.0.0 | 2006 by <a href="http://www.chschuetz.de" target="_blank">ChSchuetz</a></center>';

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>